%This script  executes the operations required for reproducing the figures and tables in the article.
%Results will be displayed upon giving the name of required table/figure as input.
%Provide the figure/table names as the input (without space in between).

prompt = 'Please input the name of required Figure/Table:';
inp = input(prompt,'s');

%Reading the excel file for control group data
Data_control=xlsread('Master_Datasheet_Control.xls');

%Reading the excel file for D group data
Data_diabetic=xlsread('Master_Datasheet_Diabetic.xls');

%Reading the excel file for DG group data
Data_diabetic_with_gl=xlsread('Master_Datasheet_Diabetic_with_GSH.xls');
sz=50;
%%
if strcmp(inp,'Table1')
%% Script for executing comparisons betweeen baseline measurements at the alpha visit.

% Calculations of baseline characteristics of each variable in Control, D and DG groups
%BMI of subjects at baseline
bmi_c_1=Data_control(1:end,29);
bmi_d_1=Data_diabetic(1:end,29);
in1=~isnan(bmi_d_1);%excluding NaN entries in BMI
bmi_d_1=bmi_d_1(in1);
bmi_dg_1=Data_diabetic_with_gl(1:end,29);

%Age of subjects at baseline
age_c_1=Data_control(1:end,25);
age_d_1=Data_diabetic(1:end,25);
age_dg_1=Data_diabetic_with_gl(1:end,25);

%HbA1c baseline concentrations
HbA1c_c_1=Data_control(1:end,7);
HbA1c_d_1=Data_diabetic(1:end,7);
HbA1c_dg_1=Data_diabetic_with_gl(1:end,7);

%Fasting Glucose baseline concentrations
fg_c_1=Data_control(1:end,1);
fg_d_1=Data_diabetic(1:end,1);
fg_dg_1=Data_diabetic_with_gl(1:end,1);

%Fasting Insulin baseline concentrations
fi_c_1=Data_control(1:end,10);
fi_d_1=Data_diabetic(1:end,10);
fi_dg_1=Data_diabetic_with_gl(1:end,10);

%PP Insulin baseline concentrations
ppi_c_1=Data_control(1:end,13);
ind_c = ~isnan(ppi_c_1); %excluding NaN entries in PP Insulin
ppi_c_1=ppi_c_1(ind_c);
ppi_d_1=Data_diabetic(1:end,13);
ppi_dg_1=Data_diabetic_with_gl(1:end,13);


%PP Glucose baseline concentrations
ppg_c_1=Data_control(1:end,4);
ppg_d_1=Data_diabetic(1:end,4);
ppg_dg_1=Data_diabetic_with_gl(1:end,4);

%GSH baseline concentrations
GSH_c_1=Data_control(:,19);
GSH_d_1=Data_diabetic(:,19);
ind_d = ~isnan(GSH_d_1);
GSH_d_1=GSH_d_1(ind_d); %excluding NaN entries in GSH

GSH_dg_1=Data_diabetic_with_gl(:,19);
ind_dg = ~isnan(GSH_dg_1);
GSH_dg_1=GSH_dg_1(ind_dg); %excluding NaN entries in GSH

%GSSG baseline concentrations
GSSG_c_1=Data_control(:,16);
GSSG_d_1=Data_diabetic(:,16);
GSSG_d_1=GSSG_d_1(ind_d); %excluding NaN entries in GSSG

GSSG_dg_1=Data_diabetic_with_gl(:,16);
GSSG_dg_1=GSSG_dg_1(ind_dg); %excluding NaN entries in GSSG

%GSSG baseline concentrations
OHdG_c_1=Data_control(:,22);
OHdG_d_1=Data_diabetic(:,22);
OHdG_dg_1=Data_diabetic_with_gl(:,22);


%Calculating 25th percentile, median, 75th percentile for age in Control group 

Age_c1=prctile(age_c_1,25);
Age_c2=prctile(age_c_1,50);
Age_c3=prctile(age_c_1,75);

%Calculating 25th percentile, median, 75th percentile for age in D group 
Age_d1=prctile(age_d_1,25);
Age_d2=prctile(age_d_1,50);
Age_d3=prctile(age_d_1,75);

%Calculating 25th percentile, median, 75th percentile for age in DG group 
Age_dg1=prctile(age_dg_1,25);
Age_dg2=prctile(age_dg_1,50);
Age_dg3=prctile(age_dg_1,75);

%Calculating 25th percentile, median, 75th percentile for BMI in Control group

BMI_c1=prctile(bmi_c_1,25);
BMI_c2=prctile(bmi_c_1,50);
BMI_c3=prctile(bmi_c_1,75);

%Calculating 25th percentile, median, 75th percentile for BMI in D group
BMI_d1=prctile(bmi_d_1,25);
BMI_d2=prctile(bmi_d_1,50);
BMI_d3=prctile(bmi_d_1,75);

%Calculating 25th percentile, median, 75th percentile for BMI in DG group
BMI_dg1=prctile(bmi_dg_1,25);
BMI_dg2=prctile(bmi_dg_1,50);
BMI_dg3=prctile(bmi_dg_1,75);

%Calculating 25th percentile, median, 75th percentile for HbA1c concentrations at the first visit in Control group.

HbA1c_c1=prctile(HbA1c_c_1,25);
HbA1c_c2=prctile(HbA1c_c_1,50);
HbA1c_c3=prctile(HbA1c_c_1,75);

%Calculating 25th percentile, median, 75th percentile for HbA1c concentrations at the first visit in D group.
HbA1c_d1=prctile(HbA1c_d_1,25);
HbA1c_d2=prctile(HbA1c_d_1,50);
HbA1c_d3=prctile(HbA1c_d_1,75);

%Calculating 25th percentile, median, 75th percentile for HbA1c concentrations at the first visit in DG group.
HbA1c_dg1=prctile(HbA1c_dg_1,25);
HbA1c_dg2=prctile(HbA1c_dg_1,50);
HbA1c_dg3=prctile(HbA1c_dg_1,75);

%Calculating 25th percentile, median, 75th percentile for Fasting Glucose concentrations at the first visit in Control group

FG_c1=prctile(fg_c_1,25);
FG_c2=prctile(fg_c_1,50);
FG_c3=prctile(fg_c_1,75);

%Calculating 25th percentile, median, 75th percentile for Fasting Glucose concentrations at the first visit in D group
FG_d1=prctile(fg_d_1,25);
FG_d2=prctile(fg_d_1,50);
FG_d3=prctile(fg_d_1,75);

%Calculating 25th percentile, median, 75th percentile for Fasting Glucose concentrations at the first visit in DG group
FG_dg1=prctile(fg_dg_1,25);
FG_dg2=prctile(fg_dg_1,50);
FG_dg3=prctile(fg_dg_1,75);

%Calculating 25th percentile, median, 75th percentile for Fasting Insulin concentration at the first visit in Control group

FI_c1=prctile(fi_c_1,25);
FI_c2=prctile(fi_c_1,50);
FI_c3=prctile(fi_c_1,75);

%Calculating 25th percentile, median, 75th percentile for Fasting Insulin concentration at the first visit in D group
FI_d1=prctile(fi_d_1,25);
FI_d2=prctile(fi_d_1,50);
FI_d3=prctile(fi_d_1,75);


%Calculating 25th percentile, median, 75th percentile for Fasting Insulin concentration at the first visit in DG group
FI_dg1=prctile(fi_dg_1,25);
FI_dg2=prctile(fi_dg_1,50);
FI_dg3=prctile(fi_dg_1,75);

%Calculating 25th percentile, median, and 75th percentile for PP Insulin concentration at the first visit in Control group

PPI_c1=prctile(ppi_c_1,25);
PPI_c2=prctile(ppi_c_1,50);
PPI_c3=prctile(ppi_c_1,75);

%Calculating 25th percentile, median, and 75th percentile for PP Insulin concentration at the first visit in D group
PPI_d1=prctile(ppi_d_1,25);
PPI_d2=prctile(ppi_d_1,50);
PPI_d3=prctile(ppi_d_1,75);

%Calculating 25th percentile, median, and 75th percentile for PP Insulin concentration at the first visit in DG group
PPI_dg1=prctile(ppi_dg_1,25);
PPI_dg2=prctile(ppi_dg_1,50);
PPI_dg3=prctile(ppi_dg_1,75);

%Calculating 25th percentile, median, and 75th percentile for PP Glucose concentration at the first visit in Control group.

PPG_c1=prctile(ppg_c_1,25);
PPG_c2=prctile(ppg_c_1,50);
PPG_c3=prctile(ppg_c_1,75);

%Calculating 25th percentile, median, and 75th percentile for PP Glucose concentration at the first visit in D group.
PPG_d1=prctile(ppg_d_1,25);
PPG_d2=prctile(ppg_d_1,50);
PPG_d3=prctile(ppg_d_1,75);

%Calculating 25th percentile, median, and 75th percentile for PP Glucose concentration at the first visit in DG group.
PPG_dg1=prctile(ppg_dg_1,25);
PPG_dg2=prctile(ppg_dg_1,50);
PPG_dg3=prctile(ppg_dg_1,75);

%Calculating 25th percentile, median, and 75th percentile for GSH concentration at the first visit in each Control group

GSH_c1=prctile(GSH_c_1,25);
GSH_c2=prctile(GSH_c_1,50);
GSH_c3=prctile(GSH_c_1,75);

%Calculating 25th percentile, median, and 75th percentile for GSH concentration at the first visit in D group
GSH_d1=prctile(GSH_d_1,25);
GSH_d2=prctile(GSH_d_1,50);
GSH_d3=prctile(GSH_d_1,75);

%Calculating 25th percentile, median, and 75th percentile for GSH concentration at the first visit in DG group
GSH_dg1=prctile(GSH_dg_1,25);
GSH_dg2=prctile(GSH_dg_1,50);
GSH_dg3=prctile(GSH_dg_1,75);

%Calculating 25th percentile, median, 75th percentile for GSSG concentration at the first visit in Control group

GSSG_c1=prctile(GSSG_c_1,25);
GSSG_c2=prctile(GSSG_c_1,50);
GSSG_c3=prctile(GSSG_c_1,75);

%Calculating 25th percentile, median, 75th percentile for GSSG concentration at the first visit in D group
GSSG_d1=prctile(GSSG_d_1,25);
GSSG_d2=prctile(GSSG_d_1,50);
GSSG_d3=prctile(GSSG_d_1,75);

%Calculating 25th percentile, median, 75th percentile for GSSG concentration at the first visit in DG group
GSSG_dg1=prctile(GSSG_dg_1,25);
GSSG_dg2=prctile(GSSG_dg_1,50);
GSSG_dg3=prctile(GSSG_dg_1,75);


%Calculating 25th percentile, median, 75th percentile for 8-OHdG concentration at the first visit in Control group

OHdG_c1=prctile(OHdG_c_1,25);
OHdG_c2=prctile(OHdG_c_1,50);
OHdG_c3=prctile(OHdG_c_1,75);

%Calculating 25th percentile, median, 75th percentile for 8-OHdG concentration at the first visit in D group
OHdG_d1=prctile(OHdG_d_1,25);
OHdG_d2=prctile(OHdG_d_1,50);
OHdG_d3=prctile(OHdG_d_1,75);

%Calculating 25th percentile, median, 75th percentile for 8-OHdG concentration at the first visit in DG group
OHdG_dg1=prctile(OHdG_dg_1,25);
OHdG_dg2=prctile(OHdG_dg_1,50);
OHdG_dg3=prctile(OHdG_dg_1,75);

% 
% Printing outputs on a table with 10 columns consisting of variables, median, 25th percentile, 75th  percentiles of each variable at the first visit
% in Control, D, and DG groups respectively.

Variable={'Age';'BMI';'HbA1c';'Fasting Glucose';'Fasting Insulin';'PP Glucose';'PP Insulin';'GSH';'GSSG';'8-OHdG'};
C1=[Age_c1,BMI_c1,HbA1c_c1,FG_c1,FI_c1,PPG_c1,PPI_c1,GSH_c1,GSSG_c1,OHdG_c1];
C2=[Age_c2,BMI_c2,HbA1c_c2,FG_c2,FI_c2,PPG_c2,PPI_c2,GSH_c2,GSSG_c2,OHdG_c2];
C3=[Age_c3,BMI_c3,HbA1c_c3,FG_c3,FI_c3,PPG_c3,PPI_c3,GSH_c3,GSSG_c3,OHdG_c3];


D1=[Age_d1,BMI_d1,HbA1c_d1,FG_d1,FI_d1,PPG_d1,PPI_d1,GSH_d1,GSSG_d1,OHdG_d1];
D2=[Age_d2,BMI_d2,HbA1c_d2,FG_d2,FI_d2,PPG_d2,PPI_d2,GSH_d2,GSSG_d2,OHdG_d2];
D3=[Age_d3,BMI_d3,HbA1c_d3,FG_d3,FI_d3,PPG_d3,PPI_d3,GSH_d3,GSSG_d3,OHdG_d3];

DG1=[Age_dg1,BMI_dg1,HbA1c_dg1,FG_dg1,FI_dg1,PPG_dg1,PPI_dg1,GSH_dg1,GSSG_dg1,OHdG_dg1];
DG2=[Age_dg2,BMI_dg2,HbA1c_dg2,FG_dg2,FI_dg2,PPG_dg2,PPI_dg2,GSH_dg2,GSSG_dg2,OHdG_dg2];
DG3=[Age_dg3,BMI_dg3,HbA1c_dg3,FG_dg3,FI_dg3,PPG_dg3,PPI_dg3,GSH_dg3,GSSG_dg3,OHdG_dg3];

Control_median=C2'; 
Control_25percentile=C1'; 
Control_75percentile=C3'; 

Diabetic_median=D2'; 
Diabetic_25percentile=D1'; 
Diabetic_75percentile=D3';

Diabetic_with_GSH_median=DG2';  
Diabetic_with_GSH_25percentile=DG1'; 
Diabetic_with_GSH_75percentile=DG3'; 

%Final output table
Baseline_Characteristics=table(Variable,Control_median,Control_25percentile,Control_75percentile,Diabetic_median,Diabetic_25percentile,Diabetic_75percentile,Diabetic_with_GSH_median,Diabetic_with_GSH_25percentile,Diabetic_with_GSH_75percentile )

elseif strcmp(inp,'TableS2')
%% Script for calculating the characteristics of each variable in each group, at different visits.

% GSH measurements at the first visit in Control group
GSH_c_1=Data_control(:,19);
% GSH measurements at the second visit in Control group
GSH_c_2=Data_control(:,20);
% GSH measurements at the third visit in Control group
GSH_c_3=Data_control(:,21);

% GSH measurements at the first visit in D group
GSH_d_1=Data_diabetic(:,19);
% GSH measurements at the second visit in D group
GSH_d_2=Data_diabetic(:,20);
% GSH measurements at the third visit in D group
GSH_d_3=Data_diabetic(:,21);

ind_d1 = ~isnan(GSH_d_1);
ind_d2 = ~isnan(GSH_d_2);
ind_d3 = ~isnan(GSH_d_3);

GSH_d_1=GSH_d_1(ind_d1);
GSH_d_2=GSH_d_2(ind_d2);
GSH_d_3=GSH_d_3(ind_d3);

% GSH measurements at the first visit in DG group
GSH_dg_1=Data_diabetic_with_gl(:,19);
% GSH measurements at the second visit in DG group
GSH_dg_2=Data_diabetic_with_gl(:,20);
% GSH measurements at the third visit in DG group
GSH_dg_3=Data_diabetic_with_gl(:,21);

ind_dg1 = ~isnan(GSH_dg_1);
ind_dg2 = ~isnan(GSH_dg_2);
ind_dg3 = ~isnan(GSH_dg_3);

GSH_dg_1=GSH_dg_1(ind_dg1);
GSH_dg_2=GSH_dg_2(ind_dg2);
GSH_dg_3=GSH_dg_3(ind_dg3);

%Calculating confidence intervals for GSH concentration at different visits

SEM11 = std(GSH_d_1)/sqrt(length(GSH_d_1));               % Standard Error
ts11 = tinv([0.025  0.975],length(GSH_d_1)-1);      % T-Score
CI11 = mean(GSH_d_1) + ts11*SEM11;

SEM12 = std(GSH_d_3)/sqrt(length(GSH_d_3));               % Standard Error
ts12 = tinv([0.025  0.975],length(GSH_d_3)-1);      % T-Score
CI12 = mean(GSH_d_3) + ts12*SEM12;

SEM13 = std(GSH_dg_1)/sqrt(length(GSH_dg_1));               % Standard Error
ts13 = tinv([0.025  0.975],length(GSH_dg_1)-1);      % T-Score
CI13 = mean(GSH_dg_1) + ts13*SEM13;

SEM14 = std(GSH_dg_3)/sqrt(length(GSH_dg_3));               % Standard Error
ts14 = tinv([0.025  0.975],length(GSH_dg_3)-1);      % T-Score
CI14 = mean(GSH_dg_3) + ts14*SEM14;

SEM15 = std(GSH_d_2)/sqrt(length(GSH_d_2));               % Standard Error
ts15 = tinv([0.025  0.975],length(GSH_d_2)-1);      % T-Score
CI15 = mean(GSH_d_2) + ts15*SEM15;

SEM16 = std(GSH_dg_2)/sqrt(length(GSH_dg_2));               % Standard Error
ts16 = tinv([0.025  0.975],length(GSH_dg_2)-1);      % T-Score
CI16 = mean(GSH_dg_2) + ts16*SEM16;

SEM17 = std(GSH_c_1)/sqrt(length(GSH_c_1));               % Standard Error
ts17 = tinv([0.025  0.975],length(GSH_c_1)-1);      % T-Score
CI17 = mean(GSH_c_1) + ts17*SEM17;

SEM18 = std(GSH_c_2)/sqrt(length(GSH_c_2));               % Standard Error
ts18 = tinv([0.025  0.975],length(GSH_c_2)-1);      % T-Score
CI18 = mean(GSH_c_2) + ts18*SEM18;

SEM19 = std(GSH_c_3)/sqrt(length(GSH_c_3));               % Standard Error
ts19 = tinv([0.025  0.975],length(GSH_c_3)-1);      % T-Score
CI19 = mean(GSH_c_3) + ts19*SEM19;

 
%HbA1c measurements from control group subjects on each visit
HbA1c_c_1=Data_control(1:end,7);
HbA1c_c_2=Data_control(1:end,8);
HbA1c_c_3=Data_control(1:end,9);


%HbA1c measurements from D group subjects on each visit
HbA1c_d_1=Data_diabetic(1:end,7);
HbA1c_d_2=Data_diabetic(1:end,8);
HbA1c_d_3=Data_diabetic(1:end,9);

%Excluding those D group subjects without third visit HbA1c measurements
ind1 = ~isnan(HbA1c_d_3);
%HbA1c_d_1=HbA1c_d_1(ind1);
%HbA1c_d_2=HbA1c_d_2(ind1);
HbA1c_d_3=HbA1c_d_3(ind1);

%HbA1c measurements from DG group subjects on each visit
HbA1c_dg_1=Data_diabetic_with_gl(1:end,7);
HbA1c_dg_2=Data_diabetic_with_gl(1:end,8);
HbA1c_dg_3=Data_diabetic_with_gl(1:end,9);

%Excluding those DG group subjects without third visit HbA1c measurements
ind2 = ~isnan(HbA1c_dg_2);
HbA1c_dg_2=HbA1c_dg_2(ind2);

%Calculating confidence intervals of HbA1c measurements at different visits

SEM21 = std(HbA1c_d_1)/sqrt(length(HbA1c_d_1));               % Standard Error
ts21 = tinv([0.025  0.975],length(HbA1c_d_1)-1);      % T-Score
CI21 = mean(HbA1c_d_1) + ts21*SEM21;

SEM22 = std(HbA1c_d_3)/sqrt(length(HbA1c_d_3));               % Standard Error
ts22 = tinv([0.025  0.975],length(HbA1c_d_3)-1);      % T-Score
CI22 = mean(HbA1c_d_3) + ts22*SEM22;

SEM23 = std(HbA1c_dg_1)/sqrt(length(HbA1c_dg_1));               % Standard Error
ts23 = tinv([0.025  0.975],length(HbA1c_dg_1)-1);      % T-Score
CI23 = mean(HbA1c_dg_1) + ts23*SEM23;

SEM24 = std(HbA1c_dg_3)/sqrt(length(HbA1c_dg_3));               % Standard Error
ts24 = tinv([0.025  0.975],length(HbA1c_dg_3)-1);      % T-Score
CI24 = mean(HbA1c_dg_3) + ts24*SEM24;

SEM25 = std(HbA1c_d_2)/sqrt(length(HbA1c_d_2));               % Standard Error
ts25 = tinv([0.025  0.975],length(HbA1c_d_2)-1);      % T-Score
CI25 = mean(HbA1c_d_2) + ts25*SEM25;

SEM26 = std(HbA1c_dg_2)/sqrt(length(HbA1c_dg_2));               % Standard Error
ts26 = tinv([0.025  0.975],length(HbA1c_dg_2)-1);      % T-Score
CI26 = mean(HbA1c_dg_2) + ts26*SEM26;

SEM27 = std(HbA1c_c_1)/sqrt(length(HbA1c_c_1));               % Standard Error
ts27 = tinv([0.025  0.975],length(HbA1c_c_1)-1);      % T-Score
CI27 = mean(HbA1c_c_1) + ts27*SEM27;

SEM28 = std(HbA1c_c_2)/sqrt(length(HbA1c_c_2));               % Standard Error
ts28 = tinv([0.025  0.975],length(HbA1c_c_2)-1);      % T-Score
CI28 = mean(HbA1c_c_2) + ts28*SEM28;

SEM29 = std(HbA1c_c_3)/sqrt(length(HbA1c_c_3));               % Standard Error
ts29 = tinv([0.025  0.975],length(HbA1c_c_3)-1);      % T-Score
CI29 = mean(HbA1c_c_3) + ts29*SEM29;


%GSSG measurements from control group subjects on each visit
GSSG_c_1=Data_control(:,16);
GSSG_c_2=Data_control(:,17);
GSSG_c_3=Data_control(:,18);

%GSSG measurements from D group subjects on each visit
GSSG_d_1=Data_diabetic(:,16);
GSSG_d_2=Data_diabetic(:,17);
GSSG_d_3=Data_diabetic(:,18);

%Excluding NaN entres
ind_d1 = ~isnan(GSSG_d_1);
GSSG_d_1=GSSG_d_1(ind_d1);
ind_d2 = ~isnan(GSSG_d_2);
GSSG_d_2=GSSG_d_2(ind_d2);
ind_d3 = ~isnan(GSSG_d_3);
GSSG_d_3=GSSG_d_3(ind_d3);

%GSSG measurements from DG group subjects on each visit

GSSG_dg_1=Data_diabetic_with_gl(:,16);
GSSG_dg_2=Data_diabetic_with_gl(:,17);
GSSG_dg_3=Data_diabetic_with_gl(:,18);


%Excluding NaN entres
ind_dg1 = ~isnan(GSSG_dg_1);
GSSG_dg_1=GSSG_dg_1(ind_dg1);

ind_dg2 = ~isnan(GSSG_dg_2);
GSSG_dg_2=GSSG_dg_2(ind_dg2);

ind_dg3 = ~isnan(GSSG_dg_3);
GSSG_dg_3=GSSG_dg_3(ind_dg3);

%Calculating confidence intervals of GSSG measurements at different visits

SEM31 = std(GSSG_d_1)/sqrt(length(GSSG_d_1));               % Standard Error
ts31 = tinv([0.025  0.975],length(GSSG_d_1)-1);      % T-Score
CI31 = mean(GSSG_d_1) + ts31*SEM31;

SEM32 = std(GSSG_d_3)/sqrt(length(GSSG_d_3));               % Standard Error
ts32 = tinv([0.025  0.975],length(GSSG_d_3)-1);      % T-Score
CI32 = mean(GSSG_d_3) + ts32*SEM32;

SEM33 = std(GSSG_dg_1)/sqrt(length(GSSG_dg_1));               % Standard Error
ts33 = tinv([0.025  0.975],length(GSSG_dg_1)-1);      % T-Score
CI33 = mean(GSSG_dg_1) + ts33*SEM33;

SEM34 = std(GSSG_dg_3)/sqrt(length(GSSG_dg_3));               % Standard Error
ts34 = tinv([0.025  0.975],length(GSSG_dg_3)-1);      % T-Score
CI34 = mean(GSSG_dg_3) + ts34*SEM34;

SEM35 = std(GSSG_d_2)/sqrt(length(GSSG_d_2));               % Standard Error
ts35 = tinv([0.025  0.975],length(GSSG_d_2)-1);      % T-Score
CI35 = mean(GSSG_d_2) + ts35*SEM35;

SEM36 = std(GSSG_dg_2)/sqrt(length(GSSG_dg_2));               % Standard Error
ts36 = tinv([0.025  0.975],length(GSSG_dg_2)-1);      % T-Score
CI36 = mean(GSSG_dg_2) + ts36*SEM36;


SEM37 = std(GSSG_c_1)/sqrt(length(GSSG_c_1));               % Standard Error
ts37 = tinv([0.025  0.975],length(GSSG_c_1)-1);      % T-Score
CI37 = mean(GSSG_c_1) + ts37*SEM37;

SEM38 = std(GSSG_c_2)/sqrt(length(GSSG_c_2));               % Standard Error
ts38 = tinv([0.025  0.975],length(GSSG_c_2)-1);      % T-Score
CI38 = mean(GSSG_c_2) + ts38*SEM38;

SEM39 = std(GSSG_c_3)/sqrt(length(GSSG_c_3));               % Standard Error
ts39 = tinv([0.025  0.975],length(GSSG_c_3)-1);      % T-Score
CI39 = mean(GSSG_c_3) + ts39*SEM39;


%Fasting Glucose measurements from control group subjects on each visit

fg_c_1=Data_control(1:end,1);
fg_c_2=Data_control(1:end,2);
fg_c_3=Data_control(1:end,3);

%Fasting Glucose measurements from D group subjects on each visit
fg_d_1=Data_diabetic(1:end,1);
fg_d_2=Data_diabetic(1:end,2);
fg_d_3=Data_diabetic(1:end,3);


%Excluding NaN entres
ind1=~isnan(fg_d_2);
ind2=~isnan(fg_d_3);
fg_d_2=fg_d_2(ind1);
fg_d_3=fg_d_3(ind2);

%Fasting Glucose measurements from DG group subjects on each visit
fg_dg_1=Data_diabetic_with_gl(1:end,1);
fg_dg_2=Data_diabetic_with_gl(1:end,2);
fg_dg_3=Data_diabetic_with_gl(1:end,3);

%Excluding NaN entres
ind_dg=~isnan(fg_dg_2);
fg_dg_2=fg_dg_2(ind_dg);

%PP Glucose measurements from control group subjects on each visit

ppg_c_1=Data_control(1:end,4);
ppg_c_2=Data_control(1:end,5);
ppg_c_3=Data_control(1:end,6);

%Excluding NaN entres
ind_c=~isnan(ppg_c_2);
ppg_c_2=ppg_c_2(ind_c);

%PP Glucose measurements from D group subjects on each visit
ppg_d_1=Data_diabetic(1:end,4);
ppg_d_2=Data_diabetic(1:end,5);
ppg_d_3=Data_diabetic(1:end,6);

%Excluding NaN entres
ind3 = ~isnan(ppg_d_2);
ind4 = ~isnan(ppg_d_3);
ppg_d_2=ppg_d_2(ind3);
ppg_d_3=ppg_d_3(ind4);

%PP Glucose measurements from DG group subjects on each visit
ppg_dg_1=Data_diabetic_with_gl(1:end,4);
ppg_dg_2=Data_diabetic_with_gl(1:end,5);
ppg_dg_3=Data_diabetic_with_gl(1:end,6);

%Excluding NaN entres
ind5 = ~isnan(ppg_dg_2);
ind6 = ~isnan(ppg_dg_3);
ppg_dg_2=ppg_dg_2(ind5);
ppg_dg_3=ppg_dg_3(ind6);

%Calculating confidence intervals of Fasting Glucose measurements at different visits

SEM41 = std(fg_d_1)/sqrt(length(fg_d_1));               % Standard Error
ts41 = tinv([0.025  0.975],length(fg_d_1)-1);      % T-Score
CI41 = mean(fg_d_1) + ts41*SEM41;

SEM42 = std(fg_d_3)/sqrt(length(fg_d_3));               % Standard Error
ts42 = tinv([0.025  0.975],length(fg_d_3)-1);      % T-Score
CI42 = mean(fg_d_3) + ts42*SEM42;

SEM43 = std(fg_dg_1)/sqrt(length(fg_dg_1));               % Standard Error
ts43 = tinv([0.025  0.975],length(fg_dg_1)-1);      % T-Score
CI43 = mean(fg_dg_1) + ts43*SEM43;

SEM44 = std(fg_dg_3)/sqrt(length(fg_dg_3));               % Standard Error
ts44 = tinv([0.025  0.975],length(fg_dg_3)-1);      % T-Score
CI44 = mean(fg_dg_3) + ts44*SEM44;

SEM45 = std(fg_d_2)/sqrt(length(fg_d_2));               % Standard Error
ts45 = tinv([0.025  0.975],length(fg_d_2)-1);      % T-Score
CI45 = mean(fg_d_2) + ts45*SEM45;

SEM46 = std(fg_dg_2)/sqrt(length(fg_dg_2));               % Standard Error
ts46 = tinv([0.025  0.975],length(fg_dg_2)-1);      % T-Score
CI46 = mean(fg_dg_2) + ts46*SEM46;


SEM47 = std(fg_c_1)/sqrt(length(fg_c_1));               % Standard Error
ts47 = tinv([0.025  0.975],length(fg_c_1)-1);      % T-Score
CI47 = mean(fg_c_1) + ts47*SEM47;

SEM48 = std(fg_c_2)/sqrt(length(fg_c_2));               % Standard Error
ts48 = tinv([0.025  0.975],length(fg_c_2)-1);      % T-Score
CI48 = mean(fg_c_2) + ts48*SEM48;

SEM49 = std(fg_c_3)/sqrt(length(fg_c_3));               % Standard Error
ts49 = tinv([0.025  0.975],length(fg_c_3)-1);      % T-Score
CI49 = mean(fg_c_3) + ts49*SEM49;

%Calculating confidence intervals of PP Glucose measurements at different visits

SEM51 = std(ppg_d_1)/sqrt(length(ppg_d_1));   
ts51 = tinv([0.025  0.975],length(ppg_d_1)-1);      % T-Score
CI51 = mean(ppg_d_1) + ts51*SEM51;

SEM52 = std(ppg_d_3)/sqrt(length(ppg_d_3));               % Standard Error
ts52 = tinv([0.025  0.975],length(ppg_d_3)-1);      % T-Score
CI52 = mean(ppg_d_3) + ts52*SEM52;

SEM53 = std(ppg_dg_1)/sqrt(length(ppg_dg_1));               % Standard Error
ts53 = tinv([0.025  0.975],length(ppg_dg_1)-1);      % T-Score
CI53 = mean(ppg_dg_1) + ts53*SEM53;

SEM54 = std(ppg_dg_3)/sqrt(length(ppg_dg_3));               % Standard Error
ts54 = tinv([0.025  0.975],length(ppg_dg_3)-1);      % T-Score
CI54 = mean(ppg_dg_3) + ts54*SEM54;

SEM55 = std(ppg_d_2)/sqrt(length(ppg_d_2));               % Standard Error
ts55 = tinv([0.025  0.975],length(ppg_d_2)-1);      % T-Score
CI55 = mean(ppg_d_2) + ts55*SEM55;

SEM56 = std(ppg_dg_2)/sqrt(length(ppg_dg_2));               % Standard Error
ts56 = tinv([0.025  0.975],length(ppg_dg_2)-1);      % T-Score
CI56 = mean(ppg_dg_2) + ts56*SEM56;


SEM57 = std(ppg_c_1)/sqrt(length(ppg_c_1));               % Standard Error
ts57 = tinv([0.025  0.975],length(ppg_c_1)-1);      % T-Score
CI57 = mean(ppg_c_1) + ts57*SEM57;

SEM58 = std(ppg_c_2)/sqrt(length(ppg_c_2));               % Standard Error
ts58 = tinv([0.025  0.975],length(ppg_c_2)-1);      % T-Score
CI58 = mean(ppg_c_2) + ts58*SEM58;

SEM59 = std(ppg_c_3)/sqrt(length(ppg_c_3));               % Standard Error
ts59 = tinv([0.025  0.975],length(ppg_c_3)-1);      % T-Score
CI59 = mean(ppg_c_3) + ts59*SEM59;

% 
%Fasting Insulin measurements from control group subjects on each visit
fi_c_1=Data_control(1:end,10);
fi_c_2=Data_control(1:end,11);
fi_c_3=Data_control(1:end,12);

%Fasting Insulin measurements from D group subjects on each visit
fi_d_1=Data_diabetic(1:end,10);
fi_d_2=Data_diabetic(1:end,11);
fi_d_3=Data_diabetic(1:end,12);

%Excluding NaN entres
ind1=~isnan(fi_d_3);
fi_d_3=fi_d_3(ind1);

%Fasting Insulin measurements from DG group subjects on each visit
fi_dg_1=Data_diabetic_with_gl(1:end,10);
fi_dg_2=Data_diabetic_with_gl(1:end,11);
fi_dg_3=Data_diabetic_with_gl(1:end,12);

%Excluding NaN entres
ind_dg2=~isnan(fi_dg_2);
fi_dg_2=fi_dg_2(ind_dg2);

%Calculating confidence intervals of Fasting Insulin measurements at different visits

SEM61 = std(fi_d_1)/sqrt(length(fi_d_1));               % Standard Error
ts61 = tinv([0.025  0.975],length(fi_d_1)-1);      % T-Score
CI61 = mean(fi_d_1) + ts61*SEM61;

SEM62 = std(fi_d_3)/sqrt(length(fi_d_3));               % Standard Error
ts62 = tinv([0.025  0.975],length(fi_d_3)-1);      % T-Score
CI62 = mean(fi_d_3) + ts62*SEM62;

SEM63 = std(fi_dg_1)/sqrt(length(fi_dg_1));               % Standard Error
ts63 = tinv([0.025  0.975],length(fi_dg_1)-1);      % T-Score
CI63 = mean(fi_dg_1) + ts63*SEM63;

SEM64 = std(fi_dg_3)/sqrt(length(fi_dg_3));               % Standard Error
ts64 = tinv([0.025  0.975],length(fi_dg_3)-1);      % T-Score
CI64 = mean(fi_dg_3) + ts64*SEM64;

SEM65 = std(fi_d_2)/sqrt(length(fi_d_2));               % Standard Error
ts65 = tinv([0.025  0.975],length(fi_d_2)-1);      % T-Score
CI65 = mean(fi_d_2) + ts65*SEM65;

SEM66 = std(fi_dg_2)/sqrt(length(fi_dg_2));               % Standard Error
ts66 = tinv([0.025  0.975],length(fi_dg_2)-1);      % T-Score
CI66 = mean(fi_dg_2) + ts66*SEM66;

SEM67 = std(fi_c_1)/sqrt(length(fi_c_1));               % Standard Error
ts67 = tinv([0.025  0.975],length(fi_c_1)-1);      % T-Score
CI67 = mean(fi_c_1) + ts67*SEM67;

SEM68 = std(fi_c_2)/sqrt(length(fi_c_2));               % Standard Error
ts68 = tinv([0.025  0.975],length(fi_c_2)-1);      % T-Score
CI68 = mean(fi_c_2) + ts68*SEM68;

SEM69 = std(fi_c_3)/sqrt(length(fi_c_3));               % Standard Error
ts69 = tinv([0.025  0.975],length(fi_c_3)-1);      % T-Score
CI69 = mean(fi_c_3) + ts69*SEM69;

% PP Insulin measurements from control group subjects on each visit
ppi_c_1=Data_control(1:end,13);
ppi_c_2=Data_control(1:end,14);
ppi_c_3=Data_control(1:end,15);

%Excluding NaN entries
ind_c1=~isnan(ppi_c_1);
ind_c2=~isnan(ppi_c_2);
ppi_c_1=ppi_c_1(ind_c1);
ppi_c_2=ppi_c_2(ind_c2);


% PP Insulin measurements from D group subjects on each visit 
ppi_d_1=Data_diabetic(1:end,13);
ppi_d_2=Data_diabetic(1:end,14);
ppi_d_3=Data_diabetic(1:end,15);
 
%Excluding NaN entries
ind_d= ~isnan(ppi_d_2);
ppi_d_2=ppi_d_2(ind_d);

ind6 = ~isnan(ppi_d_3);
ppi_d_3=ppi_d_3(ind6);

% PP Insulin measurements from DG group subjects on each visit 
ppi_dg_1=Data_diabetic_with_gl(1:end,13);
ppi_dg_2=Data_diabetic_with_gl(1:end,14);
ppi_dg_3=Data_diabetic_with_gl(1:end,15);

%Excluding NaN entries
ind8 = ~isnan(ppi_dg_3);
ppi_dg_3=ppi_dg_3(ind8);

ind_dg1=~isnan(ppi_dg_2);
ppi_dg_2=ppi_dg_2(ind_dg1);

%Calculating confidence intervals of PP Insulin measurements at different visits
SEM71 = std(ppi_d_1)/sqrt(length(ppi_d_1));   
ts71 = tinv([0.025  0.975],length(ppi_d_1)-1);      % T-Score
CI71 = mean(ppi_d_1) + ts71*SEM71;

SEM72 = std(ppi_d_3)/sqrt(length(ppi_d_3));               % Standard Error
ts72 = tinv([0.025  0.975],length(ppi_d_3)-1);      % T-Score
CI72 = mean(ppi_d_3) + ts72*SEM72;

SEM73 = std(ppi_dg_1)/sqrt(length(ppi_dg_1));               % Standard Error
ts73 = tinv([0.025  0.975],length(ppi_dg_1)-1);      % T-Score
CI73 = mean(ppi_dg_1) + ts73*SEM73;

SEM74 = std(ppi_dg_3)/sqrt(length(ppi_dg_3));               % Standard Error
ts74 = tinv([0.025  0.975],length(ppi_dg_3)-1);      % T-Score
CI74 = mean(ppi_dg_3) + ts74*SEM74;

SEM75 = std(ppi_d_2)/sqrt(length(ppi_d_2));               % Standard Error
ts75 = tinv([0.025  0.975],length(ppi_d_2)-1);      % T-Score
CI75 = mean(ppi_d_2) + ts75*SEM75;

SEM76 = std(ppi_dg_2)/sqrt(length(ppi_dg_2));               % Standard Error
ts76 = tinv([0.025  0.975],length(ppi_dg_2)-1);      % T-Score
CI76 = mean(ppi_dg_2) + ts76*SEM76;

SEM77 = std(ppi_c_1)/sqrt(length(ppi_c_1));               % Standard Error
ts77 = tinv([0.025  0.975],length(ppi_c_1)-1);      % T-Score
CI77 = mean(ppi_c_1) + ts77*SEM77;

SEM78 = std(ppi_c_2)/sqrt(length(ppi_c_2));               % Standard Error
ts78 = tinv([0.025  0.975],length(ppi_c_2)-1);      % T-Score
CI78 = mean(ppi_c_2) + ts78*SEM78;

SEM79 = std(ppi_c_3)/sqrt(length(ppi_c_3));               % Standard Error
ts79 = tinv([0.025  0.975],length(ppi_c_3)-1);      % T-Score
CI79 = mean(ppi_c_3) + ts79*SEM79;

%Output table of Control group characterisitcs 

%GSSG baseline concentrations
OHdG_c_1=Data_control(:,22);
OHdG_c_2=Data_control(:,23);
OHdG_c_3=Data_control(:,24);

OHdG_d_1=Data_diabetic(:,22);
OHdG_d_2=Data_diabetic(:,23);
OHdG_d_3=Data_diabetic(:,24);
ind10 = ~isnan(OHdG_d_3);
OHdG_d_3=OHdG_d_3(ind10);


OHdG_dg_1=Data_diabetic_with_gl(:,22);
OHdG_dg_2=Data_diabetic_with_gl(:,23);
OHdG_dg_3=Data_diabetic_with_gl(:,24);


SEM81 = std(OHdG_d_1)/sqrt(length(OHdG_d_1));   
ts81 = tinv([0.025  0.975],length(OHdG_d_1)-1);      % T-Score
CI81 = mean(OHdG_d_1) + ts81*SEM81;

SEM82 = std(OHdG_d_3)/sqrt(length(OHdG_d_3));               % Standard Error
ts82 = tinv([0.025  0.975],length(OHdG_d_3)-1);      % T-Score
CI82 = mean(OHdG_d_3) + ts82*SEM82;

SEM83 = std(OHdG_dg_1)/sqrt(length(OHdG_dg_1));               % Standard Error
ts83 = tinv([0.025  0.975],length(OHdG_dg_1)-1);      % T-Score
CI83 = mean(OHdG_dg_1) + ts83*SEM83;

SEM84 = std(OHdG_dg_3)/sqrt(length(OHdG_dg_3));               % Standard Error
ts84 = tinv([0.025  0.975],length(OHdG_dg_3)-1);      % T-Score
CI84 = mean(OHdG_dg_3) + ts84*SEM84;

SEM85 = std(OHdG_d_2)/sqrt(length(OHdG_d_2));               % Standard Error
ts85 = tinv([0.025  0.975],length(OHdG_d_2)-1);      % T-Score
CI85 = mean(OHdG_d_2) + ts85*SEM85;

SEM86 = std(OHdG_dg_2)/sqrt(length(OHdG_dg_2));               % Standard Error
ts86 = tinv([0.025  0.975],length(OHdG_dg_2)-1);      % T-Score
CI86 = mean(OHdG_dg_2) + ts86*SEM86;

SEM87 = std(OHdG_c_1)/sqrt(length(OHdG_c_1));               % Standard Error
ts87 = tinv([0.025  0.975],length(OHdG_c_1)-1);      % T-Score
CI87 = mean(OHdG_c_1) + ts87*SEM87;

SEM88 = std(OHdG_c_2)/sqrt(length(OHdG_c_2));               % Standard Error
ts88 = tinv([0.025  0.975],length(OHdG_c_2)-1);      % T-Score
CI88 = mean(OHdG_c_2) + ts88*SEM88;

SEM89 = std(OHdG_c_3)/sqrt(length(OHdG_c_3));               % Standard Error
ts89 = tinv([0.025  0.975],length(OHdG_c_3)-1);      % T-Score
CI89 = mean(OHdG_c_3) + ts89*SEM89;



Biochemical_variable={'HbA1c';'Fasting Glucose';'Fasting Insulin';'PP Glucose';'PP Insulin';'GSH';'GSSG';'8OHdG'};

AlphaVisit_Mean=[mean(HbA1c_c_1),mean(fg_c_1),mean(fi_c_1),mean(ppg_c_1),mean(ppi_c_1),mean(GSH_c_1),mean(GSSG_c_1),mean(OHdG_c_1)];
AlphaVisit_95CI_lower=[CI27(1),CI47(1),CI67(1),CI57(1),CI77(1),CI17(1),CI37(1),CI87(1)];
AlphaVisit_95CI_upper=[CI27(2),CI47(2),CI67(2),CI57(2),CI77(2),CI17(2),CI37(2),CI87(2)];

AlphaVisit_Mean=AlphaVisit_Mean';
AlphaVisit_95CI_lower=AlphaVisit_95CI_lower';
AlphaVisit_95CI_upper=AlphaVisit_95CI_upper';

BetaVisit_Mean=[mean(HbA1c_c_2),mean(fg_c_2),mean(fi_c_2),mean(ppg_c_2),mean(ppi_c_2),mean(GSH_c_2),mean(GSSG_c_2),mean(OHdG_c_2)];
BetaVisit_95CI_lower=[CI28(1),CI48(1),CI68(1),CI58(1),CI78(1),CI18(1),CI38(1),CI88(1)];
BetaVisit_95CI_upper=[CI28(2),CI48(2),CI68(2),CI58(2),CI78(2),CI18(2),CI38(2),CI88(2)];

BetaVisit_Mean=BetaVisit_Mean';
BetaVisit_95CI_lower=BetaVisit_95CI_lower';
BetaVisit_95CI_upper=BetaVisit_95CI_upper';

GammaVisit_Mean=[mean(HbA1c_c_3),mean(fg_c_3),mean(fi_c_3),mean(ppg_c_3),mean(ppi_c_3),mean(GSH_c_3),mean(GSSG_c_3),mean(OHdG_c_3)];
GammaVisit_95CI_lower=[CI29(1),CI49(1),CI69(1),CI59(1),CI79(1),CI19(1),CI39(1),CI89(1)];
GammaVisit_95CI_upper=[CI29(2),CI49(2),CI69(2),CI59(2),CI79(2),CI19(2),CI39(2),CI89(2)];

GammaVisit_Mean=GammaVisit_Mean';
GammaVisit_95CI_lower=GammaVisit_95CI_lower';
GammaVisit_95CI_upper=GammaVisit_95CI_upper';

%Output table with Control group characteristics consists of 10 columns of variables, mean, lower limits of 95% CI, upper limits of 95% CI
%of biochemical concentrations at alpha, beta and gamma visits respectively.

Control_group_Characteristics=table(Biochemical_variable,AlphaVisit_Mean,AlphaVisit_95CI_lower,...
AlphaVisit_95CI_upper,BetaVisit_Mean,BetaVisit_95CI_lower,BetaVisit_95CI_upper,GammaVisit_Mean,GammaVisit_95CI_lower,GammaVisit_95CI_upper)

%
%Output table of D group characterisitcs 

AlphaVisit_Mean=[mean(HbA1c_d_1),mean(fg_d_1),mean(fi_d_1),mean(ppg_d_1),mean(ppi_d_1),mean(GSH_d_1),mean(GSSG_d_1),mean(OHdG_d_1)];
AlphaVisit_95CI_lower=[CI21(1),CI41(1),CI61(1),CI51(1),CI71(1),CI11(1),CI31(1),CI81(1)];
AlphaVisit_95CI_upper=[CI21(2),CI41(2),CI61(2),CI51(2),CI71(2),CI11(2),CI31(2),CI81(2)];

AlphaVisit_Mean=AlphaVisit_Mean';
AlphaVisit_95CI_lower=AlphaVisit_95CI_lower';
AlphaVisit_95CI_upper=AlphaVisit_95CI_upper';

BetaVisit_Mean=[mean(HbA1c_d_2),mean(fg_d_2),mean(fi_d_2),mean(ppg_d_2),mean(ppi_d_2),mean(GSH_d_2),mean(GSSG_d_2),mean(OHdG_d_2)];
BetaVisit_95CI_lower=[CI25(1),CI45(1),CI65(1),CI55(1),CI75(1),CI15(1),CI35(1),CI85(1)];
BetaVisit_95CI_upper=[CI25(2),CI45(2),CI65(2),CI55(2),CI75(2),CI15(2),CI35(2),CI85(2)];

BetaVisit_Mean=BetaVisit_Mean';
BetaVisit_95CI_lower=BetaVisit_95CI_lower';
BetaVisit_95CI_upper=BetaVisit_95CI_upper';

GammaVisit_Mean=[mean(HbA1c_d_3),mean(fg_d_3),mean(fi_d_3),mean(ppg_d_3),mean(ppi_d_3),mean(GSH_d_3),mean(GSSG_d_3),mean(OHdG_d_3)];
GammaVisit_95CI_lower=[CI22(1),CI42(1),CI62(1),CI52(1),CI72(1),CI12(1),CI32(1),CI82(1)];
GammaVisit_95CI_upper=[CI22(2),CI42(2),CI62(2),CI52(2),CI72(2),CI12(2),CI32(2),CI82(2)];

GammaVisit_Mean=GammaVisit_Mean';
GammaVisit_95CI_lower=GammaVisit_95CI_lower';
GammaVisit_95CI_upper=GammaVisit_95CI_upper';

%Output table with D group characteristics consists of 10 columns with variable, mean, lower limits of 95% CI,upper limits of 95% CI
%of biochemical concentrations at alpha, beta and gamma visits respectively.

D_group_Characteristics=table(Biochemical_variable,AlphaVisit_Mean,AlphaVisit_95CI_lower,...
AlphaVisit_95CI_upper,BetaVisit_Mean,BetaVisit_95CI_lower,BetaVisit_95CI_upper,GammaVisit_Mean,GammaVisit_95CI_lower,GammaVisit_95CI_upper)

 
%Output table of DG group characterisitcs  

AlphaVisit_Mean=[mean(HbA1c_dg_1),mean(fg_dg_1),mean(fi_dg_1),mean(ppg_dg_1),mean(ppi_dg_1),mean(GSH_dg_1),mean(GSSG_dg_1),mean(OHdG_dg_1)];
AlphaVisit_95CI_lower=[CI23(1),CI43(1),CI63(1),CI53(1),CI73(1),CI13(1),CI33(1),CI83(1)];
AlphaVisit_95CI_upper=[CI23(2),CI43(2),CI63(2),CI53(2),CI73(2),CI13(2),CI33(2),CI83(2)];

AlphaVisit_Mean=AlphaVisit_Mean';
AlphaVisit_95CI_lower=AlphaVisit_95CI_lower';
AlphaVisit_95CI_upper=AlphaVisit_95CI_upper';

BetaVisit_Mean=[mean(HbA1c_dg_2),mean(fg_dg_2),mean(fi_dg_2),mean(ppg_dg_2),mean(ppi_dg_2),mean(GSH_dg_2),mean(GSSG_dg_2),mean(OHdG_dg_2)];
BetaVisit_95CI_lower=[CI26(1),CI46(1),CI66(1),CI56(1),CI76(1),CI16(1),CI36(1),CI86(1)];
BetaVisit_95CI_upper=[CI26(2),CI46(2),CI66(2),CI56(2),CI76(2),CI16(2),CI36(2),CI86(2)];

BetaVisit_Mean=BetaVisit_Mean';
BetaVisit_95CI_lower=BetaVisit_95CI_lower';
BetaVisit_95CI_upper=BetaVisit_95CI_upper';

GammaVisit_Mean=[mean(HbA1c_dg_3),mean(fg_dg_3),mean(fi_dg_3),mean(ppg_dg_3),mean(ppi_dg_3),mean(GSH_dg_3),mean(GSSG_dg_3),mean(OHdG_dg_3)];
GammaVisit_95CI_lower=[CI24(1),CI44(1),CI64(1),CI54(1),CI74(1),CI14(1),CI34(1),CI84(1)];
GammaVisit_95CI_upper=[CI24(2),CI44(2),CI64(2),CI54(2),CI74(2),CI14(2),CI34(2),CI84(2)];

GammaVisit_Mean=GammaVisit_Mean';
GammaVisit_95CI_lower=GammaVisit_95CI_lower';
GammaVisit_95CI_upper=GammaVisit_95CI_upper';

%Output table with DG group characteristics consists of 10 columns with variables, mean, lower limits of 95% CI,upper limits of 95% CI
%of biochemical concentrations at alpha, beta and gamma visits respectively.

DG_group_Characteristics=table(Biochemical_variable,AlphaVisit_Mean,AlphaVisit_95CI_lower,...
AlphaVisit_95CI_upper,BetaVisit_Mean,BetaVisit_95CI_lower,BetaVisit_95CI_upper,GammaVisit_Mean,GammaVisit_95CI_lower,GammaVisit_95CI_upper)

elseif strcmp(inp,'TableS3')
%Variables
Variable={'Age';'BMI';'F Glucose'; 'PP Glucose '; 'HbA1c'; 'F Insulin';'PP Insulin';'GSSG';'GSH';'8OHdG'};
P=[];

%First visit comparisons of biochemical variables between different groups
for i=1:3:22
    var_c_1=Data_control(:,i);
    var_d_1=Data_diabetic(:,i);
    var_dg_1=Data_diabetic_with_gl(:,i);

 %Two sample t-tests between first visit measurements of Control and D group subjects
[h1,p1,ci1,stat1]=ttest2(var_c_1,var_d_1);
%Two sample t-tests between first visit measurements of Control and DG group  subjects
[h2,p2,ci2,stat2]=ttest2(var_c_1,var_dg_1);
%Two sample t-tests between first visit measurements of D and DG group  subjects
[h3,p3,ci3,stat3]=ttest2(var_d_1,var_dg_1);
%p-values
P=[P;p1 p2 p3];
end
    
%BMI of subjects at baseline
bmi_c_1=Data_control(1:end,29);
bmi_d_1=Data_diabetic(1:end,29);
in1=~isnan(bmi_d_1);%excluding NaN entries in BMI
bmi_d_1=bmi_d_1(in1);
bmi_dg_1=Data_diabetic_with_gl(1:end,29);

%Age of subjects at baseline
age_c_1=Data_control(1:end,25);
age_d_1=Data_diabetic(1:end,25);
age_dg_1=Data_diabetic_with_gl(1:end,25);

% Two sample t-tests between age of subjects in different groups
[h01,p01,ci01,stats01]=ttest2(age_c_1,age_d_1);
[h02,p02,ci02,stats02]=ttest2(age_c_1,age_dg_1);
[h03,p03,ci03,stats03]=ttest2(age_d_1,age_dg_1);

%Two sample t-tests between BMI of subjects in different groups
[h11,p11,ci11,stats11]=ttest2(bmi_c_1,bmi_d_1);
[h12,p12,ci12,stats12]=ttest2(bmi_c_1,bmi_dg_1);
[h13,p13,ci13,stats13]=ttest2(bmi_d_1,bmi_dg_1);

pvalue_CvsD=[p01;p11;P(:,1)];
pvalue_CvsDG=[p02;p12;P(:,2)];
pvalue_DvsDG=[p03;p13;P(:,3)];

%Output table of variables, and corresponding p-values of inter-group comparisons between first visits of Control, D, and DG groups
FirstVisitComparisons=table(Variable,pvalue_CvsD,pvalue_CvsDG,pvalue_DvsDG)

elseif strcmp(inp,'Figure2')
%% This script  calculates the effect size of 6-month biochemical changes between D and DG and displays 
%cohen's d vs p-value plot (Figure 2), where p-values were obtained using permutation tests by executing the file, "All_variables.R"




%%
%Reading the excel file for control group data
Data_control=xlsread('Master_Datasheet_Control.xls');

%Reading the excel file for D group data
Data_diabetic=xlsread('Master_Datasheet_Diabetic.xls');

%Reading the excel file for DG group data
Data_diabetic_with_gl=xlsread('Master_Datasheet_Diabetic_with_GSH.xls');
sz=50;


%% This script  calculates the effect size of 6-month biochemical changes between D and DG and displays 
%cohen's d vs p-value plot (Figure 2), where p-values were obtained using permutation tests by executing the file, "All_variables.R"

% Effect size calculation with HbA1c measuremenents 

% HbA1c measurements from D group subjects at the first visit 
HbA1c_d_1=Data_diabetic(1:end,7);

% HbA1c measurements from D group subjects at the second visit 
HbA1c_d_2=Data_diabetic(1:end,8);

% HbA1c measurements from D group subjects at the third visit 
HbA1c_d_3=Data_diabetic(1:end,9);

% Excluding NaN entries
ind1 = ~isnan(HbA1c_d_3);
HbA1c_d_1=HbA1c_d_1(ind1);
HbA1c_d_2=HbA1c_d_2(ind1);
HbA1c_d_3=HbA1c_d_3(ind1);

%HbA1c measurements from DG group subjects at the first visit
HbA1c_dg_1=Data_diabetic_with_gl(1:end,7);
%HbA1c measurements from DG group subjects at the second visit
HbA1c_dg_2=Data_diabetic_with_gl(1:end,8);
%HbA1c measurements from DG group subjects at the third visit
HbA1c_dg_3=Data_diabetic_with_gl(1:end,9);

% Calculating Cohen's d from HbA1c measurements
variance_HbA1c=((length(HbA1c_dg_1)-1)*var(HbA1c_dg_3-HbA1c_dg_1)+(length(HbA1c_d_1)-1)*var(HbA1c_d_3-HbA1c_d_1))/(length(HbA1c_dg_1)+length(HbA1c_d_1)-2);
std_HbA1c=sqrt(variance_HbA1c);

HbA1c_d_ga=HbA1c_d_3-HbA1c_d_1;
HbA1c_dg_ga=HbA1c_dg_3-HbA1c_dg_1;

m1=mean(HbA1c_d_ga);
m2=mean(HbA1c_dg_ga);
std1_D=std(HbA1c_d_ga);
std2_DG=std(HbA1c_dg_ga);

d_HbA1c=(mean(HbA1c_dg_ga)-mean(HbA1c_d_ga))/std_HbA1c;
% Effect size calculation with Fasting Glucose measurements

sigma_HbA1c=((length(HbA1c_d_ga)+length(HbA1c_dg_ga))/(length(HbA1c_d_ga)*length(HbA1c_dg_ga))+(d_HbA1c^2/(2*(length(HbA1c_d_ga)+length(HbA1c_dg_ga)))))^0.5;

CI1_HbA1c=d_HbA1c-1.96*sigma_HbA1c;
CI2_HbA1c=d_HbA1c+1.96*sigma_HbA1c;

%%
%Fasting Glucose measurements from D group subjects at the first visit 
fg_d_1=Data_diabetic(1:end,1);

%Fasting Glucose measurements from D group subjects at the second visit
fg_d_2=Data_diabetic(1:end,2);

%Fasting Glucose measurements from D group subjects at the third visit
fg_d_3=Data_diabetic(1:end,3);

% Excluding NaN entries
ind1 = ~isnan(fg_d_3);
fg_d_1=fg_d_1(ind1);
fg_d_2=fg_d_2(ind1);
fg_d_3=fg_d_3(ind1);

%Fasting Glucose measurements from DG group subjects at the first visit 
fg_dg_1=Data_diabetic_with_gl(1:end,1);
%Fasting Glucose measurements from DG group subjects at the second visit 
fg_dg_2=Data_diabetic_with_gl(1:end,2);
%Fasting Glucose measurements from DG group subjects at the third visit 
fg_dg_3=Data_diabetic_with_gl(1:end,3);

%Calculating Cohen's d from Fasting Glucose measurements
variance_FGlucose=((length(fg_dg_1)-1)*var(fg_dg_3-fg_dg_1)+(length(fg_d_1)-1)*var(fg_d_3-fg_d_1))/(length(fg_d_1)+length(fg_dg_1)-2);
std_FGlucose=sqrt(variance_FGlucose);

fg_d_ga=fg_d_3-fg_d_1;
fg_dg_ga=fg_dg_3-fg_dg_1;
m3=mean(fg_d_ga);
m4=mean(fg_dg_ga);

std3_D=std(fg_d_ga);
std4_DG=std(fg_dg_ga);

d_FGlucose=(mean(fg_dg_ga)-mean(fg_d_ga))/std_FGlucose;
sigma_fg=((length(fg_d_ga)+length(fg_dg_ga))/(length(fg_d_ga)*length(fg_dg_ga))+(d_FGlucose^2/(2*(length(fg_d_ga)+length(fg_dg_ga)))))^0.5;

CI1_fg=d_FGlucose-1.96*sigma_fg;
CI2_fg=d_FGlucose+1.96*sigma_fg;


%%

% Effect size calculation with Fasting Insulin measurements

%Fasting Insulin measurements from D group subjects at the first visit 
fi_d_1=Data_diabetic(1:end,10);
%Fasting Insulin measurements from D group subjects at the second visit 
fi_d_2=Data_diabetic(1:end,11);
%Fasting Insulin measurements from D group subjects at the third visit 
fi_d_3=Data_diabetic(1:end,12);

%Fasting Insulin measurements from DG group subjects at the first visit 
fi_dg_1=Data_diabetic_with_gl(1:end,10);
%Fasting Insulin measurements from DG group subjects at the second visit 
fi_dg_2=Data_diabetic_with_gl(1:end,11);
%Fasting Insulin measurements from DG group subjects at the third visit 
fi_dg_3=Data_diabetic_with_gl(1:end,12);

% Excluding NaN entries
fi_d_1=fi_d_1(ind1);
fi_d_2=fi_d_2(ind1);
fi_d_3=fi_d_3(ind1);

% Calculating Cohen's d from Fasting Inslin measurements
variance_FInsulin=((length(fi_dg_1)-1)*var(fi_dg_3-fi_dg_1)+(length(fi_d_1)-1)*var(fi_d_3-fi_d_1))/(length(fi_d_1)+length(fi_dg_1)-2);
std_FInsulin=sqrt(variance_FInsulin);

fi_d_ga=fi_d_3-fi_d_1;
fi_dg_ga=fi_dg_3-fi_dg_1;
m5=mean(fi_d_ga);
m6=mean(fi_dg_ga);

std5_D=std(fi_d_ga);
std6_DG=std(fi_dg_ga);

d_FInsulin=(mean(fi_dg_ga)-mean(fi_d_ga))/std_FInsulin;
sigma_fi=((length(fi_d_ga)+length(fi_dg_ga))/(length(fi_d_ga)*length(fi_dg_ga))+(d_FInsulin^2/(2*(length(fi_d_ga)+length(fi_dg_ga)))))^0.5;

CI1_fi=d_FInsulin-1.96*sigma_fi;
CI2_fi=d_FInsulin+1.96*sigma_fi;
%%
% Effect size calculations with PP Insulin measurements

%PP Insulin measurements from D group subjects at the first visit 
ppi_d_1=Data_diabetic(1:end,13);
%PP Insulin measurements from D group subjects at the second visit 
ppi_d_2=Data_diabetic(1:end,14);
%PP Insulin measurements from D group subjects at the third visit 
ppi_d_3=Data_diabetic(1:end,15);
 
% Excluding NaN entries
ind6 = ~isnan(ppi_d_3);
ppi_d_1=ppi_d_1(ind6);
ppi_d_2=ppi_d_2(ind6);
ppi_d_3=ppi_d_3(ind6);

%PP Insulin measurements from DG group subjects at the first visit 
ppi_dg_1=Data_diabetic_with_gl(1:end,13);
%PP Insulin measurements from DG group subjects at the second visit 
ppi_dg_2=Data_diabetic_with_gl(1:end,14);
%PP Insulin measurements from DG group subjects at the third visit 
ppi_dg_3=Data_diabetic_with_gl(1:end,15);

% Excluding NaN entries
ind8 = ~isnan(ppi_dg_3);
ppi_dg_1=ppi_dg_1(ind8);
ppi_dg_2=ppi_dg_2(ind8);
ppi_dg_3=ppi_dg_3(ind8);


%Calculating Cohen's d from PP Insulin measurements
variance_PPInsulin=((length(ppi_dg_1)-1)*var(ppi_dg_3-ppi_dg_1)+(length(ppi_d_1)-1)*var(ppi_d_3-ppi_d_1))/(length(ppi_d_1)+length(ppi_dg_1)-2);
std_PPInsulin=sqrt(variance_PPInsulin);

ppi_d_ga=ppi_d_3-ppi_d_1;
ppi_dg_ga=ppi_dg_3-ppi_dg_1;
m7=mean(ppi_d_ga);
m8=mean(ppi_dg_ga);

std7_D=std(ppi_d_ga);
std8_DG=std(ppi_dg_ga);

d_PPInsulin=(mean(ppi_dg_ga)-mean(ppi_d_ga))/std_PPInsulin;
sigma_ppi=((length(ppi_d_ga)+length(ppi_dg_ga))/(length(ppi_d_ga)*length(ppi_dg_ga))+(d_PPInsulin^2/(2*(length(ppi_d_ga)+length(ppi_dg_ga)))))^0.5;

CI1_ppi=d_PPInsulin-1.96*sigma_ppi;
CI2_ppi=d_PPInsulin+1.96*sigma_ppi;
%%
%Effect size calculation with PP Glucose measurements

%PP Glucose measurements from D group subjects at the first visit 
ppg_d_1=Data_diabetic(1:end,4);
%PP Glucose measurements from D group subjects at the second visit 
ppg_d_2=Data_diabetic(1:end,5);
%PP Glucose measurements from D group subjects at the third visit 
ppg_d_3=Data_diabetic(1:end,6);

% Excluding NaN entries
ind9 = ~isnan(ppg_d_3);
ind10=~isnan(ppg_d_1);

ppg_d_1=ppg_d_1(ind9&ind10);
ppg_d_2=ppg_d_2(ind9&ind10);
ppg_d_3=ppg_d_3(ind9&ind10);

%PP Glucose measurements from DG group subjects at the first visit 
ppg_dg_1=Data_diabetic_with_gl(1:end,4);
%PP Glucose measurements from DG group subjects at the second visit 
ppg_dg_2=Data_diabetic_with_gl(1:end,5);
%PP Glucose measurements from DG group subjects at the third visit 
ppg_dg_3=Data_diabetic_with_gl(1:end,6);

%Excluding those DG group subjects without third visit PP Glucose measurements
ind10 = ~isnan(ppg_dg_3);
ppg_dg_1=ppg_dg_1(ind10);
ppg_dg_2=ppg_dg_2(ind10);
ppg_dg_3=ppg_dg_3(ind10);

%Calculating Cohen's d from PP Glucose measurements

variance_PPGlucose=((length(ppg_dg_1)-1)*var(ppg_dg_3-ppg_dg_1)+(length(ppg_d_1)-1)*var(ppg_d_3-ppg_d_1))/(length(ppg_d_1)+length(ppg_dg_1)-2);
std_PPGlucose=sqrt(variance_PPGlucose);

ppg_d_ga=ppg_d_3-ppg_d_1;
ppg_dg_ga=ppg_dg_3-ppg_dg_1;

m9=mean(ppg_d_ga);
m10=mean(ppg_dg_ga);

std9_D=std(ppg_d_ga);
std10_DG=std(ppg_dg_ga);
d_PPGlucose=(mean(ppg_dg_ga)-mean(ppg_d_ga))/std_PPGlucose;
sigma_ppg=((length(ppg_d_ga)+length(ppg_dg_ga))/(length(ppg_d_ga)*length(ppg_dg_ga))+(d_PPGlucose^2/(2*(length(ppg_d_ga)+length(ppg_dg_ga)))))^0.5;

CI1_ppg=d_PPGlucose-1.96*sigma_ppg;
CI2_ppg=d_PPGlucose+1.96*sigma_ppg;
%%
% Effect size calculation with GSH measurements
%GSH measurements from D group subjects at the first visit 
GSH_d_1=Data_diabetic(:,19);
%GSH measurements from D group subjects at the second visit 
GSH_d_2=Data_diabetic(:,20);
%GSH measurements from D group subjects at the third visit 
GSH_d_3=Data_diabetic(:,21);

% Excluding NaN entries
ind_d = ~isnan(GSH_d_3);
GSH_d_1=GSH_d_1(ind_d);
GSH_d_2=GSH_d_2(ind_d);
GSH_d_3=GSH_d_3(ind_d);

%GSH measurements from DG group subjects at the first visit 
GSH_dg_1=Data_diabetic_with_gl(:,19);
%GSH measurements from DG group subjects at the second visit 
GSH_dg_2=Data_diabetic_with_gl(:,20);
%GSH measurements from DG group subjects at the third visit 
GSH_dg_3=Data_diabetic_with_gl(:,21);

% Excluding NaN entries
ind_dg = ~isnan(GSH_dg_3);
GSH_dg_1=GSH_dg_1(ind_dg);
GSH_dg_2=GSH_dg_2(ind_dg);
GSH_dg_3=GSH_dg_3(ind_dg);

% Calculating Cohen's d from GSH measurements
variance_GSH=((length(GSH_dg_1)-1)*var(GSH_dg_3-GSH_dg_1)+(length(GSH_d_1)-1)*var(GSH_d_3-GSH_d_1))/(length(GSH_d_1)+length(GSH_dg_1)-2);
std_GSH=sqrt(variance_GSH);

GSH_d_ga=GSH_d_3-GSH_d_1;
GSH_dg_ga=GSH_dg_3-GSH_dg_1;
GSH_m1=mean(GSH_d_ga);
GSH_m2=mean(GSH_dg_ga);

std11_D=std(GSH_d_ga);
std12_DG=std(GSH_dg_ga);
d_GSH=(mean(GSH_dg_ga)-mean(GSH_d_ga))/std_GSH;

sigma_GSH=((length(GSH_d_ga)+length(GSH_dg_ga))/(length(GSH_d_ga)*length(GSH_dg_ga))+(d_GSH^2/(2*(length(GSH_d_ga)+length(GSH_dg_ga)))))^0.5;
CI1_GSH=d_GSH-1.96*sigma_GSH;
CI2_GSH=d_GSH+1.96*sigma_GSH;

%%
% Effect size calculation with GSSG measurenents
%GSSG measurements from D group subjects at the first visit 
GSSG_d_1=Data_diabetic(:,16);
%GSSG measurements from D group subjects at the second visit 
GSSG_d_2=Data_diabetic(:,17);
%GSSG measurements from D group subjects at the third visit 
GSSG_d_3=Data_diabetic(:,18);

% Excluding NaN entries
ind_d = ~isnan(GSSG_d_3);
GSSG_d_1=GSSG_d_1(ind_d);
GSSG_d_2=GSSG_d_2(ind_d);
GSSG_d_3=GSSG_d_3(ind_d);

%GSSG measurements from DG group subjects at the first visit 
GSSG_dg_1=Data_diabetic_with_gl(:,16);
%GSSG measurements from DG group subjects at the second visit 
GSSG_dg_2=Data_diabetic_with_gl(:,17);
%GSSG measurements from DG group subjects at the third visit 
GSSG_dg_3=Data_diabetic_with_gl(:,18);

% Excluding NaN entries
ind_dg = ~isnan(GSSG_dg_3);
GSSG_dg_1=GSSG_dg_1(ind_dg);
GSSG_dg_2=GSSG_dg_2(ind_dg);
GSSG_dg_3=GSSG_dg_3(ind_dg);

%Calculating Cohen's d from GSSG measurements
variance_GSSG=((length(GSSG_dg_1)-1)*var(GSSG_dg_3-GSSG_dg_1)+(length(GSSG_d_1)-1)*var(GSSG_d_3-GSSG_d_1))/(length(GSSG_d_1)+length(GSSG_dg_1)-2); 
std_GSSG=sqrt(variance_GSSG);

GSSG_d_ga=GSSG_d_3-GSSG_d_1;
GSSG_dg_ga=GSSG_dg_3-GSSG_dg_1;
GSSG_m1=mean(GSSG_d_ga);
GSSG_m2=mean(GSSG_dg_ga);

d_GSSG=(mean(GSSG_dg_ga)-mean(GSSG_d_ga))/std_GSSG;
sigma_GSSG=((length(GSSG_d_ga)+length(GSSG_dg_ga))/(length(GSSG_d_ga)*length(GSSG_dg_ga))+(d_GSSG^2/(2*(length(GSSG_d_ga)+length(GSSG_dg_ga)))))^0.5;

CI1_GSSG=d_GSSG-1.96*sigma_GSSG;
CI2_GSSG=d_GSSG+1.96*sigma_GSSG;
%%

OHdG_c_1=Data_control(:,22);
OHdG_c_2=Data_control(:,23);
OHdG_c_3=Data_control(:,24);

OHdG_d_1=Data_diabetic(:,22);
OHdG_d_2=Data_diabetic(:,23);
OHdG_d_3=Data_diabetic(:,24);

ind10 = ~isnan(OHdG_d_3);
OHdG_d_1=OHdG_d_1(ind10);
OHdG_d_2=OHdG_d_2(ind10);
OHdG_d_3=OHdG_d_3(ind10);

OHdG_dg_1=Data_diabetic_with_gl(:,22);
OHdG_dg_2=Data_diabetic_with_gl(:,23);
OHdG_dg_3=Data_diabetic_with_gl(:,24);


%Calculating Cohen's d from 8-OHdG measurements
variance_OHdG=((length(OHdG_dg_1)-1)*var(OHdG_dg_3-OHdG_dg_1)+(length(OHdG_d_1)-1)*var(OHdG_d_3-OHdG_d_1))/(length(OHdG_d_1)+length(OHdG_dg_1)-2); 
std_OHdG=sqrt(variance_OHdG);

OHdG_d_ga=OHdG_d_3-OHdG_d_1;
OHdG_dg_ga=OHdG_dg_3-OHdG_dg_1;
OHdG_m1=mean(OHdG_d_ga);
OHdG_m2=mean(OHdG_dg_ga);

std13_D=std(OHdG_d_ga);
std14_DG=std(OHdG_dg_ga);
d_OHdG=(mean(OHdG_dg_ga)-mean(OHdG_d_ga))/std_OHdG;
sigma_OHdG=((length(OHdG_d_ga)+length(OHdG_dg_ga))/(length(OHdG_d_ga)*length(OHdG_dg_ga))+(d_OHdG^2/(2*(length(OHdG_d_ga)+length(OHdG_dg_ga)))))^0.5;

CI1_OHdG=d_OHdG-1.96*sigma_OHdG;
CI2_OHdG=d_OHdG+1.96*sigma_OHdG;

%%
% Printing an output table with three columns of variable names, Cohen's d values, and p-values repectively.
Biochemical_variable={'HbA1c';'Fasting Glucose';'Fasting Insulin';'PP Glucose';'PP Insulin';'GSH';'GSSG';'8OHdG'};
Variable=[1 2 3 4 5 6 7 8];
d_all=[d_HbA1c,d_FGlucose,d_FInsulin,d_PPGlucose,d_PPInsulin,d_GSH,d_GSSG,d_OHdG];


%p-values obtained using permutation  tests by running 'All_variables.R"
p_all=[0.285 0.592 0.904 0.605 0.290 4.01*10^(-11) 2.35*10^(-5) 5.80*10^(-12)]; %p_all obtained from permutation tests using R
Cohens_d=d_all';
p_value=p_all';

%Output table
Result1_wholegroup=table(Biochemical_variable,Cohens_d,p_value)

sz2=150;
figure1=figure('Name','Figure 2','NumberTitle','off');
colororder({'k','k'})
yyaxis left
scatter(d_all,Variable,sz2,'filled','k')
hold on
plot([CI1_HbA1c,CI2_HbA1c],[1,1],'-k','LineWidth',3);
plot([CI1_fg,CI2_fg],[2,2],'-k','LineWidth',3);
plot([CI1_fi,CI2_fi],[3,3],'-k','LineWidth',3);
plot([CI1_ppg,CI2_ppg],[4,4],'-k','LineWidth',3);
plot([CI1_ppi,CI2_ppi],[5,5],'-k','LineWidth',3);
plot([CI1_GSH,CI2_GSH],[6,6],'-k','LineWidth',3);
plot([CI1_GSSG,CI2_GSSG],[7,7],'-k','LineWidth',3);
plot([CI1_OHdG,CI2_OHdG],[8,8],'-k','LineWidth',3);
set(gca,'FontSize',18)
xlabel('Effect Size (95% CI)','FontSize',18,'FontWeight','bold')
%xline(0,'--','LineWidth',3)
plot([0 0],[0 10],'--k','LineWidth',2)
plot([-0.5 -0.5],[0 10],'--k','LineWidth',2)
plot([-0.8 -0.8],[0 10],'--k','LineWidth',2)
plot([0.5 0.5],[0 10],'--k','LineWidth',2)
plot([0.8 0.8],[0 10],'--k','LineWidth',2)
xlim([-1.5 1.5])
ylim([0 10])
grid on
yticks([1 2 3 4 5 6 7 8])
yticklabels({'HbA1c','Fasting Glucose','Fasting Insulin','PP Glucose','PP Insulin','GSH','GSSG','8-OHdG','100'})

yyaxis right
ylim([0 1])
grid on
yticks([0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8])
yticklabels({'-0.16 (-0.44, 0.13)','0.078 (-0.20, 0.36)','0.055 (-0.23, 0.34)','0.075 (-0.21, 0.36)','0.16 (-0.13, 0.44)','1.01 (0.71, 1.31)','0.61 (0.33, 0.91)','-1.07 (-1.37, -0.77)'})

% Uncomment the following line to preserve the X-limits of the axes
% xlim(axes1,[-1.5 1.5]);
% Set the remaining axes properties
% Create textbox
annotation(figure1,'textbox',...
    [0.669010416666665 0.912995725527781 0.0598958346061409 0.0539529924209301],...
    'String',{'Large'},...
    'LineStyle','none',...
    'FontSize',18);

% Create textbox
annotation(figure1,'textbox',...
    [0.585156249999998 0.911927349459404 0.0755208349786699 0.0539529924209301],...
    'String',{'Medium'},...
    'LineStyle','none',...
    'FontSize',18);

% Create textbox
annotation(figure1,'textbox',...
    [0.340364583333332 0.915132477664534 0.07552083497867 0.0539529924209301],...
    'String',{'Medium'},...
    'LineStyle','none',...
    'FontSize',18);

% Create textbox
annotation(figure1,'textbox',...
    [0.278385416666665 0.912995725527782 0.0598958346061409 0.0539529924209301],...
    'String',{'Large'},...
    'LineStyle','none',...
    'FontSize',18);

% Create textbox
annotation(figure1,'textbox',...
    [0.867708333333333 0.839811964844025 0.100000002228965 0.0539529924209301],...
    'String',{'Effect sizes'},...
    'LineStyle','none',...
    'FontSize',18);

% Create textbox
annotation(figure1,'textbox',...
    [0.307552083333331 0.703059827149417 0.0697916681754093 0.0934829078933113],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36);

% Create textbox
annotation(figure1,'textbox',...
    [0.716796874999998 0.622130339969929 0.0697916681754093 0.0934829078933113],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36);

% Create textbox
annotation(figure1,'textbox',...
    [0.815364583333331 0.540132476722067 0.0697916681754093 0.0934829078933113],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36);




elseif strcmp(inp,'Figure3')
%% GSH measurements at different visits in each group

GSH_c_1=Data_control(:,19);
GSH_d_1=Data_diabetic(:,19);
GSH_dg_1=Data_diabetic_with_gl(:,19);

GSH_c_2=Data_control(:,20);
GSH_d_2=Data_diabetic(:,20);
GSH_dg_2=Data_diabetic_with_gl(:,20);

GSH_c_3=Data_control(:,21);
GSH_d_3=Data_diabetic(:,21);
GSH_dg_3=Data_diabetic_with_gl(:,21);

ind_d = ~isnan(GSH_d_3);
GSH_d_1=GSH_d_1(ind_d);
GSH_d_2=GSH_d_2(ind_d);
GSH_d_3=GSH_d_3(ind_d);

ind_dg = ~isnan(GSH_dg_3);
GSH_dg_1=GSH_dg_1(ind_dg);
GSH_dg_2=GSH_dg_2(ind_dg);
GSH_dg_3=GSH_dg_3(ind_dg);

%%
%GSSG baseline concentrations
GSSG_c_1=Data_control(:,16);
GSSG_d_1=Data_diabetic(:,16);
GSSG_dg_1=Data_diabetic_with_gl(:,16);

GSSG_c_2=Data_control(:,17);
GSSG_d_2=Data_diabetic(:,17);
GSSG_dg_2=Data_diabetic_with_gl(:,17);

GSSG_c_3=Data_control(:,18);
GSSG_d_3=Data_diabetic(:,18);
GSSG_dg_3=Data_diabetic_with_gl(:,18);

ind_d = ~isnan(GSSG_d_3);
GSSG_d_1=GSSG_d_1(ind_d);
GSSG_d_2=GSSG_d_2(ind_d);
GSSG_d_3=GSSG_d_3(ind_d);

ind_dg = ~isnan(GSSG_dg_3);
GSSG_dg_1=GSSG_dg_1(ind_dg);
GSSG_dg_2=GSSG_dg_2(ind_dg);
GSSG_dg_3=GSSG_dg_3(ind_dg);
%%

GSH4=[1*ones(size(GSH_c_1));4*ones(size(GSH_c_2));7*ones(size(GSH_c_3));2*ones(size(GSH_d_1));5*ones(size(GSH_d_2));8*ones(size(GSH_d_3));...
     3*ones(size(GSH_dg_1));6*ones(size(GSH_dg_2));9*ones(size(GSH_dg_3))];


GSH_All=[GSH_c_1;GSH_c_2;GSH_c_3;GSH_d_1;GSH_d_2;GSH_d_3;GSH_dg_1;GSH_dg_2;GSH_dg_3];
GSH_Control=[1 4 7];
GSH_D=[2 5 8];
GSH_DG=[3 6 9];

mean_Control_GSH=[mean(GSH_c_1) mean(GSH_c_2) mean(GSH_c_3)];
mean_D_GSH=[mean(GSH_d_1) mean(GSH_d_2) mean(GSH_d_3)];
mean_DG_GSH=[mean(GSH_dg_1) mean(GSH_dg_2) mean(GSH_dg_3)];

sz1=150;
sz2=25;

figure1=figure('Name','Figure 3A','NumberTitle','off');
scatter(GSH_Control,mean_Control_GSH,sz1,'filled','k')
hold on
scatter(GSH_D,mean_D_GSH,sz1,'filled','b')
scatter(GSH_DG,mean_DG_GSH,sz1,'filled','r')
h=boxplot(GSH_All,GSH4,'width',0.5,'color','k','symbol','');
xlim([0 10])
%scatter(GSH4,GSH_All,sz2,'filled','k')
plot(GSH_Control,mean_Control_GSH,'-k','LineWidth',2);
plot(GSH_D,mean_D_GSH,'-b','LineWidth',2);
plot(GSH_DG,mean_DG_GSH,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
ylabel('GSH (\muM)','FontSize',18,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([2 5 8])
legend('Control Group','D Group','DG Group')
ylim([0 3000])
set(h,{'linew'},{2})


% Create textbox
annotation(figure1,'textbox',...
    [0.208291666666667 0.0897435897435897 0.154729166666667 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.441234375 0.0908119658119658 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.737630208333333 0.0539529914529914 0.0453125009251137 0.0683760683760684],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.674046874999999 0.0900106837606837 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.271223958333333 0.0544871794871795 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0244375 0.86111111111111 0.0828541666666666 0.0427350427350426],...
    'String','Fig. 3A',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.805557291666666 0.760950854700854 0.0474375 0.0277777777777777],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.572614583333333 0.795673076923077 0.0474375 0.0277777777777777],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.727171874999999 0.414529914529914 0.0474375 0.0277777777777777],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.502734374999999 0.0443376068376068 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

%%
GSSG_All=[GSSG_c_1;GSSG_c_2;GSSG_c_3;GSSG_d_1;GSSG_d_2;GSSG_d_3;GSSG_dg_1;GSSG_dg_2;GSSG_dg_3];
GSSG_Control=[1 4 7];
GSSG_D=[2 5 8];
GSSG_DG=[3 6 9];

mean_Control_GSSG=[mean(GSSG_c_1) mean(GSSG_c_2) mean(GSSG_c_3)];
mean_D_GSSG=[mean(GSSG_d_1) mean(GSSG_d_2) mean(GSSG_d_3)];
mean_DG_GSSG=[mean(GSSG_dg_1) mean(GSSG_dg_2) mean(GSSG_dg_3)];

% Create figure
figure1 = figure('WindowState','maximized');
scatter(GSSG_Control,mean_Control_GSSG,sz1,'filled','k')
hold on
scatter(GSSG_D,mean_D_GSSG,sz1,'filled','b')
scatter(GSSG_DG,mean_DG_GSSG,sz1,'filled','r')
h=boxplot(GSSG_All,GSH4,'width',0.5,'color','k','symbol','');
xlim([0 10]) 
%scatter(GSH4,GSSG_All,sz2,'filled','k')
plot(GSSG_Control,mean_Control_GSSG,'-k','LineWidth',2);
plot(GSSG_D,mean_D_GSSG,'-b','LineWidth',2);
plot(GSSG_DG,mean_DG_GSSG,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
ylabel('GSSG (\muM)','FontSize',18,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([2 5 8])
legend('Control Group','D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 1000])

% Create textbox
annotation(figure1,'textbox',...
    [0.804906249999999 0.711271367521367 0.0474375 0.0277777777777777],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.440453125 0.0900106837606838 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.673135416666666 0.0894764957264957 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.271223958333333 0.0544871794871795 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503645833333332 0.0395299145299145 0.0453125009251137 0.0683760683760683],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.737239583333332 0.0502136752136752 0.0453125009251137 0.0683760683760683],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.208291666666667 0.0897435897435897 0.154729166666667 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.573135416666666 0.772168803418803 0.0474375 0.0277777777777777],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0213541666666667 0.898504273504272 0.0989583333333333 0.0427350427350426],...
    'String','Fig. 3B',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');




elseif strcmp(inp,'Figure4')
%%
%HbA1c baseline concentrations
HbA1c_c_1=Data_control(1:end,7);
HbA1c_d_1=Data_diabetic(1:end,7);
HbA1c_dg_1=Data_diabetic_with_gl(1:end,7);

HbA1c_c_2=Data_control(1:end,8);
HbA1c_d_2=Data_diabetic(1:end,8);
HbA1c_dg_2=Data_diabetic_with_gl(1:end,8);

HbA1c_c_3=Data_control(1:end,9);
HbA1c_d_3=Data_diabetic(1:end,9);
HbA1c_dg_3=Data_diabetic_with_gl(1:end,9);

ind1 = ~isnan(HbA1c_d_3);
HbA1c_d_1=HbA1c_d_1(ind1);
HbA1c_d_2=HbA1c_d_2(ind1);
HbA1c_d_3=HbA1c_d_3(ind1);


ind2 = ~isnan(HbA1c_dg_2);
HbA1c_dg_1=HbA1c_dg_1(ind2);
HbA1c_dg_2=HbA1c_dg_2(ind2);
HbA1c_dg_3=HbA1c_dg_3(ind2);
%%
%Fasting Glucose baseline concentrations
fg_c_1=Data_control(1:end,1);
fg_d_1=Data_diabetic(1:end,1);
fg_dg_1=Data_diabetic_with_gl(1:end,1);

fg_c_2=Data_control(1:end,2);
fg_d_2=Data_diabetic(1:end,2);
fg_dg_2=Data_diabetic_with_gl(1:end,2);

fg_c_3=Data_control(1:end,3);
fg_d_3=Data_diabetic(1:end,3);
fg_dg_3=Data_diabetic_with_gl(1:end,3);

ind1 = ~isnan(fg_d_3);
fg_d_1=fg_d_1(ind1);
fg_d_2=fg_d_2(ind1);
fg_d_3=fg_d_3(ind1);

ind_dg=~isnan(fg_dg_2);
fg_dg_2=fg_dg_2(ind_dg);
%%
%Fasting Insulin baseline concentrations
fi_c_1=Data_control(1:end,10);
fi_d_1=Data_diabetic(1:end,10);
fi_dg_1=Data_diabetic_with_gl(1:end,10);

fi_c_2=Data_control(1:end,11);
fi_d_2=Data_diabetic(1:end,11);
fi_dg_2=Data_diabetic_with_gl(1:end,11);

fi_c_3=Data_control(1:end,12);
fi_d_3=Data_diabetic(1:end,12);
fi_dg_3=Data_diabetic_with_gl(1:end,12);

ind1 = ~isnan(fi_d_3);
fi_d_1=fi_d_1(ind1);
fi_d_2=fi_d_2(ind1);
fi_d_3=fi_d_3(ind1);

ind1 = ~isnan(fi_dg_2);
fi_dg_2=fi_dg_2(ind1);

%%
%PP Insulin baseline concentrations
ppi_c_1=Data_control(1:end,13);
ppi_d_1=Data_diabetic(1:end,13);
ppi_dg_1=Data_diabetic_with_gl(1:end,13);

ppi_c_2=Data_control(1:end,14);
ppi_d_2=Data_diabetic(1:end,14);
ppi_dg_2=Data_diabetic_with_gl(1:end,14);

ppi_c_3=Data_control(1:end,15);
ppi_d_3=Data_diabetic(1:end,15);
ppi_dg_3=Data_diabetic_with_gl(1:end,15);

ind1 = ~isnan(ppi_c_1);
ppi_c_1=ppi_c_1(ind1);
ind1 = ~isnan(ppi_c_2);
ppi_c_2=ppi_c_2(ind1);
ind1 = ~isnan(ppi_c_3);
ppi_c_3=ppi_c_3(ind1);

ind6 = ~isnan(ppi_d_1);
ppi_d_1=ppi_d_1(ind6);

ind6 = ~isnan(ppi_d_2);
ppi_d_2=ppi_d_2(ind6);

ind6 = ~isnan(ppi_d_3);
ppi_d_3=ppi_d_3(ind6);

ind8 = ~isnan(ppi_dg_1);
ppi_dg_1=ppi_dg_1(ind8);

ind8 = ~isnan(ppi_dg_2);
ppi_dg_2=ppi_dg_2(ind8);

ind8 = ~isnan(ppi_dg_3);
ppi_dg_3=ppi_dg_3(ind8);

%%
%PP Glucose baseline concentrations
ppg_c_1=Data_control(1:end,4);
ppg_d_1=Data_diabetic(1:end,4);
ppg_dg_1=Data_diabetic_with_gl(1:end,4);

ppg_c_2=Data_control(1:end,5);
ppg_d_2=Data_diabetic(1:end,5);
ppg_dg_2=Data_diabetic_with_gl(1:end,5);

ppg_c_3=Data_control(1:end,6);
ppg_d_3=Data_diabetic(1:end,6);
ppg_dg_3=Data_diabetic_with_gl(1:end,6);

ind10 = ~isnan(ppg_c_1);
ppg_c_1=ppg_c_1(ind10);

ind10 = ~isnan(ppg_c_2);
ppg_c_2=ppg_c_2(ind10);

ind10 = ~isnan(ppg_c_3);
ppg_c_3=ppg_c_3(ind10);

ind10 = ~isnan(ppg_d_1);
ppg_d_1=ppg_d_1(ind10);

ind10 = ~isnan(ppg_d_2);
ppg_d_2=ppg_d_2(ind10);

ind10 = ~isnan(ppg_d_3);
ppg_d_3=ppg_d_3(ind10);

ind10 = ~isnan(ppg_dg_1);
ppg_dg_1=ppg_dg_1(ind10);

ind10 = ~isnan(ppg_dg_2);
ppg_dg_2=ppg_dg_2(ind10);

ind10 = ~isnan(ppg_dg_3);
ppg_dg_3=ppg_dg_3(ind10);


OHdG_c_1=Data_control(:,22);
OHdG_c_2=Data_control(:,23);
OHdG_c_3=Data_control(:,24);

OHdG_d_1=Data_diabetic(:,22);
OHdG_d_2=Data_diabetic(:,23);
OHdG_d_3=Data_diabetic(:,24);
ind10 = ~isnan(OHdG_d_3);
OHdG_d_3=OHdG_d_3(ind10);


OHdG_dg_1=Data_diabetic_with_gl(:,22);
OHdG_dg_2=Data_diabetic_with_gl(:,23);
OHdG_dg_3=Data_diabetic_with_gl(:,24);


OHdG4=[1*ones(size(OHdG_c_1));4*ones(size(OHdG_c_2));7*ones(size(OHdG_c_3));2*ones(size(OHdG_d_1));5*ones(size(OHdG_d_2));8*ones(size(OHdG_d_3));...
     3*ones(size(OHdG_dg_1));6*ones(size(OHdG_dg_2));9*ones(size(OHdG_dg_3))];


OHdG_All=[OHdG_c_1;OHdG_c_2;OHdG_c_3;OHdG_d_1;OHdG_d_2;OHdG_d_3;OHdG_dg_1;OHdG_dg_2;OHdG_dg_3];
OHdG_Control=[1 4 7];
OHdG_D=[2 5 8];
OHdG_DG=[3 6 9];

mean_Control_OHdG=[mean(OHdG_c_1) mean(OHdG_c_2) mean(OHdG_c_3)];
mean_D_OHdG=[mean(OHdG_d_1) mean(OHdG_d_2) mean(OHdG_d_3)];
mean_DG_OHdG=[mean(OHdG_dg_1) mean(OHdG_dg_2) mean(OHdG_dg_3)];

%%
sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(OHdG_Control,mean_Control_OHdG,sz1,'filled','k')
hold on
scatter(OHdG_D,mean_D_OHdG,sz1,'filled','b')
scatter(OHdG_DG,mean_DG_OHdG,sz1,'filled','r')
h=boxplot(OHdG_All,OHdG4,'width',0.5,'color','k','symbol','');
xlim([0 10])
%scatter(OHdG4,OHdG_All,sz2,'filled','k')
plot(OHdG_Control,mean_Control_OHdG,'-k','LineWidth',2);
plot(OHdG_D,mean_D_OHdG,'-b','LineWidth',2);
plot(OHdG_DG,mean_DG_OHdG,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('OHdG (ng/\mug DNA)','FontSize',18,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([2 5 8])
%xticklabels({'Alpha','Beta','Gamma'})
legend('Control Group','D Group','DG Group')
set(h,{'linew'},{2})

% Create textbox
annotation(figure1,'textbox',...
    [0.208291666666667 0.0897435897435897 0.154729166666667 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.438760416666666 0.0900106837606837 0.154729166666667 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.673135416666666 0.0905448717948718 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0244375 0.86111111111111 0.0828541666666666 0.0427350427350426],...
    'String','Fig. 4A',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.271223958333333 0.0544871794871795 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.502734374999999 0.0389957264957265 0.0453125009251137 0.0683760683760685],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.737109375 0.0539529914529915 0.0453125009251139 0.0683760683760684],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.572093749999999 0.812767094017092 0.0474375 0.0277777777777777],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.805296874999999 0.749999999999999 0.0474375 0.0277777777777777],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');


%% This script  generates the Figure 4 in the article.     


fg4=[1*ones(size(fg_c_1));4*ones(size(fg_c_2));7*ones(size(fg_c_3));2*ones(size(fg_d_1));5*ones(size(fg_d_2));8*ones(size(fg_d_3));...
     3*ones(size(fg_dg_1));6*ones(size(fg_dg_2));9*ones(size(fg_dg_3))];


fg_All=[fg_c_1;fg_c_2;fg_c_3;fg_d_1;fg_d_2;fg_d_3;fg_dg_1;fg_dg_2;fg_dg_3];
fg_Control=[1 4 7];
fg_D=[2 5 8];
fg_DG=[3 6 9];

mean_Control_fg=[mean(fg_c_1) mean(fg_c_2) mean(fg_c_3)];
mean_D_fg=[mean(fg_d_1) mean(fg_d_2) mean(fg_d_3)];
mean_DG_fg=[mean(fg_dg_1) mean(fg_dg_2) mean(fg_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(fg_Control,mean_Control_fg,sz1,'filled','k')
hold on
scatter(fg_D,mean_D_fg,sz1,'filled','b')
scatter(fg_DG,mean_DG_fg,sz1,'filled','r')
h=boxplot(fg_All,fg4,'width',0.5,'color','k','symbol','');
xlim([0 10])
%scatter(fg4,fg_All,sz2,'filled','k')
plot(fg_Control,mean_Control_fg,'-k','LineWidth',2);
plot(fg_D,mean_D_fg,'-b','LineWidth',2);
plot(fg_DG,mean_DG_fg,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('Fasting Glucose (mg/dl)','FontSize',18,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([2 5 8])
%xticklabels({'Alpha','Beta','Gamma'})
legend('Control Group','D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 350])


% Create textbox
annotation(figure1,'textbox',...
    [0.439411458333333 0.0897435897435897 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.672614583333333 0.0897435897435897 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.502994791666665 0.0403311965811966 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.737109374999999 0.0539529914529915 0.0453125009251139 0.0683760683760684],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.208291666666667 0.0897435897435897 0.154729166666667 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0749583333333332 0.902777777777776 0.0828541666666665 0.0427350427350426],...
    'String','B',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.271223958333333 0.0544871794871795 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.502692708333332 0.707264957264955 0.0474374999999999 0.0277777777777777],...
    'String','**',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');
%%
% PP Glucose measurements at different visits in Control group
ppg4=[1*ones(size(ppg_c_1));4*ones(size(ppg_c_2));7*ones(size(ppg_c_3));2*ones(size(ppg_d_1));5*ones(size(ppg_d_2));8*ones(size(ppg_d_3));...
     3*ones(size(ppg_dg_1));6*ones(size(ppg_dg_2));9*ones(size(ppg_dg_3))];


ppg_All=[ppg_c_1;ppg_c_2;ppg_c_3;ppg_d_1;ppg_d_2;ppg_d_3;ppg_dg_1;ppg_dg_2;ppg_dg_3];
ppg_Control=[1 4 7];
ppg_D=[2 5 8];
ppg_DG=[3 6 9];

mean_Control_ppg=[mean(ppg_c_1) mean(ppg_c_2) mean(ppg_c_3)];
mean_D_ppg=[mean(ppg_d_1) mean(ppg_d_2) mean(ppg_d_3)];
mean_DG_ppg=[mean(ppg_dg_1) mean(ppg_dg_2) mean(ppg_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(ppg_Control,mean_Control_ppg,sz1,'filled','k')
hold on
scatter(ppg_D,mean_D_ppg,sz1,'filled','b')
scatter(ppg_DG,mean_DG_ppg,sz1,'filled','r')
h=boxplot(ppg_All,ppg4,'width',0.5,'color','k','symbol','');
xlim([0 10])
%scatter(ppg4,ppg_All,sz2,'filled','k')
plot(ppg_Control,mean_Control_ppg,'-k','LineWidth',2);
plot(ppg_D,mean_D_ppg,'-b','LineWidth',2);
plot(ppg_DG,mean_DG_ppg,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('PP Glucose (mg/d)','FontSize',18,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([2 5 8])
%xticklabels({'Alpha','Beta','Gamma'})
legend('Control Group','D Group','DG Group')
set(h,{'linew'},{2})


% Create textbox
annotation(figure1,'textbox',...
    [0.208291666666667 0.0897435897435897 0.154729166666667 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.438760416666667 0.0900106837606837 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.672354166666667 0.0894764957264957 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0749583333333332 0.902777777777776 0.0828541666666665 0.0427350427350426],...
    'String','C',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.271223958333333 0.0544871794871795 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503385416666666 0.0440705128205128 0.0453125009251137 0.0657051282051281],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.736067708333333 0.0539529914529914 0.0453125009251139 0.0683760683760684],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.430817708333332 0.304487179487177 0.0474375 0.0277777777777777],...
    'String','*',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');


%%
fi4=[1*ones(size(fi_c_1));4*ones(size(fi_c_2));7*ones(size(fi_c_3));2*ones(size(fi_d_1));5*ones(size(fi_d_2));8*ones(size(fi_d_3));...
     3*ones(size(fi_dg_1));6*ones(size(fi_dg_2));9*ones(size(fi_dg_3))];


fi_All=[fi_c_1;fi_c_2;fi_c_3;fi_d_1;fi_d_2;fi_d_3;fi_dg_1;fi_dg_2;fi_dg_3];
fi_Control=[1 4 7];
fi_D=[2 5 8];
fi_DG=[3 6 9];

mean_Control_fi=[mean(fi_c_1) mean(fi_c_2) mean(fi_c_3)];
mean_D_fi=[mean(fi_d_1) mean(fi_d_2) mean(fi_d_3)];
mean_DG_fi=[mean(fi_dg_1) mean(fi_dg_2) mean(fi_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(fi_Control,mean_Control_fi,sz1,'filled','k')
hold on
scatter(fi_D,mean_D_fi,sz1,'filled','b')
scatter(fi_DG,mean_DG_fi,sz1,'filled','r')
h=boxplot(fi_All,fi4,'width',0.5,'color','k','symbol','');
xlim([0 10])

%scatter(fi4,fi_All,sz2,'filled','k')
plot(fi_Control,mean_Control_fi,'-k','LineWidth',2);
plot(fi_D,mean_D_fi,'-b','LineWidth',2);
plot(fi_DG,mean_DG_fi,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('Fasting Insulin (\muU/ml)','FontSize',18,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([2 5 8])
%xticklabels({'Alpha','Beta','Gamma'})
legend('Control Group','D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 40])


% Create textbox
annotation(figure1,'textbox',...
    [0.208291666666667 0.0897435897435897 0.154729166666667 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.440453125 0.0894764957264957 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.672614583333333 0.0897435897435897 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0749583333333332 0.902777777777776 0.0828541666666665 0.0427350427350426],...
    'String','E',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.430296874999998 0.584401709401707 0.0474374999999999 0.0277777777777777],...
    'String','*',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.662328124999998 0.559294871794869 0.0474374999999999 0.0277777777777777],...
    'String','*',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.507510416666665 0.705395299145297 0.0474374999999999 0.0277777777777777],...
    'String','*',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.739932291666665 0.704594017094015 0.0474374999999999 0.0277777777777777],...
    'String','*',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.271223958333333 0.0544871794871795 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.504166666666666 0.0403311965811966 0.0453125009251137 0.0683760683760683],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.736588541666666 0.0550213675213675 0.0453125009251135 0.0683760683760683],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');



%%
ppi4=[1*ones(size(ppi_c_1));4*ones(size(ppi_c_2));7*ones(size(ppi_c_3));2*ones(size(ppi_d_1));5*ones(size(ppi_d_2));8*ones(size(ppi_d_3));...
     3*ones(size(ppi_dg_1));6*ones(size(ppi_dg_2));9*ones(size(ppi_dg_3))];


ppi_All=[ppi_c_1;ppi_c_2;ppi_c_3;ppi_d_1;ppi_d_2;ppi_d_3;ppi_dg_1;ppi_dg_2;ppi_dg_3];
ppi_Control=[1 4 7];
ppi_D=[2 5 8];
ppi_DG=[3 6 9];

mean_Control_ppi=[mean(ppi_c_1) mean(ppi_c_2) mean(ppi_c_3)];
mean_D_ppi=[mean(ppi_d_1) mean(ppi_d_2) mean(ppi_d_3)];
mean_DG_ppi=[mean(ppi_dg_1) mean(ppi_dg_2) mean(ppi_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(ppi_Control,mean_Control_ppi,sz1,'filled','k')
hold on
scatter(ppi_D,mean_D_ppi,sz1,'filled','b')
scatter(ppi_DG,mean_DG_ppi,sz1,'filled','r')
h=boxplot(ppi_All,ppi4,'width',0.5,'color','k','symbol','');
xlim([0 10])

%scatter(ppi4,ppi_All,sz2,'filled','k')
plot(ppi_Control,mean_Control_ppi,'-k','LineWidth',2);
plot(ppi_D,mean_D_ppi,'-b','LineWidth',2);
plot(ppi_DG,mean_DG_ppi,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('PP Insulin (\muU/ml)','FontSize',18,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([2 5 8])
%xticklabels({'Alpha','Beta','Gamma'})
legend('Control Group','D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 180])


% Create textbox
annotation(figure1,'textbox',...
    [0.208291666666667 0.0897435897435897 0.154729166666667 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.440322916666667 0.0900106837606838 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.674177083333333 0.0900106837606837 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.271223958333333 0.0544871794871795 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.504036458333332 0.0416666666666667 0.0453125009251137 0.0683760683760683],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.736067708333332 0.0539529914529914 0.0453125009251137 0.0683760683760684],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0754791666666666 0.90705128205128 0.0828541666666665 0.0427350427350426],...
    'String','F',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

%%
HbA1c4=[1*ones(size(HbA1c_c_1));4*ones(size(HbA1c_c_2));7*ones(size(HbA1c_c_3));2*ones(size(HbA1c_d_1));5*ones(size(HbA1c_d_2));8*ones(size(HbA1c_d_3));...
     3*ones(size(HbA1c_dg_1));6*ones(size(HbA1c_dg_2));9*ones(size(HbA1c_dg_3))];


HbA1c_All=[HbA1c_c_1;HbA1c_c_2;HbA1c_c_3;HbA1c_d_1;HbA1c_d_2;HbA1c_d_3;HbA1c_dg_1;HbA1c_dg_2;HbA1c_dg_3];
HbA1c_Control=[1 4 7];
HbA1c_D=[2 5 8];
HbA1c_DG=[3 6 9];

mean_Control_HbA1c=[mean(HbA1c_c_1) mean(HbA1c_c_2) mean(HbA1c_c_3)];
mean_D_HbA1c=[mean(HbA1c_d_1) mean(HbA1c_d_2) mean(HbA1c_d_3)];
mean_DG_HbA1c=[mean(HbA1c_dg_1) mean(HbA1c_dg_2) mean(HbA1c_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(HbA1c_Control,mean_Control_HbA1c,sz1,'filled','k')
hold on
scatter(HbA1c_D,mean_D_HbA1c,sz1,'filled','b')
scatter(HbA1c_DG,mean_DG_HbA1c,sz1,'filled','r')
h=boxplot(HbA1c_All,HbA1c4,'width',0.5,'color','k','symbol','');
xlim([0 10])
%scatter(HbA1c4,HbA1c_All,sz2,'filled','k')

plot(HbA1c_Control,mean_Control_HbA1c,'-k','LineWidth',2);
plot(HbA1c_D,mean_D_HbA1c,'-b','LineWidth',2);
plot(HbA1c_DG,mean_DG_HbA1c,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('HbA1c (%)','FontSize',18,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([2 5 8])
%xticklabels({'Alpha','Beta','Gamma'})
legend('Control Group','D Group','DG Group')
set(h,{'linew'},{2})


% Create textbox
annotation(figure1,'textbox',...
    [0.208291666666667 0.0897435897435897 0.154729166666667 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.439281249999999 0.0897435897435897 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.671833333333333 0.0905448717948718 0.154729166666666 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.572614583333333 0.596955128205127 0.0474375 0.0277777777777777],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.805947916666665 0.576655982905982 0.0474375 0.0277777777777777],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.502302083333333 0.616720085470085 0.0474375 0.0277777777777777],...
    'String','**',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.650739583333332 0.286057692307692 0.0474375000000001 0.0277777777777777],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0812083333333333 0.897435897435896 0.0828541666666665 0.0427350427350426],...
    'String','D',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.271223958333333 0.0544871794871795 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503124999999999 0.0400641025641026 0.0453125009251137 0.0683760683760683],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.736458333333332 0.0539529914529915 0.0453125009251139 0.0683760683760683],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');
   
elseif strcmp(inp,'Figure5')

%Reading the excel file for D group data
Data_diabetic=xlsread('Master_Datasheet_Diabetic.xls');

%Reading the excel file for DG group data
Data_diabetic_with_gl=xlsread('Master_Datasheet_Diabetic_with_GSH.xls');
sz=50;

%%
%Selecting age based subgroups with more thab 55 years old (for elder subgroup in D and DG))
ind00=Data_diabetic(:,25)>55;
ind01=Data_diabetic_with_gl(:,25)>55;

% Effect size calculation for HbA1c measuremenents 

%HbA1c measurements from D group subjects on each visit 

HbA1c_d_1=Data_diabetic(1:end,7);
HbA1c_d_2=Data_diabetic(1:end,8);
HbA1c_d_3=Data_diabetic(1:end,9);

%Excluding NaN entries
ind1 = ~isnan(HbA1c_d_3);
HbA1c_d_1=HbA1c_d_1(ind1 & ind00);
HbA1c_d_2=HbA1c_d_2(ind1 & ind00);
HbA1c_d_3=HbA1c_d_3(ind1 & ind00);

%HbA1c measurements from DG group subjects on each visit 

HbA1c_dg_1=Data_diabetic_with_gl(1:end,7);
HbA1c_dg_2=Data_diabetic_with_gl(1:end,8);
HbA1c_dg_3=Data_diabetic_with_gl(1:end,9);

%Excluding NaN entries
HbA1c_dg_1=HbA1c_dg_1(ind01);
HbA1c_dg_2=HbA1c_dg_2(ind01);
HbA1c_dg_3=HbA1c_dg_3(ind01);

%Calculating Cohen's d from HbA1c measurements
variance_HbA1c=((length(HbA1c_dg_1)-1)*var(HbA1c_dg_3-HbA1c_dg_1)+(length(HbA1c_d_1)-1)*var(HbA1c_d_3-HbA1c_d_1))/(length(HbA1c_dg_1)+length(HbA1c_d_1)-2);
std_HbA1c=sqrt(variance_HbA1c);

HbA1c_d_ga=HbA1c_d_3-HbA1c_d_1;
HbA1c_dg_ga=HbA1c_dg_3-HbA1c_dg_1;

m1=mean(HbA1c_d_ga);
m2=mean(HbA1c_dg_ga);
std1_D=std(HbA1c_d_ga);
std2_DG=std(HbA1c_dg_ga);
d_HbA1c=(mean(HbA1c_dg_ga)-mean(HbA1c_d_ga))/std_HbA1c;

sigma_HbA1c=((length(HbA1c_d_ga)+length(HbA1c_dg_ga))/(length(HbA1c_d_ga)*length(HbA1c_dg_ga))+(d_HbA1c^2/(2*(length(HbA1c_d_ga)+length(HbA1c_dg_ga)))))^0.5;

CI1_HbA1c=d_HbA1c-1.96*sigma_HbA1c;
CI2_HbA1c=d_HbA1c+1.96*sigma_HbA1c;

%%
% Effect size calculation for Fasting Glucose measuremenents 

%Fasting Glucose measurements from D group subjects on each visit 
fg_d_1=Data_diabetic(1:end,1);
fg_d_2=Data_diabetic(1:end,2);
fg_d_3=Data_diabetic(1:end,3);

%Excluding NaN entries

ind2 = ~isnan(fg_d_3);
fg_d_1=fg_d_1(ind2 & ind00);
fg_d_2=fg_d_2(ind2 & ind00);
fg_d_3=fg_d_3(ind2 & ind00);

%Fasting Glucose measurements from DG group subjects on each visit 
fg_dg_1=Data_diabetic_with_gl(1:end,1);
fg_dg_2=Data_diabetic_with_gl(1:end,2);
fg_dg_3=Data_diabetic_with_gl(1:end,3);

%Excluding NaN entries
ind3 = ~isnan(fg_dg_3);
fg_dg_1=fg_dg_1(ind3 & ind01);
fg_dg_2=fg_dg_2(ind3 & ind01);
fg_dg_3=fg_dg_3(ind3 & ind01);

%Calculating Cohen's d from Fasting Glucose measurements
variance_FGlucose=((length(fg_dg_1)-1)*var(fg_dg_3-fg_dg_1)+(length(fg_d_1)-1)*var(fg_d_3-fg_d_1))/(length(fg_d_1)+length(fg_dg_1)-2);
std_FGlucose=sqrt(variance_FGlucose);

fg_d_ga=fg_d_3-fg_d_1;
fg_dg_ga=fg_dg_3-fg_dg_1;
m3=mean(fg_d_ga);
m4=mean(fg_dg_ga);

std3_D=std(fg_d_ga);
std4_DG=std(fg_dg_ga);
d_FGlucose=(mean(fg_dg_ga)-mean(fg_d_ga))/std_FGlucose;

sigma_fg=((length(fg_d_ga)+length(fg_dg_ga))/(length(fg_d_ga)*length(fg_dg_ga))+(d_FGlucose^2/(2*(length(fg_d_ga)+length(fg_dg_ga)))))^0.5;

CI1_fg=d_FGlucose-1.96*sigma_fg;
CI2_fg=d_FGlucose+1.96*sigma_fg;
%%
% Effect size calculation for Fasting Insuin measuremenents 

%Fasting Insuin measurements from D group subjects on each visit 
fi_d_1=Data_diabetic(1:end,10);
fi_d_2=Data_diabetic(1:end,11);
fi_d_3=Data_diabetic(1:end,12);

%Exluding NaN entries

ind4 = ~isnan(fi_d_3);
fi_d_1=fi_d_1(ind4 & ind00);
fi_d_2=fi_d_2(ind4 & ind00);
fi_d_3=fi_d_3(ind4 & ind00);

%Fasting Insuin measurements from DG group subjects on each visit 
fi_dg_1=Data_diabetic_with_gl(1:end,10);
fi_dg_2=Data_diabetic_with_gl(1:end,11);
fi_dg_3=Data_diabetic_with_gl(1:end,12);

%Exluding NaN entries

ind5 = ~isnan(fi_dg_3);
fi_dg_1=fi_dg_1(ind5 &ind01);
fi_dg_2=fi_dg_2(ind5 &ind01);
fi_dg_3=fi_dg_3(ind5 &ind01);

%Calculating Cohen's d from Fasting Insuin measurements

variance_FInsulin=((length(fi_dg_1)-1)*var(fi_dg_3-fi_dg_1)+(length(fi_d_1)-1)*var(fi_d_3-fi_d_1))/(length(fi_d_1)+length(fi_dg_1)-2);
std_FInsulin=sqrt(variance_FInsulin);

fi_d_ga=fi_d_3-fi_d_1;
fi_dg_ga=fi_dg_3-fi_dg_1;
m5=mean(fi_d_ga);
m6=mean(fi_dg_ga);

std5_D=std(fi_d_ga);
std6_DG=std(fi_dg_ga);
d_FInsulin=(mean(fi_dg_ga)-mean(fi_d_ga))/std_FInsulin;

sigma_fi=((length(fi_d_ga)+length(fi_dg_ga))/(length(fi_d_ga)*length(fi_dg_ga))+(d_FInsulin^2/(2*(length(fi_d_ga)+length(fi_dg_ga)))))^0.5;

CI1_fi=d_FInsulin-1.96*sigma_fi;
CI2_fi=d_FInsulin+1.96*sigma_fi;
%%

% Effect size calculation for PP Insuin measuremenents 

% PP Insuin measurements from D group subjects on each visit 
ppi_d_1=Data_diabetic(1:end,13);
ppi_d_2=Data_diabetic(1:end,14);
ppi_d_3=Data_diabetic(1:end,15);

%Exluding NaN entries

ind6 = ~isnan(ppi_d_3);
ppi_d_1=ppi_d_1(ind6 & ind00);
ppi_d_2=ppi_d_2(ind6 & ind00);
ppi_d_3=ppi_d_3(ind6 & ind00);

%PP Insuin measurements from DG group subjects on each visit 
ppi_dg_1=Data_diabetic_with_gl(1:end,13);
ppi_dg_2=Data_diabetic_with_gl(1:end,14);
ppi_dg_3=Data_diabetic_with_gl(1:end,15);

%Exluding NaN entries
ind7 = ~isnan(ppi_dg_3);
ppi_dg_1=ppi_dg_1(ind7 & ind01);
ppi_dg_2=ppi_dg_2(ind7 & ind01);
ppi_dg_3=ppi_dg_3(ind7 & ind01);

% Calculating Cohen's d from PP Insuin measurements
variance_PPInsulin=((length(ppi_dg_1)-1)*var(ppi_dg_3-ppi_dg_1)+(length(ppi_d_1)-1)*var(ppi_d_3-ppi_d_1))/(length(ppi_d_1)+length(ppi_dg_1)-2);
std_PPInsulin=sqrt(variance_PPInsulin);

ppi_d_ga=ppi_d_3-ppi_d_1;
ppi_dg_ga=ppi_dg_3-ppi_dg_1;
m7=mean(ppi_d_ga);
m8=mean(ppi_dg_ga);

std7_D=std(ppi_d_ga);
std8_DG=std(ppi_dg_ga);
d_PPInsulin=(mean(ppi_dg_ga)-mean(ppi_d_ga))/std_PPInsulin;
sigma_ppi=((length(ppi_d_ga)+length(ppi_dg_ga))/(length(ppi_d_ga)*length(ppi_dg_ga))+(d_PPInsulin^2/(2*(length(ppi_d_ga)+length(ppi_dg_ga)))))^0.5;

CI1_ppi=d_PPInsulin-1.96*sigma_ppi;
CI2_ppi=d_PPInsulin+1.96*sigma_ppi;
%%
% Effect size calculation for PP Glucose measuremenents 


% PP Glucose measurements from D group subjects on each visit 
ppg_d_1=Data_diabetic(1:end,4);
ppg_d_2=Data_diabetic(1:end,5);
ppg_d_3=Data_diabetic(1:end,6);

%Exluding NaN entries
ind8 = ~isnan(ppg_d_3);
ppg_d_1=ppg_d_1(ind8 & ind00);
ppg_d_2=ppg_d_2(ind8 & ind00);
ppg_d_3=ppg_d_3(ind8 & ind00);

%PP Glucose measurements from DG group subjects on each visit 
ppg_dg_1=Data_diabetic_with_gl(1:end,4);
ppg_dg_2=Data_diabetic_with_gl(1:end,5);
ppg_dg_3=Data_diabetic_with_gl(1:end,6);

%Exluding NaN entries
ind9 = ~isnan(ppg_dg_3);
ppg_dg_1=ppg_dg_1(ind9 & ind01);
ppg_dg_2=ppg_dg_2(ind9 & ind01);
ppg_dg_3=ppg_dg_3(ind9 & ind01);

%Calculating Cohen's d from PP Glucose measurements
variance_PPGlucose=((length(ppg_dg_1)-1)*var(ppg_dg_3-ppg_dg_1)+(length(ppg_d_1)-1)*var(ppg_d_3-ppg_d_1))/(length(ppg_d_1)+length(ppg_dg_1)-2);
std_PPGlucose=sqrt(variance_PPGlucose);

ppg_d_ga=ppg_d_3-ppg_d_1;
ppg_dg_ga=ppg_dg_3-ppg_dg_1;
m9=mean(ppg_d_ga);
m10=mean(ppg_dg_ga);

std9_D=std(ppg_d_ga);
std10_DG=std(ppg_dg_ga);
d_PPGlucose=(mean(ppg_dg_ga)-mean(ppg_d_ga))/std_PPGlucose;

sigma_ppg=((length(ppg_d_ga)+length(ppg_dg_ga))/(length(ppg_d_ga)*length(ppg_dg_ga))+(d_PPGlucose^2/(2*(length(ppg_d_ga)+length(ppg_dg_ga)))))^0.5;

CI1_ppg=d_PPGlucose-1.96*sigma_ppg;
CI2_ppg=d_PPGlucose+1.96*sigma_ppg;
%%
% Effect size calculation with GSH measurements


%GSH measurements from D group subjects on each visit 
GSH_d_1=Data_diabetic(:,19);
GSH_d_2=Data_diabetic(:,20);
GSH_d_3=Data_diabetic(:,21);

%Exluding NaN entries
ind_10 = ~isnan(GSH_d_3);
GSH_d_1=GSH_d_1(ind_10 & ind00);
GSH_d_2=GSH_d_2(ind_10 & ind00);
GSH_d_3=GSH_d_3(ind_10 & ind00);

%GSH measurements from DG group subjects on each visit 
GSH_dg_1=Data_diabetic_with_gl(:,19);
GSH_dg_2=Data_diabetic_with_gl(:,20);
GSH_dg_3=Data_diabetic_with_gl(:,21);

%Exluding NaN entries

ind_11 = ~isnan(GSH_dg_3);
GSH_dg_1=GSH_dg_1(ind_11 & ind01);
GSH_dg_2=GSH_dg_2(ind_11 & ind01);
GSH_dg_3=GSH_dg_3(ind_11 & ind01);

%Calculating Cohen's d from GSH measurements

variance_GSH=((length(GSH_dg_1)-1)*var(GSH_dg_3-GSH_dg_1)+(length(GSH_d_1)-1)*var(GSH_d_3-GSH_d_1))/(length(GSH_d_1)+length(GSH_dg_1)-2);
std_GSH=sqrt(variance_GSH);

GSH_d_ga=GSH_d_3-GSH_d_1;
GSH_dg_ga=GSH_dg_3-GSH_dg_1;
GSH_m1=mean(GSH_d_ga);
GSH_m2=mean(GSH_dg_ga);

std11_D=std(GSH_d_ga);
std12_DG=std(GSH_dg_ga);
d_GSH=(mean(GSH_dg_ga)-mean(GSH_d_ga))/std_GSH;
sigma_GSH=((length(GSH_d_ga)+length(GSH_dg_ga))/(length(GSH_d_ga)*length(GSH_dg_ga))+(d_GSH^2/(2*(length(GSH_d_ga)+length(GSH_dg_ga)))))^0.5;
CI1_GSH=d_GSH-1.96*sigma_GSH;
CI2_GSH=d_GSH+1.96*sigma_GSH;

%%
%Effect size calculation with GSSG measurenents

%GSSG measurements from D group subjects on each visit 

GSSG_d_1=Data_diabetic(:,16);
GSSG_d_2=Data_diabetic(:,17);
GSSG_d_3=Data_diabetic(:,18);

%Exluding NaN entries
ind_d = ~isnan(GSSG_d_3);
GSSG_d_1=GSSG_d_1(ind_d & ind00);
GSSG_d_2=GSSG_d_2(ind_d & ind00);
GSSG_d_3=GSSG_d_3(ind_d & ind00);

%GSSG measurements from DG group subjects on each visit 

GSSG_dg_1=Data_diabetic_with_gl(:,16);
GSSG_dg_2=Data_diabetic_with_gl(:,17);
GSSG_dg_3=Data_diabetic_with_gl(:,18);

%Exluding NaN entries
ind_dg = ~isnan(GSSG_dg_3);
GSSG_dg_1=GSSG_dg_1(ind_dg & ind01);
GSSG_dg_2=GSSG_dg_2(ind_dg & ind01);
GSSG_dg_3=GSSG_dg_3(ind_dg & ind01);

%Calculating Cohen's d from GSSG measurements

variance_GSSG=((length(GSSG_dg_1)-1)*var(GSSG_dg_3-GSSG_dg_1)+(length(GSSG_d_1)-1)*var(GSSG_d_3-GSSG_d_1))/(length(GSSG_d_1)+length(GSSG_dg_1)-2); 
std_GSSG=sqrt(variance_GSSG);

GSSG_d_ga=GSSG_d_3-GSSG_d_1;
GSSG_dg_ga=GSSG_dg_3-GSSG_dg_1;
GSSG_m1=mean(GSSG_d_ga);
GSSG_m2=mean(GSSG_dg_ga);

d_GSSG=(mean(GSSG_dg_ga)-mean(GSSG_d_ga))/std_GSSG;
sigma_GSSG=((length(GSSG_d_ga)+length(GSSG_dg_ga))/(length(GSSG_d_ga)*length(GSSG_dg_ga))+(d_GSSG^2/(2*(length(GSSG_d_ga)+length(GSSG_dg_ga)))))^0.5;

CI1_GSSG=d_GSSG-1.96*sigma_GSSG;
CI2_GSSG=d_GSSG+1.96*sigma_GSSG;
%%

OHdG_d_1=Data_diabetic(:,22);
OHdG_d_2=Data_diabetic(:,23);
OHdG_d_3=Data_diabetic(:,24);

ind10 = ~isnan(OHdG_d_3);
OHdG_d_1=OHdG_d_1(ind10 & ind00);
OHdG_d_2=OHdG_d_2(ind10 & ind00);
OHdG_d_3=OHdG_d_3(ind10 & ind00);

OHdG_dg_1=Data_diabetic_with_gl(:,22);
OHdG_dg_2=Data_diabetic_with_gl(:,23);
OHdG_dg_3=Data_diabetic_with_gl(:,24);

OHdG_dg_1=OHdG_dg_1(ind01);
OHdG_dg_2=OHdG_dg_2(ind01);
OHdG_dg_3=OHdG_dg_3(ind01);

%Calculating Cohen's d from 8-OHdG measurements
variance_OHdG=((length(OHdG_dg_1)-1)*var(OHdG_dg_3-OHdG_dg_1)+(length(OHdG_d_1)-1)*var(OHdG_d_3-OHdG_d_1))/(length(OHdG_d_1)+length(OHdG_dg_1)-2); 
std_OHdG=sqrt(variance_OHdG);

OHdG_d_ga=OHdG_d_3-OHdG_d_1;
OHdG_dg_ga=OHdG_dg_3-OHdG_dg_1;
OHdG_m1=mean(OHdG_d_ga);
OHdG_m2=mean(OHdG_dg_ga);

std13_D=std(OHdG_d_ga);
std14_DG=std(OHdG_dg_ga);
d_OHdG=(mean(OHdG_dg_ga)-mean(OHdG_d_ga))/std_OHdG;
sigma_OHdG=((length(OHdG_d_ga)+length(OHdG_dg_ga))/(length(OHdG_d_ga)*length(OHdG_dg_ga))+(d_OHdG^2/(2*(length(OHdG_d_ga)+length(OHdG_dg_ga)))))^0.5;

CI1_OHdG=d_OHdG-1.96*sigma_OHdG;
CI2_OHdG=d_OHdG+1.96*sigma_OHdG;

%%
% Printing an output table with three columns of variable names, Cohen's d values, and p-values repectively.
Biochemical_variable={'HbA1c';'Fasting Glucose';'Fasting Insulin';'PP Glucose';'PP Insulin';'GSH';'GSSG';'8OHdG'};
Variable=[1 2 3 4 5 6 7 8];
d_all=[d_HbA1c,d_FGlucose,d_FInsulin,d_PPGlucose,d_PPInsulin,d_GSH,d_GSSG,d_OHdG];    
Result1_Over_55years=table(Biochemical_variable,Cohens_d,p_value)

sz2=150;
figure1 = figure('WindowState','maximized');
colororder({'k','k'})
yyaxis left
scatter(d_all,Variable,sz2,'filled','k')
hold on
plot([CI1_HbA1c,CI2_HbA1c],[1,1],'-k','LineWidth',3);
plot([CI1_fg,CI2_fg],[2,2],'-k','LineWidth',3);
plot([CI1_fi,CI2_fi],[3,3],'-k','LineWidth',3);
plot([CI1_ppg,CI2_ppg],[4,4],'-k','LineWidth',3);
plot([CI1_ppi,CI2_ppi],[5,5],'-k','LineWidth',3);
plot([CI1_GSH,CI2_GSH],[6,6],'-k','LineWidth',3);
plot([CI1_GSSG,CI2_GSSG],[7,7],'-k','LineWidth',3);
plot([CI1_OHdG,CI2_OHdG],[8,8],'-k','LineWidth',3);
set(gca,'FontSize',18)
xlabel('Effect Size (95% CI)','FontSize',18,'FontWeight','bold')
%xline(0,'--','LineWidth',3)
plot([0 0],[0 10],'--k','LineWidth',2)
plot([-0.5 -0.5],[0 10],'--k','LineWidth',2)
plot([-0.8 -0.8],[0 10],'--k','LineWidth',2)
plot([0.5 0.5],[0 10],'--k','LineWidth',2)
plot([0.8 0.8],[0 10],'--k','LineWidth',2)
xlim([-2 2])
ylim([0 10])
grid on
yticks([1 2 3 4 5 6 7 8])
yticklabels({'HbA1c','Fasting Glucose','Fasting Insulin','PP Glucose','PP Insulin','GSH','GSSG','8-OHdG','100'})

yyaxis right
ylim([0 1])
grid on
yticks([0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8])
yticklabels({'-0.41 (-0.82, -0.01)','0.15 (-0.25, 0.57)','0.56 (0.16, 0.97)','-0.11 (-0.51, 0.29)','0.19 (-0.21, 0.59)','1.14 (0.71, 1.57)','0.67 (0.26, 1.08)','-1.44 (-1.89, -1.00)'})

% Effect size vs significance level plot between 6-month biochemical changes in D group ad DG groups


annotation(figure1,'textbox',...
    [0.867708333333333 0.839811964844025 0.100000002228965 0.0539529924209301],...
    'String',{'Effect sizes'},...
    'LineStyle','none',...
    'FontSize',18);

% Create textbox
annotation(figure1,'textbox',...
    [0.326822916666666 0.915132477664534 0.0598958346061409 0.0539529924209301],...
    'String',{'Large'},...
    'LineStyle','none',...
    'FontSize',18);

% Create textbox
annotation(figure1,'textbox',...
    [0.620833333333332 0.916735041767097 0.0598958346061409 0.0539529924209301],...
    'String',{'Large'},...
    'LineStyle','none',...
    'FontSize',18);

% Create textbox
annotation(figure1,'textbox',...
    [0.552864583333332 0.918337605869661 0.0755208349786699 0.0539529924209301],...
    'String',{'Medium'},...
    'LineStyle','none',...
    'FontSize',18);

% Create textbox
annotation(figure1,'textbox',...
    [0.374218749999999 0.914064101596158 0.0755208349786699 0.0539529924209301],...
    'String',{'Medium'},...
    'LineStyle','none',...
    'FontSize',18);

% Create textbox
annotation(figure1,'textbox',...
    [0.308203124999998 0.702258545098135 0.0697916681754093 0.0934829078933113],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36);

% Create textbox
annotation(figure1,'textbox',...
    [0.673567708333331 0.293871792961383 0.057291667877386 0.0934829078933113],...
    'String',{'**'},...
    'LineStyle','none',...
    'FontSize',36);

% Create textbox
annotation(figure1,'textbox',...
    [0.693229166666665 0.622397433987024 0.0697916681754093 0.0934829078933113],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36);

% Create textbox
annotation(figure1,'textbox',...
    [0.785677083333331 0.538797006636596 0.0697916681754093 0.0934829078933113],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36);

% Create textbox
annotation(figure1,'textbox',...
    [0.495703124999997 0.132279912619502 0.0453125009251137 0.0934829078933113],...
    'String',{'*'},...
    'LineStyle','none',...
    'FontSize',36);

elseif strcmp(inp,'FigureS1')
    
 %Reading the excel file for control group data
Data_control=xlsread('Master_Datasheet_Control.xls');

%Reading the excel file for D group data
Data_diabetic=xlsread('Master_Datasheet_Diabetic.xls');

%Reading the excel file for DG group data
Data_diabetic_with_gl=xlsread('Master_Datasheet_Diabetic_with_GSH.xls');
sz=50;
% GSH measurements at different visits in each group
%%
ind00=Data_diabetic(:,25)>55;
ind01=Data_diabetic_with_gl(:,25)>55;

%GSH measurements from D group subjects at different visits
GSH_d_1=Data_diabetic(:,19);
GSH_d_2=Data_diabetic(:,20);
GSH_d_3=Data_diabetic(:,21);

ind_8 = ~isnan(GSH_d_1);
ind_9= ~isnan(GSH_d_2);
ind_10 = ~isnan(GSH_d_3);

GSH_d_1=GSH_d_1(ind_8 & ind00);
GSH_d_2=GSH_d_2(ind_9 & ind00);
GSH_d_3=GSH_d_3(ind_10 & ind00);

%GSH measurements from DG group subjects at different visits

GSH_dg_1=Data_diabetic_with_gl(:,19);
GSH_dg_2=Data_diabetic_with_gl(:,20);
GSH_dg_3=Data_diabetic_with_gl(:,21);

ind_11 = ~isnan(GSH_dg_1);
ind_12 = ~isnan(GSH_dg_2);
ind_13 = ~isnan(GSH_dg_3);

GSH_dg_1=GSH_dg_1(ind_11 & ind01);
GSH_dg_2=GSH_dg_2(ind_12 & ind01);
GSH_dg_3=GSH_dg_3(ind_13 & ind01);
%%

%GSSG measurements from D group subjects at different visits
GSSG_d_1=Data_diabetic(:,16);
GSSG_d_2=Data_diabetic(:,17);
GSSG_d_3=Data_diabetic(:,18);

ind_d0 = ~isnan(GSSG_d_1);
ind_d1 = ~isnan(GSSG_d_2);
ind_d2 = ~isnan(GSSG_d_3);

GSSG_d_1=GSSG_d_1(ind_d0&ind00);
GSSG_d_2=GSSG_d_2(ind_d1&ind00);
GSSG_d_3=GSSG_d_3(ind_d2 & ind00);

%GSSG measurements from DG group subjects at different visits
GSSG_dg_1=Data_diabetic_with_gl(:,16);
GSSG_dg_2=Data_diabetic_with_gl(:,17);
GSSG_dg_3=Data_diabetic_with_gl(:,18);

ind_dg1 = ~isnan(GSSG_dg_3);
ind_dg2 = ~isnan(GSSG_dg_2);
ind_dg0 = ~isnan(GSSG_dg_1);

GSSG_dg_1=GSSG_dg_1(ind_dg0&ind01);
GSSG_dg_2=GSSG_dg_2(ind_dg1&ind01);
GSSG_dg_3=GSSG_dg_3(ind_dg2 & ind01);



GSH4=[1*ones(size(GSH_d_1));3*ones(size(GSH_d_2));5*ones(size(GSH_d_3));2*ones(size(GSH_dg_1));4*ones(size(GSH_dg_2));6*ones(size(GSH_dg_3))];

GSH_All=[GSH_d_1;GSH_d_2;GSH_d_3;GSH_dg_1;GSH_dg_2;GSH_dg_3];
GSH_D=[1 3 5];
GSH_DG=[2 4 6];

mean_D_GSH=[mean(GSH_d_1) mean(GSH_d_2) mean(GSH_d_3)];
mean_DG_GSH=[mean(GSH_dg_1) mean(GSH_dg_2) mean(GSH_dg_3)];

sz1=150;
sz2=25;
figure1 = figure('WindowState','maximized');
scatter(GSH_D,mean_D_GSH,sz1,'filled','b')
hold on
scatter(GSH_DG,mean_DG_GSH,sz1,'filled','r')
h=boxplot(GSH_All,GSH4,'width',0.5,'color','k','symbol','');
xlim([0 7])

%scatter(GSH4,GSH_All,sz2,'filled','k')
plot(GSH_D,mean_D_GSH,'-b','LineWidth',2);
plot(GSH_DG,mean_DG_GSH,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('GSH (\muM)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
ylim([0 3000])
set(h,{'linew'},{2})


% Create textbox
annotation(figure1,'textbox',...
    [0.241494791666667 0.0897435897435897 0.110067708333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.46271875 0.0900106837606837 0.110067708333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.684984375 0.0902777777777778 0.110067708333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.771312499999999 0.76201923076923 0.0474375 0.0277777777777777],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.552041666666666 0.756944444444444 0.0474375 0.0277777777777777],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.667927083333332 0.407585470085469 0.0474375000000001 0.0277777777777777],...
    'String','**',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.282291666666665 0.0544871794871795 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.502994791666666 0.0395299145299145 0.0453125009251137 0.0683760683760683],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.725130208333332 0.0544871794871795 0.0453125009251139 0.0683760683760682],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0231354166666667 0.862446581196581 0.0828541666666666 0.0427350427350426],...
    'String','Fig. S1A',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');


%%
GSSG_All=[GSSG_d_1;GSSG_d_2;GSSG_d_3;GSSG_dg_1;GSSG_dg_2;GSSG_dg_3];
GSSG_D=[1 3 5];
GSSG_DG=[2 4 6];

mean_D_GSSG=[mean(GSSG_d_1) mean(GSSG_d_2) mean(GSSG_d_3)];
mean_DG_GSSG=[mean(GSSG_dg_1) mean(GSSG_dg_2) mean(GSSG_dg_3)];

figure1 = figure('WindowState','maximized');
scatter(GSSG_D,mean_D_GSSG,sz1,'filled','b')
hold on
scatter(GSSG_DG,mean_DG_GSSG,sz1,'filled','r')
h=boxplot(GSSG_All,GSH4,'width',0.5,'color','k','symbol','');
xlim([0 7]) 

%scatter(GSH4,GSSG_All,sz2,'filled','k')
plot(GSSG_D,mean_D_GSSG,'-b','LineWidth',2);
plot(GSSG_DG,mean_DG_GSSG,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('GSSG (\muM)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 1000])

%%

% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.461979166666667 0.0894764957264957 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.682552083333333 0.0892094017094017 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.504296874999999 0.0405982905982906 0.0453125009251137 0.0683760683760683],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.726171874999999 0.0550213675213675 0.0453125009251139 0.0683760683760684],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.551651041666665 0.862179487179485 0.0474374999999999 0.0277777777777777],...
    'String','***',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.773265624999998 0.656517094017092 0.0474374999999999 0.0277777777777778],...
    'String','***',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0134999999999999 0.900641025641024 0.0828541666666664 0.0427350427350426],...
    'String','Fig. S1B',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');



elseif strcmp(inp,'FigureS2')
    
 %Reading the excel file for control group data
Data_control=xlsread('Master_Datasheet_Control.xls');

%Reading the excel file for D group data
Data_diabetic=xlsread('Master_Datasheet_Diabetic.xls');

%Reading the excel file for DG group data
Data_diabetic_with_gl=xlsread('Master_Datasheet_Diabetic_with_GSH.xls');
sz=50;
% GSH measurements at different visits in each group
%%
ind00=Data_diabetic(:,25)>55;
ind01=Data_diabetic_with_gl(:,25)>55;

OHdG_d_1=Data_diabetic(:,22);
OHdG_d_2=Data_diabetic(:,23);
OHdG_d_3=Data_diabetic(:,24);

ind10 = ~isnan(OHdG_d_3);
OHdG_d_1=OHdG_d_1(ind00);
OHdG_d_2=OHdG_d_2(ind00);
OHdG_d_3=OHdG_d_3(ind00 & ind10);

OHdG_dg_1=Data_diabetic_with_gl(:,22);
OHdG_dg_2=Data_diabetic_with_gl(:,23);
OHdG_dg_3=Data_diabetic_with_gl(:,24);

OHdG_dg_1=OHdG_dg_1(ind01);
OHdG_dg_2=OHdG_dg_2(ind01);
OHdG_dg_3=OHdG_dg_3(ind01);

%%
%Fasting Glucose measurements from D group subjects
fg_d_1=Data_diabetic(1:end,1);
fg_d_2=Data_diabetic(1:end,2);
fg_d_3=Data_diabetic(1:end,3);

ind2 = ~isnan(fg_d_3);
fg_d_1=fg_d_1(ind00);
fg_d_2=fg_d_2(ind00);
fg_d_3=fg_d_3(ind2&ind00);

%Fasting Glucose measurements from DG group subjects
fg_dg_1=Data_diabetic_with_gl(1:end,1);
fg_dg_2=Data_diabetic_with_gl(1:end,2);
fg_dg_3=Data_diabetic_with_gl(1:end,3);

ind3 = ~isnan(fg_dg_3);
fg_dg_1=fg_dg_1(ind01);
fg_dg_2=fg_dg_2(ind01);
fg_dg_3=fg_dg_3(ind01);

%%
%PP Glucose measurements from D group subjects at different visits

ppg_d_1=Data_diabetic(1:end,4);
ppg_d_2=Data_diabetic(1:end,5);
ppg_d_3=Data_diabetic(1:end,6);

ind8 = ~isnan(ppg_d_3);
ind9=~isnan(ppg_d_2);

ppg_d_1=ppg_d_1(ind00);
ppg_d_2=ppg_d_2(ind9& ind00);
ppg_d_3=ppg_d_3(ind8 & ind00);

%PP Glucose measurements from DG group subjects at different visits

ppg_dg_1=Data_diabetic_with_gl(1:end,4);
ppg_dg_2=Data_diabetic_with_gl(1:end,5);
ppg_dg_3=Data_diabetic_with_gl(1:end,6);

ind10 = ~isnan(ppg_dg_3);
ind9=~isnan(ppg_dg_2);

ppg_dg_1=ppg_dg_1(ind01);
ppg_dg_2=ppg_dg_2(ind9&ind01);
ppg_dg_3=ppg_dg_3(ind10 & ind01);

%%

%Fasting Insuin measurements from D group subjects at differnt visits
fi_d_1=Data_diabetic(1:end,10);
fi_d_2=Data_diabetic(1:end,11);
fi_d_3=Data_diabetic(1:end,12);

ind4 = ~isnan(fi_d_1);
ind5 = ~isnan(fi_d_2);
ind6 = ~isnan(fi_d_3);

fi_d_1=fi_d_1(ind4 & ind00);
fi_d_2=fi_d_2(ind5 & ind00);
fi_d_3=fi_d_3(ind6 & ind00);

%Fasting Insuin measurements from DG group subjects at differnt visits
fi_dg_1=Data_diabetic_with_gl(1:end,10);
fi_dg_2=Data_diabetic_with_gl(1:end,11);
fi_dg_3=Data_diabetic_with_gl(1:end,12);

ind7 = ~isnan(fi_dg_1);
ind8 = ~isnan(fi_dg_2);
ind9 = ~isnan(fi_dg_3);

fi_dg_1=fi_dg_1(ind7 &ind01);
fi_dg_2=fi_dg_2(ind8 &ind01);
fi_dg_3=fi_dg_3(ind9 &ind01);

%%

ppi_d_1=Data_diabetic(1:end,13);
ppi_d_2=Data_diabetic(1:end,14);
ppi_d_3=Data_diabetic(1:end,15);

indd =~isnan(ppi_d_2);
ind6 = ~isnan(ppi_d_3);

ppi_d_1=ppi_d_1(ind00);
ppi_d_2=ppi_d_2(indd& ind00);
ppi_d_3=ppi_d_3(ind6 & ind00);

%PP Insuin measurements from DG group subjects at differnt visits

ppi_dg_1=Data_diabetic_with_gl(1:end,13);
ppi_dg_2=Data_diabetic_with_gl(1:end,14);
ppi_dg_3=Data_diabetic_with_gl(1:end,15);

ind10 = ~isnan(ppi_dg_1);
ind11 = ~isnan(ppi_dg_2);
ind12 = ~isnan(ppi_dg_3);

ppi_dg_1=ppi_dg_1(ind10 & ind01);
ppi_dg_2=ppi_dg_2(ind11 & ind01);
ppi_dg_3=ppi_dg_3(ind12 & ind01);

%%
%HbA1c measurements from D group subjects on each visit 
HbA1c_d_1=Data_diabetic(1:end,7);
HbA1c_d_2=Data_diabetic(1:end,8);
HbA1c_d_3=Data_diabetic(1:end,9);

ind1 = ~isnan(HbA1c_d_3);
HbA1c_d_1=HbA1c_d_1(ind00);
HbA1c_d_2=HbA1c_d_2(ind00);
HbA1c_d_3=HbA1c_d_3(ind1 & ind00);

%HbA1c measurements from DG group subjects on each visit 

HbA1c_dg_1=Data_diabetic_with_gl(1:end,7);
HbA1c_dg_2=Data_diabetic_with_gl(1:end,8);
HbA1c_dg_3=Data_diabetic_with_gl(1:end,9);

HbA1c_dg_1=HbA1c_dg_1(ind01);
HbA1c_dg_2=HbA1c_dg_2(ind01);
HbA1c_dg_3=HbA1c_dg_3(ind01);


%%
OHdG4=[1*ones(size(OHdG_d_1));3*ones(size(OHdG_d_2));5*ones(size(OHdG_d_3));...
     2*ones(size(OHdG_dg_1));4*ones(size(OHdG_dg_2));6*ones(size(OHdG_dg_3))];


OHdG_All=[OHdG_d_1;OHdG_d_2;OHdG_d_3;OHdG_dg_1;OHdG_dg_2;OHdG_dg_3];
OHdG_D=[1 3 5];
OHdG_DG=[2 4 6];

mean_D_OHdG=[mean(OHdG_d_1) mean(OHdG_d_2) mean(OHdG_d_3)];
mean_DG_OHdG=[mean(OHdG_dg_1) mean(OHdG_dg_2) mean(OHdG_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(OHdG_D,mean_D_OHdG,sz1,'filled','b')
hold on
scatter(OHdG_DG,mean_DG_OHdG,sz1,'filled','r')
h=boxplot(OHdG_All,OHdG4,'width',0.5,'color','k','symbol','');
xlim([0 7])
%scatter(OHdG4,OHdG_All,sz2,'filled','k')
plot(OHdG_D,mean_D_OHdG,'-b','LineWidth',2);
plot(OHdG_DG,mean_DG_OHdG,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('OHdG (ng/\mug DNA)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})

% Create textbox
annotation(figure1,'textbox',...
    [0.550999999999998 0.851495726495725 0.0474374999999999 0.0277777777777777],...
    'String','***',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.772484374999998 0.724358974358972 0.0474375 0.0277777777777777],...
    'String','***',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.460807291666666 0.0894764957264957 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.684375 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503776041666665 0.0427350427350427 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.725651041666665 0.0560897435897436 0.0453125009251139 0.0683760683760685],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0134999999999999 0.900641025641024 0.0828541666666664 0.0427350427350426],...
    'String','Fig. S2A',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');


%%
%%
fg4=[1*ones(size(fg_d_1));3*ones(size(fg_d_2));5*ones(size(fg_d_3));...
     2*ones(size(fg_dg_1));4*ones(size(fg_dg_2));6*ones(size(fg_dg_3))];


fg_All=[fg_d_1;fg_d_2;fg_d_3;fg_dg_1;fg_dg_2;fg_dg_3];
fg_D=[1 3 5];
fg_DG=[2 4 6];

mean_D_fg=[mean(fg_d_1) mean(fg_d_2) mean(fg_d_3)];
mean_DG_fg=[mean(fg_dg_1) mean(fg_dg_2) mean(fg_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(fg_D,mean_D_fg,sz1,'filled','b')
hold on
scatter(fg_DG,mean_DG_fg,sz1,'filled','r')
h=boxplot(fg_All,fg4,'width',0.5,'color','k','symbol','');
xlim([0 7])
%scatter(fg4,fg_All,sz2,'filled','k')
plot(fg_D,mean_D_fg,'-b','LineWidth',2);
plot(fg_DG,mean_DG_fg,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('Fasting Glucose (mg/dl)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 300])

% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.461197916666667 0.0897435897435897 0.113020833333333 0.0202991452991454],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.685156249999999 0.0892094017094017 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.564020833333331 0.728632478632476 0.0474374999999999 0.0277777777777777],...
    'String','*',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.783291666666664 0.744658119658118 0.0474374999999999 0.0277777777777777],...
    'String','*',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.504166666666665 0.0408653846153846 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.726041666666666 0.0544871794871795 0.0453125009251137 0.0683760683760685],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0749583333333332 0.910256410256408 0.0828541666666664 0.0427350427350426],...
    'String','B',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

%%
%%
ppg4=[1*ones(size(ppg_d_1));3*ones(size(ppg_d_2));5*ones(size(ppg_d_3));...
     2*ones(size(ppg_dg_1));4*ones(size(ppg_dg_2));6*ones(size(ppg_dg_3))];


ppg_All=[ppg_d_1;ppg_d_2;ppg_d_3;ppg_dg_1;ppg_dg_2;ppg_dg_3];
ppg_D=[1 3 5];
ppg_DG=[2 4 6];

mean_D_ppg=[mean(ppg_d_1) mean(ppg_d_2) mean(ppg_d_3)];
mean_DG_ppg=[mean(ppg_dg_1) mean(ppg_dg_2) mean(ppg_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(ppg_D,mean_D_ppg,sz1,'filled','b')
hold on
scatter(ppg_DG,mean_DG_ppg,sz1,'filled','r')
h=boxplot(ppg_All,ppg4,'width',0.5,'color','k','symbol','');
xlim([0 7])
%scatter(ppg4,ppg_All,sz2,'filled','k')
plot(ppg_D,mean_D_ppg,'-b','LineWidth',2);
plot(ppg_DG,mean_DG_ppg,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('PP Glucose (mg/dl)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 500])


% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.461979166666666 0.0894764957264957 0.113020833333333 0.0202991452991452],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.682552083333333 0.0908119658119658 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.504166666666665 0.0408653846153846 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.724739583333332 0.0534188034188033 0.0453125009251139 0.0683760683760684],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.562979166666664 0.684829059829057 0.0474374999999999 0.0277777777777777],...
    'String','*',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0681874999999998 0.910256410256408 0.0828541666666664 0.0427350427350426],...
    'String','C',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

%%
HbA1c4=[1*ones(size(HbA1c_d_1));3*ones(size(HbA1c_d_2));5*ones(size(HbA1c_d_3));...
     2*ones(size(HbA1c_dg_1));4*ones(size(HbA1c_dg_2));6*ones(size(HbA1c_dg_3))];


HbA1c_All=[HbA1c_d_1;HbA1c_d_2;HbA1c_d_3;HbA1c_dg_1;HbA1c_dg_2;HbA1c_dg_3];

HbA1c_D=[1 3 5];
HbA1c_DG=[2 4 6];
mean_D_HbA1c=[mean(HbA1c_d_1) mean(HbA1c_d_2) mean(HbA1c_d_3)];
mean_DG_HbA1c=[mean(HbA1c_dg_1) mean(HbA1c_dg_2) mean(HbA1c_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(HbA1c_D,mean_D_HbA1c,sz1,'filled','b')
hold on
scatter(HbA1c_DG,mean_DG_HbA1c,sz1,'filled','r')
h=boxplot(HbA1c_All,HbA1c4,'width',0.5,'color','k','symbol','');
xlim([0 7])

%scatter(HbA1c4,HbA1c_All,sz2,'filled','k')
plot(HbA1c_D,mean_D_HbA1c,'-b','LineWidth',2);
plot(HbA1c_DG,mean_DG_HbA1c,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('HbA1c (%)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
%ylim([0 14])

% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.461458333333333 0.0908119658119658 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.684114583333333 0.0897435897435897 0.113020833333334 0.0202991452991452],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503776041666665 0.0427350427350427 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.725651041666665 0.0560897435897436 0.0453125009251139 0.0683760683760685],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0588124999999999 0.89636752136752 0.0828541666666664 0.0427350427350426],...
    'String','   D',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.552692708333331 0.512820512820511 0.0474374999999999 0.0277777777777777],...
    'String','***',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.772484374999998 0.511752136752134 0.0474374999999999 0.0277777777777777],...
    'String','***',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

%%
%%
fi4=[1*ones(size(fi_d_1));3*ones(size(fi_d_2));5*ones(size(fi_d_3));...
     2*ones(size(fi_dg_1));4*ones(size(fi_dg_2));6*ones(size(fi_dg_3))];


fi_All=[fi_d_1;fi_d_2;fi_d_3;fi_dg_1;fi_dg_2;fi_dg_3];
fi_D=[1 3 5];
fi_DG=[2 4 6];

mean_D_fi=[mean(fi_d_1) mean(fi_d_2) mean(fi_d_3)];
mean_DG_fi=[mean(fi_dg_1) mean(fi_dg_2) mean(fi_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(fi_D,mean_D_fi,sz1,'filled','b')
hold on
scatter(fi_DG,mean_DG_fi,sz1,'filled','r')
h=boxplot(fi_All,fi4,'width',0.5,'color','k','symbol','');
xlim([0 7])
%scatter(fi4,fi_All,sz2,'filled','k')
plot(fi_D,mean_D_fi,'-b','LineWidth',2);
plot(fi_DG,mean_DG_fi,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('Fasting Insulin (\muU/ml)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 40])


% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.460677083333333 0.0908119658119658 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.683203125 0.0900106837606837 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503645833333332 0.0400641025641025 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.725130208333333 0.0547542735042735 0.0453125009251137 0.0683760683760685],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0681874999999998 0.910256410256408 0.0828541666666663 0.0427350427350426],...
    'String','E',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.452041666666664 0.724358974358971 0.0474375 0.0277777777777777],...
    'String','*',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.561937499999998 0.716880341880339 0.0474374999999999 0.0277777777777777],...
    'String','*',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.784854166666664 0.661324786324783 0.0474374999999999 0.0277777777777777],...
    'String','*',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');


%%
ppi4=[1*ones(size(ppi_d_1));3*ones(size(ppi_d_2));5*ones(size(ppi_d_3));...
     2*ones(size(ppi_dg_1));4*ones(size(ppi_dg_2));6*ones(size(ppi_dg_3))];


ppi_All=[ppi_d_1;ppi_d_2;ppi_d_3;ppi_dg_1;ppi_dg_2;ppi_dg_3];
ppi_D=[1 3 5];
ppi_DG=[2 4 6];

mean_D_ppi=[mean(ppi_d_1) mean(ppi_d_2) mean(ppi_d_3)];
mean_DG_ppi=[mean(ppi_dg_1) mean(ppi_dg_2) mean(ppi_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(ppi_D,mean_D_ppi,sz1,'filled','b')
hold on
scatter(ppi_DG,mean_DG_ppi,sz1,'filled','r')
h=boxplot(ppi_All,ppi4,'width',0.5,'color','k','symbol','');
xlim([0 7])
%scatter(ppi4,ppi_All,sz2,'filled','k')
plot(ppi_D,mean_D_ppi,'-b','LineWidth',2);
plot(ppi_DG,mean_DG_ppi,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('PP Insulin (\muU/ml)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 160])
  

% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.459895833333333 0.0902777777777777 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.683333333333333 0.0905448717948718 0.113020833333334 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503255208333332 0.0411324786324786 0.0453125009251137 0.0683760683760685],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.726041666666666 0.0555555555555556 0.0453125009251137 0.0683760683760684],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0754791666666664 0.910256410256408 0.0828541666666663 0.0427350427350426],...
    'String','F',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

elseif strcmp(inp,'FigureS3')
%Reading the excel file for control group data
Data_control=xlsread('Master_Datasheet_Control.xls');

%Reading the excel file for D group data
Data_diabetic=xlsread('Master_Datasheet_Diabetic.xls');

%Reading the excel file for DG group data
Data_diabetic_with_gl=xlsread('Master_Datasheet_Diabetic_with_GSH.xls');
sz=50;
% GSH measurements at different visits in each group
%%
ind00=Data_diabetic(:,25)<55;
ind01=Data_diabetic_with_gl(:,25)<55;

%GSH measurements from D group subjects at different visits
GSH_d_1=Data_diabetic(:,19);
GSH_d_2=Data_diabetic(:,20);
GSH_d_3=Data_diabetic(:,21);

ind_8 = ~isnan(GSH_d_1);
ind_9= ~isnan(GSH_d_2);
ind_10 = ~isnan(GSH_d_3);

GSH_d_1=GSH_d_1(ind_8 & ind00);
GSH_d_2=GSH_d_2(ind_9 & ind00);
GSH_d_3=GSH_d_3(ind_10 & ind00);

%GSH measurements from DG group subjects at different visits

GSH_dg_1=Data_diabetic_with_gl(:,19);
GSH_dg_2=Data_diabetic_with_gl(:,20);
GSH_dg_3=Data_diabetic_with_gl(:,21);

ind_11 = ~isnan(GSH_dg_1);
ind_12 = ~isnan(GSH_dg_2);
ind_13 = ~isnan(GSH_dg_3);

GSH_dg_1=GSH_dg_1(ind_11 & ind01);
GSH_dg_2=GSH_dg_2(ind_12 & ind01);
GSH_dg_3=GSH_dg_3(ind_13 & ind01);
%%

%GSSG measurements from D group subjects at different visits
GSSG_d_1=Data_diabetic(:,16);
GSSG_d_2=Data_diabetic(:,17);
GSSG_d_3=Data_diabetic(:,18);

ind_d0 = ~isnan(GSSG_d_1);
ind_d1 = ~isnan(GSSG_d_2);
ind_d2 = ~isnan(GSSG_d_3);

GSSG_d_1=GSSG_d_1(ind_d0&ind00);
GSSG_d_2=GSSG_d_2(ind_d1&ind00);
GSSG_d_3=GSSG_d_3(ind_d2 & ind00);

%GSSG measurements from DG group subjects at different visits
GSSG_dg_1=Data_diabetic_with_gl(:,16);
GSSG_dg_2=Data_diabetic_with_gl(:,17);
GSSG_dg_3=Data_diabetic_with_gl(:,18);

ind_dg1 = ~isnan(GSSG_dg_3);
ind_dg2 = ~isnan(GSSG_dg_2);
ind_dg0 = ~isnan(GSSG_dg_1);

GSSG_dg_1=GSSG_dg_1(ind_dg0&ind01);
GSSG_dg_2=GSSG_dg_2(ind_dg1&ind01);
GSSG_dg_3=GSSG_dg_3(ind_dg2 & ind01);


GSH4=[1*ones(size(GSH_d_1));3*ones(size(GSH_d_2));5*ones(size(GSH_d_3));2*ones(size(GSH_dg_1));4*ones(size(GSH_dg_2));6*ones(size(GSH_dg_3))];

GSH_All=[GSH_d_1;GSH_d_2;GSH_d_3;GSH_dg_1;GSH_dg_2;GSH_dg_3];
GSH_D=[1 3 5];
GSH_DG=[2 4 6];

mean_D_GSH=[mean(GSH_d_1) mean(GSH_d_2) mean(GSH_d_3)];
mean_DG_GSH=[mean(GSH_dg_1) mean(GSH_dg_2) mean(GSH_dg_3)];

sz1=150;
sz2=25;
figure1 = figure('WindowState','maximized');
scatter(GSH_D,mean_D_GSH,sz1,'filled','b')
hold on
scatter(GSH_DG,mean_DG_GSH,sz1,'filled','r')
h=boxplot(GSH_All,GSH4,'width',0.5,'color','k','symbol','');
xlim([0 7])

%scatter(GSH4,GSH_All,sz2,'filled','k')
plot(GSH_D,mean_D_GSH,'-b','LineWidth',2);
plot(GSH_DG,mean_DG_GSH,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('GSH (\muM)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
ylim([0 3000])
set(h,{'linew'},{2})

% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.46015625 0.0902777777777777 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.68359375 0.0902777777777778 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503645833333332 0.0400641025641025 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.725130208333333 0.0547542735042735 0.0453125009251137 0.0683760683760685],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.55152083333333 0.862179487179484 0.0474374999999999 0.0277777777777777],...
    'String','***',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.771572916666663 0.632745726495723 0.0474374999999999 0.0277777777777779],...
    'String','***',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0129791666666664 0.908119658119656 0.0828541666666663 0.0427350427350426],...
    'String','Fig. S3A',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');
%%
GSSG_All=[GSSG_d_1;GSSG_d_2;GSSG_d_3;GSSG_dg_1;GSSG_dg_2;GSSG_dg_3];
GSSG_D=[1 3 5];
GSSG_DG=[2 4 6];

mean_D_GSSG=[mean(GSSG_d_1) mean(GSSG_d_2) mean(GSSG_d_3)];
mean_DG_GSSG=[mean(GSSG_dg_1) mean(GSSG_dg_2) mean(GSSG_dg_3)];

figure1 = figure('WindowState','maximized');
scatter(GSSG_D,mean_D_GSSG,sz1,'filled','b')
hold on
scatter(GSSG_DG,mean_DG_GSSG,sz1,'filled','r')
h=boxplot(GSSG_All,GSH4,'width',0.5,'color','k','symbol','');
xlim([0 7]) 

%scatter(GSH4,GSSG_All,sz2,'filled','k')
plot(GSSG_D,mean_D_GSSG,'-b','LineWidth',2);
plot(GSSG_DG,mean_DG_GSSG,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('GSSG (\muM)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 1000])

% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.4609375 0.0902777777777778 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.684114583333333 0.0902777777777778 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503645833333332 0.0400641025641025 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.725130208333333 0.0547542735042735 0.0453125009251137 0.0683760683760685],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.550999999999997 0.691239316239313 0.0474374999999999 0.0277777777777777],...
    'String','***',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.777562499999996 0.674145299145295 0.0474374999999999 0.0277777777777777],...
    'String','**',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0129791666666664 0.908119658119656 0.0828541666666663 0.0427350427350426],...
    'String','Fig. S3B',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');



%%   
elseif strcmp(inp,'FigureS4') 

%Reading the excel file for control group data
Data_control=xlsread('Master_Datasheet_Control.xls');

%Reading the excel file for D group data
Data_diabetic=xlsread('Master_Datasheet_Diabetic.xls');

%Reading the excel file for DG group data
Data_diabetic_with_gl=xlsread('Master_Datasheet_Diabetic_with_GSH.xls');
sz=50;
% GSH measurements at different visits in each group
%%
ind00=Data_diabetic(:,25)>55;
ind01=Data_diabetic_with_gl(:,25)>55;

OHdG_d_1=Data_diabetic(:,22);
OHdG_d_2=Data_diabetic(:,23);
OHdG_d_3=Data_diabetic(:,24);

ind10 = ~isnan(OHdG_d_3);
OHdG_d_1=OHdG_d_1(ind00);
OHdG_d_2=OHdG_d_2(ind00);
OHdG_d_3=OHdG_d_3(ind00 & ind10);

OHdG_dg_1=Data_diabetic_with_gl(:,22);
OHdG_dg_2=Data_diabetic_with_gl(:,23);
OHdG_dg_3=Data_diabetic_with_gl(:,24);

OHdG_dg_1=OHdG_dg_1(ind01);
OHdG_dg_2=OHdG_dg_2(ind01);
OHdG_dg_3=OHdG_dg_3(ind01);

%%
%Fasting Glucose measurements from D group subjects
fg_d_1=Data_diabetic(1:end,1);
fg_d_2=Data_diabetic(1:end,2);
fg_d_3=Data_diabetic(1:end,3);

ind2 = ~isnan(fg_d_3);
fg_d_1=fg_d_1(ind00);
fg_d_2=fg_d_2(ind00);
fg_d_3=fg_d_3(ind2&ind00);

%Fasting Glucose measurements from DG group subjects
fg_dg_1=Data_diabetic_with_gl(1:end,1);
fg_dg_2=Data_diabetic_with_gl(1:end,2);
fg_dg_3=Data_diabetic_with_gl(1:end,3);

ind3 = ~isnan(fg_dg_3);
fg_dg_1=fg_dg_1(ind01);
fg_dg_2=fg_dg_2(ind01);
fg_dg_3=fg_dg_3(ind01);

%%
%PP Glucose measurements from D group subjects at different visits

ppg_d_1=Data_diabetic(1:end,4);
ppg_d_2=Data_diabetic(1:end,5);
ppg_d_3=Data_diabetic(1:end,6);

ind8 = ~isnan(ppg_d_3);
ind9=~isnan(ppg_d_2);

ppg_d_1=ppg_d_1(ind00);
ppg_d_2=ppg_d_2(ind9& ind00);
ppg_d_3=ppg_d_3(ind8 & ind00);

%PP Glucose measurements from DG group subjects at different visits

ppg_dg_1=Data_diabetic_with_gl(1:end,4);
ppg_dg_2=Data_diabetic_with_gl(1:end,5);
ppg_dg_3=Data_diabetic_with_gl(1:end,6);

ind10 = ~isnan(ppg_dg_3);
ind9=~isnan(ppg_dg_2);

ppg_dg_1=ppg_dg_1(ind01);
ppg_dg_2=ppg_dg_2(ind9&ind01);
ppg_dg_3=ppg_dg_3(ind10 & ind01);

%%

%Fasting Insuin measurements from D group subjects at differnt visits
fi_d_1=Data_diabetic(1:end,10);
fi_d_2=Data_diabetic(1:end,11);
fi_d_3=Data_diabetic(1:end,12);

ind4 = ~isnan(fi_d_1);
ind5 = ~isnan(fi_d_2);
ind6 = ~isnan(fi_d_3);

fi_d_1=fi_d_1(ind4 & ind00);
fi_d_2=fi_d_2(ind5 & ind00);
fi_d_3=fi_d_3(ind6 & ind00);

%Fasting Insuin measurements from DG group subjects at differnt visits
fi_dg_1=Data_diabetic_with_gl(1:end,10);
fi_dg_2=Data_diabetic_with_gl(1:end,11);
fi_dg_3=Data_diabetic_with_gl(1:end,12);

ind7 = ~isnan(fi_dg_1);
ind8 = ~isnan(fi_dg_2);
ind9 = ~isnan(fi_dg_3);

fi_dg_1=fi_dg_1(ind7 &ind01);
fi_dg_2=fi_dg_2(ind8 &ind01);
fi_dg_3=fi_dg_3(ind9 &ind01);

%%

ppi_d_1=Data_diabetic(1:end,13);
ppi_d_2=Data_diabetic(1:end,14);
ppi_d_3=Data_diabetic(1:end,15);

indd =~isnan(ppi_d_2);
ind6 = ~isnan(ppi_d_3);

ppi_d_1=ppi_d_1(ind00);
ppi_d_2=ppi_d_2(indd& ind00);
ppi_d_3=ppi_d_3(ind6 & ind00);

%PP Insuin measurements from DG group subjects at differnt visits

ppi_dg_1=Data_diabetic_with_gl(1:end,13);
ppi_dg_2=Data_diabetic_with_gl(1:end,14);
ppi_dg_3=Data_diabetic_with_gl(1:end,15);

ind10 = ~isnan(ppi_dg_1);
ind11 = ~isnan(ppi_dg_2);
ind12 = ~isnan(ppi_dg_3);

ppi_dg_1=ppi_dg_1(ind10 & ind01);
ppi_dg_2=ppi_dg_2(ind11 & ind01);
ppi_dg_3=ppi_dg_3(ind12 & ind01);

%%
%HbA1c measurements from D group subjects on each visit 
HbA1c_d_1=Data_diabetic(1:end,7);
HbA1c_d_2=Data_diabetic(1:end,8);
HbA1c_d_3=Data_diabetic(1:end,9);

ind1 = ~isnan(HbA1c_d_3);
HbA1c_d_1=HbA1c_d_1(ind00);
HbA1c_d_2=HbA1c_d_2(ind00);
HbA1c_d_3=HbA1c_d_3(ind1 & ind00);

%HbA1c measurements from DG group subjects on each visit 

HbA1c_dg_1=Data_diabetic_with_gl(1:end,7);
HbA1c_dg_2=Data_diabetic_with_gl(1:end,8);
HbA1c_dg_3=Data_diabetic_with_gl(1:end,9);

HbA1c_dg_1=HbA1c_dg_1(ind01);
HbA1c_dg_2=HbA1c_dg_2(ind01);
HbA1c_dg_3=HbA1c_dg_3(ind01);
  
%%
HbA1c4=[1*ones(size(HbA1c_d_1));3*ones(size(HbA1c_d_2));5*ones(size(HbA1c_d_3));...
     2*ones(size(HbA1c_dg_1));4*ones(size(HbA1c_dg_2));6*ones(size(HbA1c_dg_3))];


HbA1c_All=[HbA1c_d_1;HbA1c_d_2;HbA1c_d_3;HbA1c_dg_1;HbA1c_dg_2;HbA1c_dg_3];

HbA1c_D=[1 3 5];
HbA1c_DG=[2 4 6];
mean_D_HbA1c=[mean(HbA1c_d_1) mean(HbA1c_d_2) mean(HbA1c_d_3)];
mean_DG_HbA1c=[mean(HbA1c_dg_1) mean(HbA1c_dg_2) mean(HbA1c_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(HbA1c_D,mean_D_HbA1c,sz1,'filled','b')
hold on
scatter(HbA1c_DG,mean_DG_HbA1c,sz1,'filled','r')
h=boxplot(HbA1c_All,HbA1c4,'width',0.5,'color','k','symbol','');
xlim([0 7])

%scatter(HbA1c4,HbA1c_All,sz2,'filled','k')
plot(HbA1c_D,mean_D_HbA1c,'-b','LineWidth',2);
plot(HbA1c_DG,mean_DG_HbA1c,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('HbA1c (%)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
%ylim([0 14])

% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.459244791666667 0.0900106837606838 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.680989583333333 0.0892094017094017 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503645833333332 0.0400641025641025 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.725130208333333 0.0547542735042735 0.0453125009251137 0.0683760683760685],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0796458333333331 0.902777777777776 0.0828541666666662 0.0427350427350426],...
    'String','D',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.556770833333333 0.443444442610455 0.0559895845130086 0.0902777796117669],...
    'String',{'**'},...
    'LineStyle','none',...
    'FontSize',35);

% Create textbox
annotation(figure1,'textbox',...
    [0.785156249999999 0.442910254576267 0.0440104175607363 0.0902777796117669],...
    'String',{'*'},...
    'LineStyle','none',...
    'FontSize',35);



%%
OHdG4=[1*ones(size(OHdG_d_1));3*ones(size(OHdG_d_2));5*ones(size(OHdG_d_3));...
     2*ones(size(OHdG_dg_1));4*ones(size(OHdG_dg_2));6*ones(size(OHdG_dg_3))];


OHdG_All=[OHdG_d_1;OHdG_d_2;OHdG_d_3;OHdG_dg_1;OHdG_dg_2;OHdG_dg_3];
OHdG_D=[1 3 5];
OHdG_DG=[2 4 6];

mean_D_OHdG=[mean(OHdG_d_1) mean(OHdG_d_2) mean(OHdG_d_3)];
mean_DG_OHdG=[mean(OHdG_dg_1) mean(OHdG_dg_2) mean(OHdG_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(OHdG_D,mean_D_OHdG,sz1,'filled','b')
hold on
scatter(OHdG_DG,mean_DG_OHdG,sz1,'filled','r')
h=boxplot(OHdG_All,OHdG4,'width',0.5,'color','k','symbol','');
xlim([0 7])
%scatter(OHdG4,OHdG_All,sz2,'filled','k')
plot(OHdG_D,mean_D_OHdG,'-b','LineWidth',2);
plot(OHdG_DG,mean_DG_OHdG,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('OHdG (ng/\mug DNA)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 790])

% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.462760416666666 0.0902777777777777 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.684114583333333 0.0902777777777778 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503645833333332 0.0400641025641025 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.725130208333333 0.0547542735042735 0.0453125009251137 0.0683760683760685],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.552041666666663 0.807692307692304 0.0474374999999999 0.0277777777777777],...
    'String','***',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.77339583333333 0.685897435897432 0.0474374999999999 0.0277777777777779],...
    'String','***',...
    'LineStyle','none',...
    'FontSize',36,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0343333333333331 0.903846153846152 0.0828541666666663 0.0427350427350426],...
    'String','Fig. S4A',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

%%
fg4=[1*ones(size(fg_d_1));3*ones(size(fg_d_2));5*ones(size(fg_d_3));...
     2*ones(size(fg_dg_1));4*ones(size(fg_dg_2));6*ones(size(fg_dg_3))];


fg_All=[fg_d_1;fg_d_2;fg_d_3;fg_dg_1;fg_dg_2;fg_dg_3];
fg_D=[1 3 5];
fg_DG=[2 4 6];

mean_D_fg=[mean(fg_d_1) mean(fg_d_2) mean(fg_d_3)];
mean_DG_fg=[mean(fg_dg_1) mean(fg_dg_2) mean(fg_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(fg_D,mean_D_fg,sz1,'filled','b')
hold on
scatter(fg_DG,mean_DG_fg,sz1,'filled','r')
h=boxplot(fg_All,fg4,'width',0.5,'color','k','symbol','');
xlim([0 7])
%scatter(fg4,fg_All,sz2,'filled','k')
plot(fg_D,mean_D_fg,'-b','LineWidth',2);
plot(fg_DG,mean_DG_fg,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('Fasting Glucose (mg/dl)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 300])


% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.460677083333333 0.0902777777777778 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.679687499999999 0.0913461538461538 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503645833333332 0.0400641025641025 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.725130208333333 0.0547542735042735 0.0453125009251137 0.0683760683760685],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0681874999999998 0.910256410256408 0.0828541666666663 0.0427350427350426],...
    'String','B',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

%%
ppg4=[1*ones(size(ppg_d_1));3*ones(size(ppg_d_2));5*ones(size(ppg_d_3));...
     2*ones(size(ppg_dg_1));4*ones(size(ppg_dg_2));6*ones(size(ppg_dg_3))];


ppg_All=[ppg_d_1;ppg_d_2;ppg_d_3;ppg_dg_1;ppg_dg_2;ppg_dg_3];
ppg_D=[1 3 5];
ppg_DG=[2 4 6];

mean_D_ppg=[mean(ppg_d_1) mean(ppg_d_2) mean(ppg_d_3)];
mean_DG_ppg=[mean(ppg_dg_1) mean(ppg_dg_2) mean(ppg_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(ppg_D,mean_D_ppg,sz1,'filled','b')
hold on
scatter(ppg_DG,mean_DG_ppg,sz1,'filled','r')
h=boxplot(ppg_All,ppg4,'width',0.5,'color','k','symbol','');
xlim([0 7])
%scatter(ppg4,ppg_All,sz2,'filled','k')
plot(ppg_D,mean_D_ppg,'-b','LineWidth',2);
plot(ppg_DG,mean_DG_ppg,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('PP Glucose (mg/dl)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 500])


% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.462239583333333 0.0892094017094017 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.684635416666666 0.0892094017094017 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503645833333332 0.0400641025641025 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.725130208333333 0.0547542735042735 0.0453125009251137 0.0683760683760685],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0681874999999998 0.910256410256408 0.0828541666666663 0.0427350427350426],...
    'String','C',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');


%%
fi4=[1*ones(size(fi_d_1));3*ones(size(fi_d_2));5*ones(size(fi_d_3));...
     2*ones(size(fi_dg_1));4*ones(size(fi_dg_2));6*ones(size(fi_dg_3))];


fi_All=[fi_d_1;fi_d_2;fi_d_3;fi_dg_1;fi_dg_2;fi_dg_3];
fi_D=[1 3 5];
fi_DG=[2 4 6];

mean_D_fi=[mean(fi_d_1) mean(fi_d_2) mean(fi_d_3)];
mean_DG_fi=[mean(fi_dg_1) mean(fi_dg_2) mean(fi_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(fi_D,mean_D_fi,sz1,'filled','b')
hold on
scatter(fi_DG,mean_DG_fi,sz1,'filled','r')
h=boxplot(fi_All,fi4,'width',0.5,'color','k','symbol','');
xlim([0 7])
%scatter(fi4,fi_All,sz2,'filled','k')
plot(fi_D,mean_D_fi,'-b','LineWidth',2);
plot(fi_DG,mean_DG_fi,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('Fasting Insulin (\muU/ml)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 40])

% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.459765625 0.0913461538461538 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.683072916666667 0.0905448717948718 0.113020833333333 0.0202991452991452],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.503645833333332 0.0400641025641025 0.0453125009251137 0.0683760683760684],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.725130208333333 0.0547542735042735 0.0453125009251137 0.0683760683760685],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0707916666666664 0.909188034188032 0.0828541666666663 0.0427350427350426],...
    'String','E',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');

%%
ppi4=[1*ones(size(ppi_d_1));3*ones(size(ppi_d_2));5*ones(size(ppi_d_3));...
     2*ones(size(ppi_dg_1));4*ones(size(ppi_dg_2));6*ones(size(ppi_dg_3))];


ppi_All=[ppi_d_1;ppi_d_2;ppi_d_3;ppi_dg_1;ppi_dg_2;ppi_dg_3];
ppi_D=[1 3 5];
ppi_DG=[2 4 6];

mean_D_ppi=[mean(ppi_d_1) mean(ppi_d_2) mean(ppi_d_3)];
mean_DG_ppi=[mean(ppi_dg_1) mean(ppi_dg_2) mean(ppi_dg_3)];

sz1=150;
sz2=15;
figure1 = figure('WindowState','maximized');
scatter(ppi_D,mean_D_ppi,sz1,'filled','b')
hold on
scatter(ppi_DG,mean_DG_ppi,sz1,'filled','r')
h=boxplot(ppi_All,ppi4,'width',0.5,'color','k','symbol','');
xlim([0 7])
%scatter(ppi4,ppi_All,sz2,'filled','k')
plot(ppi_D,mean_D_ppi,'-b','LineWidth',2);
plot(ppi_DG,mean_DG_ppi,'-r','LineWidth',2);
set(gca,'XTickLabel',[]);
%xlabel('Study visits','FontSize',18,'FontWeight','bold')
ylabel('PP Insulin (\muU/ml)','FontSize',14,'FontWeight','bold')
set(gca,'FontSize',18)
xticks([1.5 3.5 5.5])
%xticklabels({'Alpha','Beta','Gamma'})
legend('D Group','DG Group')
set(h,{'linew'},{2})
ylim([0 160])

% Create textbox
annotation(figure1,'textbox',...
    [0.2390625 0.0897435897435897 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.461588541666666 0.0892094017094017 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.683203124999999 0.0900106837606837 0.113020833333333 0.0202991452991453],...
    'LineWidth',1,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.283203124999999 0.0555555555555556 0.0453125009251138 0.0683760683760684],...
    'String',{'\alpha'},...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.504166666666665 0.0408653846153846 0.0453125009251137 0.0683760683760685],...
    'String','\beta',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.724739583333332 0.0534188034188033 0.0453125009251139 0.0683760683760684],...
    'String','\gamma',...
    'LineStyle','none',...
    'FontSize',30,...
    'FitBoxToText','off');

% Create textbox
annotation(figure1,'textbox',...
    [0.0718333333333331 0.902777777777776 0.0828541666666663 0.0427350427350426],...
    'String','F',...
    'LineStyle','none',...
    'FontSize',20,...
    'FitBoxToText','off');


elseif strcmp(inp,'FigureS5')

%Reading the excel file for D group data
Data_diabetic=xlsread('Master_Datasheet_Diabetic.xls');

%Reading the excel file for DG group data
Data_diabetic_with_gl=xlsread('Master_Datasheet_Diabetic_with_GSH.xls');
sz=50;

%%
%Selecting age based subgroups with more thab 55 years old (for elder subgroup in D and DG))
ind00=Data_diabetic(:,25)<55;
ind01=Data_diabetic_with_gl(:,25)<55;

% Effect size calculation for HbA1c measuremenents 

%HbA1c measurements from D group subjects on each visit 

HbA1c_d_1=Data_diabetic(1:end,7);
HbA1c_d_2=Data_diabetic(1:end,8);
HbA1c_d_3=Data_diabetic(1:end,9);

%Excluding NaN entries
ind1 = ~isnan(HbA1c_d_3);
HbA1c_d_1=HbA1c_d_1(ind1 & ind00);
HbA1c_d_2=HbA1c_d_2(ind1 & ind00);
HbA1c_d_3=HbA1c_d_3(ind1 & ind00);

%HbA1c measurements from DG group subjects on each visit 

HbA1c_dg_1=Data_diabetic_with_gl(1:end,7);
HbA1c_dg_2=Data_diabetic_with_gl(1:end,8);
HbA1c_dg_3=Data_diabetic_with_gl(1:end,9);

%Excluding NaN entries
HbA1c_dg_1=HbA1c_dg_1(ind01);
HbA1c_dg_2=HbA1c_dg_2(ind01);
HbA1c_dg_3=HbA1c_dg_3(ind01);

%Calculating Cohen's d from HbA1c measurements
variance_HbA1c=((length(HbA1c_dg_1)-1)*var(HbA1c_dg_3-HbA1c_dg_1)+(length(HbA1c_d_1)-1)*var(HbA1c_d_3-HbA1c_d_1))/(length(HbA1c_dg_1)+length(HbA1c_d_1)-2);
std_HbA1c=sqrt(variance_HbA1c);

HbA1c_d_ga=HbA1c_d_3-HbA1c_d_1;
HbA1c_dg_ga=HbA1c_dg_3-HbA1c_dg_1;

m1=mean(HbA1c_d_ga);
m2=mean(HbA1c_dg_ga);
std1_D=std(HbA1c_d_ga);
std2_DG=std(HbA1c_dg_ga);
d_HbA1c=(mean(HbA1c_dg_ga)-mean(HbA1c_d_ga))/std_HbA1c;

sigma_HbA1c=((length(HbA1c_d_ga)+length(HbA1c_dg_ga))/(length(HbA1c_d_ga)*length(HbA1c_dg_ga))+(d_HbA1c^2/(2*(length(HbA1c_d_ga)+length(HbA1c_dg_ga)))))^0.5;

CI1_HbA1c=d_HbA1c-1.96*sigma_HbA1c;
CI2_HbA1c=d_HbA1c+1.96*sigma_HbA1c;

%%
% Effect size calculation for Fasting Glucose measuremenents 

%Fasting Glucose measurements from D group subjects on each visit 
fg_d_1=Data_diabetic(1:end,1);
fg_d_2=Data_diabetic(1:end,2);
fg_d_3=Data_diabetic(1:end,3);

%Excluding NaN entries

ind2 = ~isnan(fg_d_3);
fg_d_1=fg_d_1(ind2 & ind00);
fg_d_2=fg_d_2(ind2 & ind00);
fg_d_3=fg_d_3(ind2 & ind00);

%Fasting Glucose measurements from DG group subjects on each visit 
fg_dg_1=Data_diabetic_with_gl(1:end,1);
fg_dg_2=Data_diabetic_with_gl(1:end,2);
fg_dg_3=Data_diabetic_with_gl(1:end,3);

%Excluding NaN entries
ind3 = ~isnan(fg_dg_3);
fg_dg_1=fg_dg_1(ind3 & ind01);
fg_dg_2=fg_dg_2(ind3 & ind01);
fg_dg_3=fg_dg_3(ind3 & ind01);

%Calculating Cohen's d from Fasting Glucose measurements
variance_FGlucose=((length(fg_dg_1)-1)*var(fg_dg_3-fg_dg_1)+(length(fg_d_1)-1)*var(fg_d_3-fg_d_1))/(length(fg_d_1)+length(fg_dg_1)-2);
std_FGlucose=sqrt(variance_FGlucose);

fg_d_ga=fg_d_3-fg_d_1;
fg_dg_ga=fg_dg_3-fg_dg_1;
m3=mean(fg_d_ga);
m4=mean(fg_dg_ga);

std3_D=std(fg_d_ga);
std4_DG=std(fg_dg_ga);
d_FGlucose=(mean(fg_dg_ga)-mean(fg_d_ga))/std_FGlucose;

sigma_fg=((length(fg_d_ga)+length(fg_dg_ga))/(length(fg_d_ga)*length(fg_dg_ga))+(d_FGlucose^2/(2*(length(fg_d_ga)+length(fg_dg_ga)))))^0.5;

CI1_fg=d_FGlucose-1.96*sigma_fg;
CI2_fg=d_FGlucose+1.96*sigma_fg;
%%
% Effect size calculation for Fasting Insuin measuremenents 

%Fasting Insuin measurements from D group subjects on each visit 
fi_d_1=Data_diabetic(1:end,10);
fi_d_2=Data_diabetic(1:end,11);
fi_d_3=Data_diabetic(1:end,12);

%Exluding NaN entries

ind4 = ~isnan(fi_d_3);
fi_d_1=fi_d_1(ind4 & ind00);
fi_d_2=fi_d_2(ind4 & ind00);
fi_d_3=fi_d_3(ind4 & ind00);

%Fasting Insuin measurements from DG group subjects on each visit 
fi_dg_1=Data_diabetic_with_gl(1:end,10);
fi_dg_2=Data_diabetic_with_gl(1:end,11);
fi_dg_3=Data_diabetic_with_gl(1:end,12);

%Exluding NaN entries

ind5 = ~isnan(fi_dg_3);
fi_dg_1=fi_dg_1(ind5 &ind01);
fi_dg_2=fi_dg_2(ind5 &ind01);
fi_dg_3=fi_dg_3(ind5 &ind01);

%Calculating Cohen's d from Fasting Insuin measurements

variance_FInsulin=((length(fi_dg_1)-1)*var(fi_dg_3-fi_dg_1)+(length(fi_d_1)-1)*var(fi_d_3-fi_d_1))/(length(fi_d_1)+length(fi_dg_1)-2);
std_FInsulin=sqrt(variance_FInsulin);

fi_d_ga=fi_d_3-fi_d_1;
fi_dg_ga=fi_dg_3-fi_dg_1;
m5=mean(fi_d_ga);
m6=mean(fi_dg_ga);

std5_D=std(fi_d_ga);
std6_DG=std(fi_dg_ga);
d_FInsulin=(mean(fi_dg_ga)-mean(fi_d_ga))/std_FInsulin;

sigma_fi=((length(fi_d_ga)+length(fi_dg_ga))/(length(fi_d_ga)*length(fi_dg_ga))+(d_FInsulin^2/(2*(length(fi_d_ga)+length(fi_dg_ga)))))^0.5;

CI1_fi=d_FInsulin-1.96*sigma_fi;
CI2_fi=d_FInsulin+1.96*sigma_fi;
%%

% Effect size calculation for PP Insuin measuremenents 

% PP Insuin measurements from D group subjects on each visit 
ppi_d_1=Data_diabetic(1:end,13);
ppi_d_2=Data_diabetic(1:end,14);
ppi_d_3=Data_diabetic(1:end,15);

%Exluding NaN entries

ind6 = ~isnan(ppi_d_3);
ppi_d_1=ppi_d_1(ind6 & ind00);
ppi_d_2=ppi_d_2(ind6 & ind00);
ppi_d_3=ppi_d_3(ind6 & ind00);

%PP Insuin measurements from DG group subjects on each visit 
ppi_dg_1=Data_diabetic_with_gl(1:end,13);
ppi_dg_2=Data_diabetic_with_gl(1:end,14);
ppi_dg_3=Data_diabetic_with_gl(1:end,15);

%Exluding NaN entries
ind7 = ~isnan(ppi_dg_3);
ppi_dg_1=ppi_dg_1(ind7 & ind01);
ppi_dg_2=ppi_dg_2(ind7 & ind01);
ppi_dg_3=ppi_dg_3(ind7 & ind01);

% Calculating Cohen's d from PP Insuin measurements
variance_PPInsulin=((length(ppi_dg_1)-1)*var(ppi_dg_3-ppi_dg_1)+(length(ppi_d_1)-1)*var(ppi_d_3-ppi_d_1))/(length(ppi_d_1)+length(ppi_dg_1)-2);
std_PPInsulin=sqrt(variance_PPInsulin);

ppi_d_ga=ppi_d_3-ppi_d_1;
ppi_dg_ga=ppi_dg_3-ppi_dg_1;
m7=mean(ppi_d_ga);
m8=mean(ppi_dg_ga);

std7_D=std(ppi_d_ga);
std8_DG=std(ppi_dg_ga);
d_PPInsulin=(mean(ppi_dg_ga)-mean(ppi_d_ga))/std_PPInsulin;
sigma_ppi=((length(ppi_d_ga)+length(ppi_dg_ga))/(length(ppi_d_ga)*length(ppi_dg_ga))+(d_PPInsulin^2/(2*(length(ppi_d_ga)+length(ppi_dg_ga)))))^0.5;

CI1_ppi=d_PPInsulin-1.96*sigma_ppi;
CI2_ppi=d_PPInsulin+1.96*sigma_ppi;
%%
% Effect size calculation for PP Glucose measuremenents 


% PP Glucose measurements from D group subjects on each visit 
ppg_d_1=Data_diabetic(1:end,4);
ppg_d_2=Data_diabetic(1:end,5);
ppg_d_3=Data_diabetic(1:end,6);

%Exluding NaN entries
ind8 = ~isnan(ppg_d_3);
ppg_d_1=ppg_d_1(ind8 & ind00);
ppg_d_2=ppg_d_2(ind8 & ind00);
ppg_d_3=ppg_d_3(ind8 & ind00);

%PP Glucose measurements from DG group subjects on each visit 
ppg_dg_1=Data_diabetic_with_gl(1:end,4);
ppg_dg_2=Data_diabetic_with_gl(1:end,5);
ppg_dg_3=Data_diabetic_with_gl(1:end,6);

%Exluding NaN entries
ind9 = ~isnan(ppg_dg_3);
ppg_dg_1=ppg_dg_1(ind9 & ind01);
ppg_dg_2=ppg_dg_2(ind9 & ind01);
ppg_dg_3=ppg_dg_3(ind9 & ind01);

%Calculating Cohen's d from PP Glucose measurements
variance_PPGlucose=((length(ppg_dg_1)-1)*var(ppg_dg_3-ppg_dg_1)+(length(ppg_d_1)-1)*var(ppg_d_3-ppg_d_1))/(length(ppg_d_1)+length(ppg_dg_1)-2);
std_PPGlucose=sqrt(variance_PPGlucose);

ppg_d_ga=ppg_d_3-ppg_d_1;
ppg_dg_ga=ppg_dg_3-ppg_dg_1;
m9=mean(ppg_d_ga);
m10=mean(ppg_dg_ga);

std9_D=std(ppg_d_ga);
std10_DG=std(ppg_dg_ga);
d_PPGlucose=(mean(ppg_dg_ga)-mean(ppg_d_ga))/std_PPGlucose;

sigma_ppg=((length(ppg_d_ga)+length(ppg_dg_ga))/(length(ppg_d_ga)*length(ppg_dg_ga))+(d_PPGlucose^2/(2*(length(ppg_d_ga)+length(ppg_dg_ga)))))^0.5;

CI1_ppg=d_PPGlucose-1.96*sigma_ppg;
CI2_ppg=d_PPGlucose+1.96*sigma_ppg;
%%
% Effect size calculation with GSH measurements


%GSH measurements from D group subjects on each visit 
GSH_d_1=Data_diabetic(:,19);
GSH_d_2=Data_diabetic(:,20);
GSH_d_3=Data_diabetic(:,21);

%Exluding NaN entries
ind_10 = ~isnan(GSH_d_3);
GSH_d_1=GSH_d_1(ind_10 & ind00);
GSH_d_2=GSH_d_2(ind_10 & ind00);
GSH_d_3=GSH_d_3(ind_10 & ind00);

%GSH measurements from DG group subjects on each visit 
GSH_dg_1=Data_diabetic_with_gl(:,19);
GSH_dg_2=Data_diabetic_with_gl(:,20);
GSH_dg_3=Data_diabetic_with_gl(:,21);

%Exluding NaN entries

ind_11 = ~isnan(GSH_dg_3);
GSH_dg_1=GSH_dg_1(ind_11 & ind01);
GSH_dg_2=GSH_dg_2(ind_11 & ind01);
GSH_dg_3=GSH_dg_3(ind_11 & ind01);

%Calculating Cohen's d from GSH measurements

variance_GSH=((length(GSH_dg_1)-1)*var(GSH_dg_3-GSH_dg_1)+(length(GSH_d_1)-1)*var(GSH_d_3-GSH_d_1))/(length(GSH_d_1)+length(GSH_dg_1)-2);
std_GSH=sqrt(variance_GSH);

GSH_d_ga=GSH_d_3-GSH_d_1;
GSH_dg_ga=GSH_dg_3-GSH_dg_1;
GSH_m1=mean(GSH_d_ga);
GSH_m2=mean(GSH_dg_ga);

std11_D=std(GSH_d_ga);
std12_DG=std(GSH_dg_ga);
d_GSH=(mean(GSH_dg_ga)-mean(GSH_d_ga))/std_GSH;
sigma_GSH=((length(GSH_d_ga)+length(GSH_dg_ga))/(length(GSH_d_ga)*length(GSH_dg_ga))+(d_GSH^2/(2*(length(GSH_d_ga)+length(GSH_dg_ga)))))^0.5;
CI1_GSH=d_GSH-1.96*sigma_GSH;
CI2_GSH=d_GSH+1.96*sigma_GSH;

%%
%Effect size calculation with GSSG measurenents

%GSSG measurements from D group subjects on each visit 

GSSG_d_1=Data_diabetic(:,16);
GSSG_d_2=Data_diabetic(:,17);
GSSG_d_3=Data_diabetic(:,18);

%Exluding NaN entries
ind_d = ~isnan(GSSG_d_3);
GSSG_d_1=GSSG_d_1(ind_d & ind00);
GSSG_d_2=GSSG_d_2(ind_d & ind00);
GSSG_d_3=GSSG_d_3(ind_d & ind00);

%GSSG measurements from DG group subjects on each visit 

GSSG_dg_1=Data_diabetic_with_gl(:,16);
GSSG_dg_2=Data_diabetic_with_gl(:,17);
GSSG_dg_3=Data_diabetic_with_gl(:,18);

%Exluding NaN entries
ind_dg = ~isnan(GSSG_dg_3);
GSSG_dg_1=GSSG_dg_1(ind_dg & ind01);
GSSG_dg_2=GSSG_dg_2(ind_dg & ind01);
GSSG_dg_3=GSSG_dg_3(ind_dg & ind01);

%Calculating Cohen's d from GSSG measurements

variance_GSSG=((length(GSSG_dg_1)-1)*var(GSSG_dg_3-GSSG_dg_1)+(length(GSSG_d_1)-1)*var(GSSG_d_3-GSSG_d_1))/(length(GSSG_d_1)+length(GSSG_dg_1)-2); 
std_GSSG=sqrt(variance_GSSG);

GSSG_d_ga=GSSG_d_3-GSSG_d_1;
GSSG_dg_ga=GSSG_dg_3-GSSG_dg_1;
GSSG_m1=mean(GSSG_d_ga);
GSSG_m2=mean(GSSG_dg_ga);

d_GSSG=(mean(GSSG_dg_ga)-mean(GSSG_d_ga))/std_GSSG;
sigma_GSSG=((length(GSSG_d_ga)+length(GSSG_dg_ga))/(length(GSSG_d_ga)*length(GSSG_dg_ga))+(d_GSSG^2/(2*(length(GSSG_d_ga)+length(GSSG_dg_ga)))))^0.5;

CI1_GSSG=d_GSSG-1.96*sigma_GSSG;
CI2_GSSG=d_GSSG+1.96*sigma_GSSG;
%%

OHdG_d_1=Data_diabetic(:,22);
OHdG_d_2=Data_diabetic(:,23);
OHdG_d_3=Data_diabetic(:,24);

ind10 = ~isnan(OHdG_d_3);
OHdG_d_1=OHdG_d_1(ind10 & ind00);
OHdG_d_2=OHdG_d_2(ind10 & ind00);
OHdG_d_3=OHdG_d_3(ind10 & ind00);

OHdG_dg_1=Data_diabetic_with_gl(:,22);
OHdG_dg_2=Data_diabetic_with_gl(:,23);
OHdG_dg_3=Data_diabetic_with_gl(:,24);

OHdG_dg_1=OHdG_dg_1(ind01);
OHdG_dg_2=OHdG_dg_2(ind01);
OHdG_dg_3=OHdG_dg_3(ind01);

%Calculating Cohen's d from 8-OHdG measurements
variance_OHdG=((length(OHdG_dg_1)-1)*var(OHdG_dg_3-OHdG_dg_1)+(length(OHdG_d_1)-1)*var(OHdG_d_3-OHdG_d_1))/(length(OHdG_d_1)+length(OHdG_dg_1)-2); 
std_OHdG=sqrt(variance_OHdG);

OHdG_d_ga=OHdG_d_3-OHdG_d_1;
OHdG_dg_ga=OHdG_dg_3-OHdG_dg_1;
OHdG_m1=mean(OHdG_d_ga);
OHdG_m2=mean(OHdG_dg_ga);

std13_D=std(OHdG_d_ga);
std14_DG=std(OHdG_dg_ga);
d_OHdG=(mean(OHdG_dg_ga)-mean(OHdG_d_ga))/std_OHdG;
sigma_OHdG=((length(OHdG_d_ga)+length(OHdG_dg_ga))/(length(OHdG_d_ga)*length(OHdG_dg_ga))+(d_OHdG^2/(2*(length(OHdG_d_ga)+length(OHdG_dg_ga)))))^0.5;

CI1_OHdG=d_OHdG-1.96*sigma_OHdG;
CI2_OHdG=d_OHdG+1.96*sigma_OHdG;

%%
% Printing an output table with three columns of variable names, Cohen's d values, and p-values repectively.
Biochemical_variable={'HbA1c';'Fasting Glucose';'Fasting Insulin';'PP Glucose';'PP Insulin';'GSH';'GSSG';'8OHdG'};
Variable=[1 2 3 4 5 6 7 8];
d_all=[d_HbA1c,d_FGlucose,d_FInsulin,d_PPGlucose,d_PPInsulin,d_GSH,d_GSSG,d_OHdG];

sz2=150;
figure1 = figure('WindowState','maximized');
colororder({'k','k'})
yyaxis left
scatter(d_all,Variable,sz2,'filled','k')
hold on
plot([CI1_HbA1c,CI2_HbA1c],[1,1],'-k','LineWidth',3);
plot([CI1_fg,CI2_fg],[2,2],'-k','LineWidth',3);
plot([CI1_fi,CI2_fi],[3,3],'-k','LineWidth',3);
plot([CI1_ppg,CI2_ppg],[4,4],'-k','LineWidth',3);
plot([CI1_ppi,CI2_ppi],[5,5],'-k','LineWidth',3);
plot([CI1_GSH,CI2_GSH],[6,6],'-k','LineWidth',3);
plot([CI1_GSSG,CI2_GSSG],[7,7],'-k','LineWidth',3);
plot([CI1_OHdG,CI2_OHdG],[8,8],'-k','LineWidth',3);
set(gca,'FontSize',18)
xlabel('Effect Size (95% CI)','FontSize',18,'FontWeight','bold')
%xline(0,'--','LineWidth',3)
plot([0 0],[0 10],'--k','LineWidth',2)
plot([-0.5 -0.5],[0 10],'--k','LineWidth',2)
plot([-0.8 -0.8],[0 10],'--k','LineWidth',2)
plot([0.5 0.5],[0 10],'--k','LineWidth',2)
plot([0.8 0.8],[0 10],'--k','LineWidth',2)
xlim([-2 2])
ylim([0 10])
grid on
yticks([1 2 3 4 5 6 7 8])
yticklabels({'HbA1c','Fasting Glucose','Fasting Insulin','PP Glucose','PP Insulin','GSH','GSSG','8-OHdG','100'})

yyaxis right
ylim([0 1])
grid on
yticks([0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8])
yticklabels({'0.12 (-0.30, 0.52)','0.05 (-0.36, 0.46)','-0.12 (-0.53, 0.29)','0.29 (-0.13, 0.70)','0.10 (-0.31, 0.51)','0.85 (0.41, 1.28)','0.56 (0.14, 0.99)','-0.63 (-1.05, -0.21)'})

% Create textbox
annotation(figure1,'textbox',...
    [0.73125 0.541735040901053 0.0679687514652809 0.0902777796117669],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',35);

% Create textbox
annotation(figure1,'textbox',...
    [0.676302083333333 0.623465810131822 0.0559895845130086 0.0902777796117669],...
    'String',{'**'},...
    'LineStyle','none',...
    'FontSize',35);

% Create textbox
annotation(figure1,'textbox',...
    [0.45625 0.705196579362591 0.0559895845130086 0.0902777796117669],...
    'String',{'**'},...
    'LineStyle','none',...
    'FontSize',35);


elseif strcmp(inp,'FigureS6')
 %Reading the excel file for D group data
Data_diabetic=xlsread('Master_Datasheet_Diabetic.xls');

%Reading the excel file for DG group data
Data_diabetic_with_gl=xlsread('Master_Datasheet_Diabetic_with_GSH.xls');
sz=50;

%Reading the excel file for D group data
NewData_diabetic=xlsread('Diabetic_Others.xls');

%Reading the excel file for DG group data
NewData_diabetic_with_gl=xlsread('Diabetic_with_GSH_Others.xls');

%%
%Selecting age based subgroups with more thab 55 years old (for elder subgroup in D and DG))
ind00=NewData_diabetic(:,5)==2;
ind01=NewData_diabetic_with_gl(:,5)==2;

% Effect size calculation for HbA1c measuremenents 

%HbA1c measurements from D group subjects on each visit 

HbA1c_d_1=Data_diabetic(1:end,7);
HbA1c_d_2=Data_diabetic(1:end,8);
HbA1c_d_3=Data_diabetic(1:end,9);

%Excluding NaN entries
ind1 = ~isnan(HbA1c_d_3);
HbA1c_d_1=HbA1c_d_1(ind1 & ind00);
HbA1c_d_2=HbA1c_d_2(ind1 & ind00);
HbA1c_d_3=HbA1c_d_3(ind1 & ind00);

%HbA1c measurements from DG group subjects on each visit 

HbA1c_dg_1=Data_diabetic_with_gl(1:end,7);
HbA1c_dg_2=Data_diabetic_with_gl(1:end,8);
HbA1c_dg_3=Data_diabetic_with_gl(1:end,9);

%Excluding NaN entries
HbA1c_dg_1=HbA1c_dg_1(ind01);
HbA1c_dg_2=HbA1c_dg_2(ind01);
HbA1c_dg_3=HbA1c_dg_3(ind01);

%Calculating Cohen's d from HbA1c measurements
variance_HbA1c=((length(HbA1c_dg_1)-1)*var(HbA1c_dg_3-HbA1c_dg_1)+(length(HbA1c_d_1)-1)*var(HbA1c_d_3-HbA1c_d_1))/(length(HbA1c_dg_1)+length(HbA1c_d_1)-2);
std_HbA1c=sqrt(variance_HbA1c);

HbA1c_d_ga=HbA1c_d_3-HbA1c_d_1;
HbA1c_dg_ga=HbA1c_dg_3-HbA1c_dg_1;

m1=mean(HbA1c_d_ga);
m2=mean(HbA1c_dg_ga);
std1_D=std(HbA1c_d_ga);
std2_DG=std(HbA1c_dg_ga);
d_HbA1c=(mean(HbA1c_dg_ga)-mean(HbA1c_d_ga))/std_HbA1c;

sigma_HbA1c=((length(HbA1c_d_ga)+length(HbA1c_dg_ga))/(length(HbA1c_d_ga)*length(HbA1c_dg_ga))+(d_HbA1c^2/(2*(length(HbA1c_d_ga)+length(HbA1c_dg_ga)))))^0.5;

CI1_HbA1c=d_HbA1c-1.96*sigma_HbA1c;
CI2_HbA1c=d_HbA1c+1.96*sigma_HbA1c;

%%
% Effect size calculation for Fasting Glucose measuremenents 

%Fasting Glucose measurements from D group subjects on each visit 
fg_d_1=Data_diabetic(1:end,1);
fg_d_2=Data_diabetic(1:end,2);
fg_d_3=Data_diabetic(1:end,3);

%Excluding NaN entries

ind2 = ~isnan(fg_d_3);
fg_d_1=fg_d_1(ind2 & ind00);
fg_d_2=fg_d_2(ind2 & ind00);
fg_d_3=fg_d_3(ind2 & ind00);

%Fasting Glucose measurements from DG group subjects on each visit 
fg_dg_1=Data_diabetic_with_gl(1:end,1);
fg_dg_2=Data_diabetic_with_gl(1:end,2);
fg_dg_3=Data_diabetic_with_gl(1:end,3);

%Excluding NaN entries
ind3 = ~isnan(fg_dg_3);
fg_dg_1=fg_dg_1(ind3 & ind01);
fg_dg_2=fg_dg_2(ind3 & ind01);
fg_dg_3=fg_dg_3(ind3 & ind01);

%Calculating Cohen's d from Fasting Glucose measurements
variance_FGlucose=((length(fg_dg_1)-1)*var(fg_dg_3-fg_dg_1)+(length(fg_d_1)-1)*var(fg_d_3-fg_d_1))/(length(fg_d_1)+length(fg_dg_1)-2);
std_FGlucose=sqrt(variance_FGlucose);

fg_d_ga=fg_d_3-fg_d_1;
fg_dg_ga=fg_dg_3-fg_dg_1;
m3=mean(fg_d_ga);
m4=mean(fg_dg_ga);

std3_D=std(fg_d_ga);
std4_DG=std(fg_dg_ga);
d_FGlucose=(mean(fg_dg_ga)-mean(fg_d_ga))/std_FGlucose;

sigma_fg=((length(fg_d_ga)+length(fg_dg_ga))/(length(fg_d_ga)*length(fg_dg_ga))+(d_FGlucose^2/(2*(length(fg_d_ga)+length(fg_dg_ga)))))^0.5;

CI1_fg=d_FGlucose-1.96*sigma_fg;
CI2_fg=d_FGlucose+1.96*sigma_fg;
%%
% Effect size calculation for Fasting Insuin measuremenents 

%Fasting Insuin measurements from D group subjects on each visit 
fi_d_1=Data_diabetic(1:end,10);
fi_d_2=Data_diabetic(1:end,11);
fi_d_3=Data_diabetic(1:end,12);

%Exluding NaN entries

ind4 = ~isnan(fi_d_3);
fi_d_1=fi_d_1(ind4 & ind00);
fi_d_2=fi_d_2(ind4 & ind00);
fi_d_3=fi_d_3(ind4 & ind00);

%Fasting Insuin measurements from DG group subjects on each visit 
fi_dg_1=Data_diabetic_with_gl(1:end,10);
fi_dg_2=Data_diabetic_with_gl(1:end,11);
fi_dg_3=Data_diabetic_with_gl(1:end,12);

%Exluding NaN entries

ind5 = ~isnan(fi_dg_3);
fi_dg_1=fi_dg_1(ind5 &ind01);
fi_dg_2=fi_dg_2(ind5 &ind01);
fi_dg_3=fi_dg_3(ind5 &ind01);

%Calculating Cohen's d from Fasting Insuin measurements

variance_FInsulin=((length(fi_dg_1)-1)*var(fi_dg_3-fi_dg_1)+(length(fi_d_1)-1)*var(fi_d_3-fi_d_1))/(length(fi_d_1)+length(fi_dg_1)-2);
std_FInsulin=sqrt(variance_FInsulin);

fi_d_ga=fi_d_3-fi_d_1;
fi_dg_ga=fi_dg_3-fi_dg_1;
m5=mean(fi_d_ga);
m6=mean(fi_dg_ga);

std5_D=std(fi_d_ga);
std6_DG=std(fi_dg_ga);
d_FInsulin=(mean(fi_dg_ga)-mean(fi_d_ga))/std_FInsulin;

sigma_fi=((length(fi_d_ga)+length(fi_dg_ga))/(length(fi_d_ga)*length(fi_dg_ga))+(d_FInsulin^2/(2*(length(fi_d_ga)+length(fi_dg_ga)))))^0.5;

CI1_fi=d_FInsulin-1.96*sigma_fi;
CI2_fi=d_FInsulin+1.96*sigma_fi;
%%

% Effect size calculation for PP Insuin measuremenents 

% PP Insuin measurements from D group subjects on each visit 
ppi_d_1=Data_diabetic(1:end,13);
ppi_d_2=Data_diabetic(1:end,14);
ppi_d_3=Data_diabetic(1:end,15);

%Exluding NaN entries

ind6 = ~isnan(ppi_d_3);
ppi_d_1=ppi_d_1(ind6 & ind00);
ppi_d_2=ppi_d_2(ind6 & ind00);
ppi_d_3=ppi_d_3(ind6 & ind00);

%PP Insuin measurements from DG group subjects on each visit 
ppi_dg_1=Data_diabetic_with_gl(1:end,13);
ppi_dg_2=Data_diabetic_with_gl(1:end,14);
ppi_dg_3=Data_diabetic_with_gl(1:end,15);

%Exluding NaN entries
ind7 = ~isnan(ppi_dg_3);
ppi_dg_1=ppi_dg_1(ind7 & ind01);
ppi_dg_2=ppi_dg_2(ind7 & ind01);
ppi_dg_3=ppi_dg_3(ind7 & ind01);

% Calculating Cohen's d from PP Insuin measurements
variance_PPInsulin=((length(ppi_dg_1)-1)*var(ppi_dg_3-ppi_dg_1)+(length(ppi_d_1)-1)*var(ppi_d_3-ppi_d_1))/(length(ppi_d_1)+length(ppi_dg_1)-2);
std_PPInsulin=sqrt(variance_PPInsulin);

ppi_d_ga=ppi_d_3-ppi_d_1;
ppi_dg_ga=ppi_dg_3-ppi_dg_1;
m7=mean(ppi_d_ga);
m8=mean(ppi_dg_ga);

std7_D=std(ppi_d_ga);
std8_DG=std(ppi_dg_ga);
d_PPInsulin=(mean(ppi_dg_ga)-mean(ppi_d_ga))/std_PPInsulin;
sigma_ppi=((length(ppi_d_ga)+length(ppi_dg_ga))/(length(ppi_d_ga)*length(ppi_dg_ga))+(d_PPInsulin^2/(2*(length(ppi_d_ga)+length(ppi_dg_ga)))))^0.5;

CI1_ppi=d_PPInsulin-1.96*sigma_ppi;
CI2_ppi=d_PPInsulin+1.96*sigma_ppi;
%%
% Effect size calculation for PP Glucose measuremenents 


% PP Glucose measurements from D group subjects on each visit 
ppg_d_1=Data_diabetic(1:end,4);
ppg_d_2=Data_diabetic(1:end,5);
ppg_d_3=Data_diabetic(1:end,6);

%Exluding NaN entries
ind8 = ~isnan(ppg_d_3);
ppg_d_1=ppg_d_1(ind8 & ind00);
ppg_d_2=ppg_d_2(ind8 & ind00);
ppg_d_3=ppg_d_3(ind8 & ind00);

%PP Glucose measurements from DG group subjects on each visit 
ppg_dg_1=Data_diabetic_with_gl(1:end,4);
ppg_dg_2=Data_diabetic_with_gl(1:end,5);
ppg_dg_3=Data_diabetic_with_gl(1:end,6);

%Exluding NaN entries
ind9 = ~isnan(ppg_dg_3);
ppg_dg_1=ppg_dg_1(ind9 & ind01);
ppg_dg_2=ppg_dg_2(ind9 & ind01);
ppg_dg_3=ppg_dg_3(ind9 & ind01);

%Calculating Cohen's d from PP Glucose measurements
variance_PPGlucose=((length(ppg_dg_1)-1)*var(ppg_dg_3-ppg_dg_1)+(length(ppg_d_1)-1)*var(ppg_d_3-ppg_d_1))/(length(ppg_d_1)+length(ppg_dg_1)-2);
std_PPGlucose=sqrt(variance_PPGlucose);

ppg_d_ga=ppg_d_3-ppg_d_1;
ppg_dg_ga=ppg_dg_3-ppg_dg_1;
m9=mean(ppg_d_ga);
m10=mean(ppg_dg_ga);

std9_D=std(ppg_d_ga);
std10_DG=std(ppg_dg_ga);
d_PPGlucose=(mean(ppg_dg_ga)-mean(ppg_d_ga))/std_PPGlucose;

sigma_ppg=((length(ppg_d_ga)+length(ppg_dg_ga))/(length(ppg_d_ga)*length(ppg_dg_ga))+(d_PPGlucose^2/(2*(length(ppg_d_ga)+length(ppg_dg_ga)))))^0.5;

CI1_ppg=d_PPGlucose-1.96*sigma_ppg;
CI2_ppg=d_PPGlucose+1.96*sigma_ppg;
%%
% Effect size calculation with GSH measurements


%GSH measurements from D group subjects on each visit 
GSH_d_1=Data_diabetic(:,19);
GSH_d_2=Data_diabetic(:,20);
GSH_d_3=Data_diabetic(:,21);

%Exluding NaN entries
ind_10 = ~isnan(GSH_d_3);
GSH_d_1=GSH_d_1(ind_10 & ind00);
GSH_d_2=GSH_d_2(ind_10 & ind00);
GSH_d_3=GSH_d_3(ind_10 & ind00);

%GSH measurements from DG group subjects on each visit 
GSH_dg_1=Data_diabetic_with_gl(:,19);
GSH_dg_2=Data_diabetic_with_gl(:,20);
GSH_dg_3=Data_diabetic_with_gl(:,21);

%Exluding NaN entries

ind_11 = ~isnan(GSH_dg_3);
GSH_dg_1=GSH_dg_1(ind_11 & ind01);
GSH_dg_2=GSH_dg_2(ind_11 & ind01);
GSH_dg_3=GSH_dg_3(ind_11 & ind01);

%Calculating Cohen's d from GSH measurements

variance_GSH=((length(GSH_dg_1)-1)*var(GSH_dg_3-GSH_dg_1)+(length(GSH_d_1)-1)*var(GSH_d_3-GSH_d_1))/(length(GSH_d_1)+length(GSH_dg_1)-2);
std_GSH=sqrt(variance_GSH);

GSH_d_ga=GSH_d_3-GSH_d_1;
GSH_dg_ga=GSH_dg_3-GSH_dg_1;
GSH_m1=mean(GSH_d_ga);
GSH_m2=mean(GSH_dg_ga);

std11_D=std(GSH_d_ga);
std12_DG=std(GSH_dg_ga);
d_GSH=(mean(GSH_dg_ga)-mean(GSH_d_ga))/std_GSH;
sigma_GSH=((length(GSH_d_ga)+length(GSH_dg_ga))/(length(GSH_d_ga)*length(GSH_dg_ga))+(d_GSH^2/(2*(length(GSH_d_ga)+length(GSH_dg_ga)))))^0.5;
CI1_GSH=d_GSH-1.96*sigma_GSH;
CI2_GSH=d_GSH+1.96*sigma_GSH;

%%
%Effect size calculation with GSSG measurenents

%GSSG measurements from D group subjects on each visit 

GSSG_d_1=Data_diabetic(:,16);
GSSG_d_2=Data_diabetic(:,17);
GSSG_d_3=Data_diabetic(:,18);

%Exluding NaN entries
ind_d = ~isnan(GSSG_d_3);
GSSG_d_1=GSSG_d_1(ind_d & ind00);
GSSG_d_2=GSSG_d_2(ind_d & ind00);
GSSG_d_3=GSSG_d_3(ind_d & ind00);

%GSSG measurements from DG group subjects on each visit 

GSSG_dg_1=Data_diabetic_with_gl(:,16);
GSSG_dg_2=Data_diabetic_with_gl(:,17);
GSSG_dg_3=Data_diabetic_with_gl(:,18);

%Exluding NaN entries
ind_dg = ~isnan(GSSG_dg_3);
GSSG_dg_1=GSSG_dg_1(ind_dg & ind01);
GSSG_dg_2=GSSG_dg_2(ind_dg & ind01);
GSSG_dg_3=GSSG_dg_3(ind_dg & ind01);

%Calculating Cohen's d from GSSG measurements

variance_GSSG=((length(GSSG_dg_1)-1)*var(GSSG_dg_3-GSSG_dg_1)+(length(GSSG_d_1)-1)*var(GSSG_d_3-GSSG_d_1))/(length(GSSG_d_1)+length(GSSG_dg_1)-2); 
std_GSSG=sqrt(variance_GSSG);

GSSG_d_ga=GSSG_d_3-GSSG_d_1;
GSSG_dg_ga=GSSG_dg_3-GSSG_dg_1;
GSSG_m1=mean(GSSG_d_ga);
GSSG_m2=mean(GSSG_dg_ga);

d_GSSG=(mean(GSSG_dg_ga)-mean(GSSG_d_ga))/std_GSSG;
sigma_GSSG=((length(GSSG_d_ga)+length(GSSG_dg_ga))/(length(GSSG_d_ga)*length(GSSG_dg_ga))+(d_GSSG^2/(2*(length(GSSG_d_ga)+length(GSSG_dg_ga)))))^0.5;

CI1_GSSG=d_GSSG-1.96*sigma_GSSG;
CI2_GSSG=d_GSSG+1.96*sigma_GSSG;
%%

OHdG_d_1=Data_diabetic(:,22);
OHdG_d_2=Data_diabetic(:,23);
OHdG_d_3=Data_diabetic(:,24);

ind10 = ~isnan(OHdG_d_3);
OHdG_d_1=OHdG_d_1(ind10 & ind00);
OHdG_d_2=OHdG_d_2(ind10 & ind00);
OHdG_d_3=OHdG_d_3(ind10 & ind00);

OHdG_dg_1=Data_diabetic_with_gl(:,22);
OHdG_dg_2=Data_diabetic_with_gl(:,23);
OHdG_dg_3=Data_diabetic_with_gl(:,24);

OHdG_dg_1=OHdG_dg_1(ind01);
OHdG_dg_2=OHdG_dg_2(ind01);
OHdG_dg_3=OHdG_dg_3(ind01);

%Calculating Cohen's d from 8-OHdG measurements
variance_OHdG=((length(OHdG_dg_1)-1)*var(OHdG_dg_3-OHdG_dg_1)+(length(OHdG_d_1)-1)*var(OHdG_d_3-OHdG_d_1))/(length(OHdG_d_1)+length(OHdG_dg_1)-2); 
std_OHdG=sqrt(variance_OHdG);

OHdG_d_ga=OHdG_d_3-OHdG_d_1;
OHdG_dg_ga=OHdG_dg_3-OHdG_dg_1;
OHdG_m1=mean(OHdG_d_ga);
OHdG_m2=mean(OHdG_dg_ga);

std13_D=std(OHdG_d_ga);
std14_DG=std(OHdG_dg_ga);
d_OHdG=(mean(OHdG_dg_ga)-mean(OHdG_d_ga))/std_OHdG;
sigma_OHdG=((length(OHdG_d_ga)+length(OHdG_dg_ga))/(length(OHdG_d_ga)*length(OHdG_dg_ga))+(d_OHdG^2/(2*(length(OHdG_d_ga)+length(OHdG_dg_ga)))))^0.5;

CI1_OHdG=d_OHdG-1.96*sigma_OHdG;
CI2_OHdG=d_OHdG+1.96*sigma_OHdG;

%%
% Printing an output table with three columns of variable names, Cohen's d values, and p-values repectively.
Biochemical_variable={'HbA1c';'Fasting Glucose';'Fasting Insulin';'PP Glucose';'PP Insulin';'GSH';'GSSG';'8OHdG'};
Variable=[1 2 3 4 5 6 7 8];
d_all=[d_HbA1c,d_FGlucose,d_FInsulin,d_PPGlucose,d_PPInsulin,d_GSH,d_GSSG,d_OHdG];

sz2=150;
figure1 = figure('WindowState','maximized');
colororder({'k','k'})
yyaxis left
scatter(d_all,Variable,sz2,'filled','k')
hold on
plot([CI1_HbA1c,CI2_HbA1c],[1,1],'-k','LineWidth',3);
plot([CI1_fg,CI2_fg],[2,2],'-k','LineWidth',3);
plot([CI1_fi,CI2_fi],[3,3],'-k','LineWidth',3);
plot([CI1_ppg,CI2_ppg],[4,4],'-k','LineWidth',3);
plot([CI1_ppi,CI2_ppi],[5,5],'-k','LineWidth',3);
plot([CI1_GSH,CI2_GSH],[6,6],'-k','LineWidth',3);
plot([CI1_GSSG,CI2_GSSG],[7,7],'-k','LineWidth',3);
plot([CI1_OHdG,CI2_OHdG],[8,8],'-k','LineWidth',3);
set(gca,'FontSize',18)
xlabel('Effect Size (95% CI)','FontSize',18,'FontWeight','bold')
%xline(0,'--','LineWidth',3)
plot([0 0],[0 10],'--k','LineWidth',2)
plot([-0.5 -0.5],[0 10],'--k','LineWidth',2)
plot([-0.8 -0.8],[0 10],'--k','LineWidth',2)
plot([0.5 0.5],[0 10],'--k','LineWidth',2)
plot([0.8 0.8],[0 10],'--k','LineWidth',2)
xlim([-2 2])
ylim([0 10])
grid on
yticks([1 2 3 4 5 6 7 8])
yticklabels({'HbA1c','Fasting Glucose','Fasting Insulin','PP Glucose','PP Insulin','GSH','GSSG','8-OHdG','100'})

yyaxis right
ylim([0 1])
grid on
yticks([0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8])
yticklabels({'-0.30 (-0.69, 0.0995)','0.15 (-0.25, 0.54)','0.54 (0.14, 0.94)','0.054 (-0.34, 0.45)','0.31 (-0.088, 0.71)','1.15 (0.72, 1.58)','0.93 (0.51, 1.35)','-0.88 (-1.30, -0.47)'})
% Create textbox
annotation(figure1,'textbox',...
    [0.4046875 0.70305982722584 0.0679687514652809 0.0902777796117669],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',35);

% Create textbox
annotation(figure1,'textbox',...
    [0.730989583333333 0.625602562268574 0.0679687514652809 0.0902777796117669],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',35);

% Create textbox
annotation(figure1,'textbox',...
    [0.774739583333333 0.541200852866865 0.0679687514652809 0.0902777796117669],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',35);

% Create textbox
annotation(figure1,'textbox',...
    [0.659895833333333 0.298145297311309 0.0559895845130086 0.0902777796117669],...
    'String',{'**'},...
    'LineStyle','none',...
    'FontSize',35);

%%

%Reading the excel file for D group data
Data_diabetic=xlsread('Master_Datasheet_Diabetic.xls');

%Reading the excel file for DG group data
Data_diabetic_with_gl=xlsread('Master_Datasheet_Diabetic_with_GSH.xls');
sz=50;

%Reading the excel file for D group data
NewData_diabetic=xlsread('Diabetic_Others.xls');

%Reading the excel file for DG group data
NewData_diabetic_with_gl=xlsread('Diabetic_with_GSH_Others.xls');

%%
%Selecting age based subgroups with more thab 55 years old (for elder subgroup in D and DG))
ind00=NewData_diabetic(:,5)==1;
ind01=NewData_diabetic_with_gl(:,5)==1;

% Effect size calculation for HbA1c measuremenents 

%HbA1c measurements from D group subjects on each visit 

HbA1c_d_1=Data_diabetic(1:end,7);
HbA1c_d_2=Data_diabetic(1:end,8);
HbA1c_d_3=Data_diabetic(1:end,9);

%Excluding NaN entries
ind1 = ~isnan(HbA1c_d_3);
HbA1c_d_1=HbA1c_d_1(ind1 & ind00);
HbA1c_d_2=HbA1c_d_2(ind1 & ind00);
HbA1c_d_3=HbA1c_d_3(ind1 & ind00);

%HbA1c measurements from DG group subjects on each visit 

HbA1c_dg_1=Data_diabetic_with_gl(1:end,7);
HbA1c_dg_2=Data_diabetic_with_gl(1:end,8);
HbA1c_dg_3=Data_diabetic_with_gl(1:end,9);

%Excluding NaN entries
HbA1c_dg_1=HbA1c_dg_1(ind01);
HbA1c_dg_2=HbA1c_dg_2(ind01);
HbA1c_dg_3=HbA1c_dg_3(ind01);

%Calculating Cohen's d from HbA1c measurements
variance_HbA1c=((length(HbA1c_dg_1)-1)*var(HbA1c_dg_3-HbA1c_dg_1)+(length(HbA1c_d_1)-1)*var(HbA1c_d_3-HbA1c_d_1))/(length(HbA1c_dg_1)+length(HbA1c_d_1)-2);
std_HbA1c=sqrt(variance_HbA1c);

HbA1c_d_ga=HbA1c_d_3-HbA1c_d_1;
HbA1c_dg_ga=HbA1c_dg_3-HbA1c_dg_1;

m1=mean(HbA1c_d_ga);
m2=mean(HbA1c_dg_ga);
std1_D=std(HbA1c_d_ga);
std2_DG=std(HbA1c_dg_ga);
d_HbA1c=(mean(HbA1c_dg_ga)-mean(HbA1c_d_ga))/std_HbA1c;

sigma_HbA1c=((length(HbA1c_d_ga)+length(HbA1c_dg_ga))/(length(HbA1c_d_ga)*length(HbA1c_dg_ga))+(d_HbA1c^2/(2*(length(HbA1c_d_ga)+length(HbA1c_dg_ga)))))^0.5;

CI1_HbA1c=d_HbA1c-1.96*sigma_HbA1c;
CI2_HbA1c=d_HbA1c+1.96*sigma_HbA1c;

%%
% Effect size calculation for Fasting Glucose measuremenents 

%Fasting Glucose measurements from D group subjects on each visit 
fg_d_1=Data_diabetic(1:end,1);
fg_d_2=Data_diabetic(1:end,2);
fg_d_3=Data_diabetic(1:end,3);

%Excluding NaN entries

ind2 = ~isnan(fg_d_3);
fg_d_1=fg_d_1(ind2 & ind00);
fg_d_2=fg_d_2(ind2 & ind00);
fg_d_3=fg_d_3(ind2 & ind00);

%Fasting Glucose measurements from DG group subjects on each visit 
fg_dg_1=Data_diabetic_with_gl(1:end,1);
fg_dg_2=Data_diabetic_with_gl(1:end,2);
fg_dg_3=Data_diabetic_with_gl(1:end,3);

%Excluding NaN entries
ind3 = ~isnan(fg_dg_3);
fg_dg_1=fg_dg_1(ind3 & ind01);
fg_dg_2=fg_dg_2(ind3 & ind01);
fg_dg_3=fg_dg_3(ind3 & ind01);

%Calculating Cohen's d from Fasting Glucose measurements
variance_FGlucose=((length(fg_dg_1)-1)*var(fg_dg_3-fg_dg_1)+(length(fg_d_1)-1)*var(fg_d_3-fg_d_1))/(length(fg_d_1)+length(fg_dg_1)-2);
std_FGlucose=sqrt(variance_FGlucose);

fg_d_ga=fg_d_3-fg_d_1;
fg_dg_ga=fg_dg_3-fg_dg_1;
m3=mean(fg_d_ga);
m4=mean(fg_dg_ga);

std3_D=std(fg_d_ga);
std4_DG=std(fg_dg_ga);
d_FGlucose=(mean(fg_dg_ga)-mean(fg_d_ga))/std_FGlucose;

sigma_fg=((length(fg_d_ga)+length(fg_dg_ga))/(length(fg_d_ga)*length(fg_dg_ga))+(d_FGlucose^2/(2*(length(fg_d_ga)+length(fg_dg_ga)))))^0.5;

CI1_fg=d_FGlucose-1.96*sigma_fg;
CI2_fg=d_FGlucose+1.96*sigma_fg;
%%
% Effect size calculation for Fasting Insuin measuremenents 

%Fasting Insuin measurements from D group subjects on each visit 
fi_d_1=Data_diabetic(1:end,10);
fi_d_2=Data_diabetic(1:end,11);
fi_d_3=Data_diabetic(1:end,12);

%Exluding NaN entries

ind4 = ~isnan(fi_d_3);
fi_d_1=fi_d_1(ind4 & ind00);
fi_d_2=fi_d_2(ind4 & ind00);
fi_d_3=fi_d_3(ind4 & ind00);

%Fasting Insuin measurements from DG group subjects on each visit 
fi_dg_1=Data_diabetic_with_gl(1:end,10);
fi_dg_2=Data_diabetic_with_gl(1:end,11);
fi_dg_3=Data_diabetic_with_gl(1:end,12);

%Exluding NaN entries

ind5 = ~isnan(fi_dg_3);
fi_dg_1=fi_dg_1(ind5 &ind01);
fi_dg_2=fi_dg_2(ind5 &ind01);
fi_dg_3=fi_dg_3(ind5 &ind01);

%Calculating Cohen's d from Fasting Insuin measurements

variance_FInsulin=((length(fi_dg_1)-1)*var(fi_dg_3-fi_dg_1)+(length(fi_d_1)-1)*var(fi_d_3-fi_d_1))/(length(fi_d_1)+length(fi_dg_1)-2);
std_FInsulin=sqrt(variance_FInsulin);

fi_d_ga=fi_d_3-fi_d_1;
fi_dg_ga=fi_dg_3-fi_dg_1;
m5=mean(fi_d_ga);
m6=mean(fi_dg_ga);

std5_D=std(fi_d_ga);
std6_DG=std(fi_dg_ga);
d_FInsulin=(mean(fi_dg_ga)-mean(fi_d_ga))/std_FInsulin;

sigma_fi=((length(fi_d_ga)+length(fi_dg_ga))/(length(fi_d_ga)*length(fi_dg_ga))+(d_FInsulin^2/(2*(length(fi_d_ga)+length(fi_dg_ga)))))^0.5;

CI1_fi=d_FInsulin-1.96*sigma_fi;
CI2_fi=d_FInsulin+1.96*sigma_fi;
%%

% Effect size calculation for PP Insuin measuremenents 

% PP Insuin measurements from D group subjects on each visit 
ppi_d_1=Data_diabetic(1:end,13);
ppi_d_2=Data_diabetic(1:end,14);
ppi_d_3=Data_diabetic(1:end,15);

%Exluding NaN entries

ind6 = ~isnan(ppi_d_3);
ppi_d_1=ppi_d_1(ind6 & ind00);
ppi_d_2=ppi_d_2(ind6 & ind00);
ppi_d_3=ppi_d_3(ind6 & ind00);

%PP Insuin measurements from DG group subjects on each visit 
ppi_dg_1=Data_diabetic_with_gl(1:end,13);
ppi_dg_2=Data_diabetic_with_gl(1:end,14);
ppi_dg_3=Data_diabetic_with_gl(1:end,15);

%Exluding NaN entries
ind7 = ~isnan(ppi_dg_3);
ppi_dg_1=ppi_dg_1(ind7 & ind01);
ppi_dg_2=ppi_dg_2(ind7 & ind01);
ppi_dg_3=ppi_dg_3(ind7 & ind01);

% Calculating Cohen's d from PP Insuin measurements
variance_PPInsulin=((length(ppi_dg_1)-1)*var(ppi_dg_3-ppi_dg_1)+(length(ppi_d_1)-1)*var(ppi_d_3-ppi_d_1))/(length(ppi_d_1)+length(ppi_dg_1)-2);
std_PPInsulin=sqrt(variance_PPInsulin);

ppi_d_ga=ppi_d_3-ppi_d_1;
ppi_dg_ga=ppi_dg_3-ppi_dg_1;
m7=mean(ppi_d_ga);
m8=mean(ppi_dg_ga);

std7_D=std(ppi_d_ga);
std8_DG=std(ppi_dg_ga);
d_PPInsulin=(mean(ppi_dg_ga)-mean(ppi_d_ga))/std_PPInsulin;
sigma_ppi=((length(ppi_d_ga)+length(ppi_dg_ga))/(length(ppi_d_ga)*length(ppi_dg_ga))+(d_PPInsulin^2/(2*(length(ppi_d_ga)+length(ppi_dg_ga)))))^0.5;

CI1_ppi=d_PPInsulin-1.96*sigma_ppi;
CI2_ppi=d_PPInsulin+1.96*sigma_ppi;
%%
% Effect size calculation for PP Glucose measuremenents 


% PP Glucose measurements from D group subjects on each visit 
ppg_d_1=Data_diabetic(1:end,4);
ppg_d_2=Data_diabetic(1:end,5);
ppg_d_3=Data_diabetic(1:end,6);

%Exluding NaN entries
ind8 = ~isnan(ppg_d_3);
ppg_d_1=ppg_d_1(ind8 & ind00);
ppg_d_2=ppg_d_2(ind8 & ind00);
ppg_d_3=ppg_d_3(ind8 & ind00);

%PP Glucose measurements from DG group subjects on each visit 
ppg_dg_1=Data_diabetic_with_gl(1:end,4);
ppg_dg_2=Data_diabetic_with_gl(1:end,5);
ppg_dg_3=Data_diabetic_with_gl(1:end,6);

%Exluding NaN entries
ind9 = ~isnan(ppg_dg_3);
ppg_dg_1=ppg_dg_1(ind9 & ind01);
ppg_dg_2=ppg_dg_2(ind9 & ind01);
ppg_dg_3=ppg_dg_3(ind9 & ind01);

%Calculating Cohen's d from PP Glucose measurements
variance_PPGlucose=((length(ppg_dg_1)-1)*var(ppg_dg_3-ppg_dg_1)+(length(ppg_d_1)-1)*var(ppg_d_3-ppg_d_1))/(length(ppg_d_1)+length(ppg_dg_1)-2);
std_PPGlucose=sqrt(variance_PPGlucose);

ppg_d_ga=ppg_d_3-ppg_d_1;
ppg_dg_ga=ppg_dg_3-ppg_dg_1;
m9=mean(ppg_d_ga);
m10=mean(ppg_dg_ga);

std9_D=std(ppg_d_ga);
std10_DG=std(ppg_dg_ga);
d_PPGlucose=(mean(ppg_dg_ga)-mean(ppg_d_ga))/std_PPGlucose;

sigma_ppg=((length(ppg_d_ga)+length(ppg_dg_ga))/(length(ppg_d_ga)*length(ppg_dg_ga))+(d_PPGlucose^2/(2*(length(ppg_d_ga)+length(ppg_dg_ga)))))^0.5;

CI1_ppg=d_PPGlucose-1.96*sigma_ppg;
CI2_ppg=d_PPGlucose+1.96*sigma_ppg;
%%
% Effect size calculation with GSH measurements


%GSH measurements from D group subjects on each visit 
GSH_d_1=Data_diabetic(:,19);
GSH_d_2=Data_diabetic(:,20);
GSH_d_3=Data_diabetic(:,21);

%Exluding NaN entries
ind_10 = ~isnan(GSH_d_3);
GSH_d_1=GSH_d_1(ind_10 & ind00);
GSH_d_2=GSH_d_2(ind_10 & ind00);
GSH_d_3=GSH_d_3(ind_10 & ind00);

%GSH measurements from DG group subjects on each visit 
GSH_dg_1=Data_diabetic_with_gl(:,19);
GSH_dg_2=Data_diabetic_with_gl(:,20);
GSH_dg_3=Data_diabetic_with_gl(:,21);

%Exluding NaN entries

ind_11 = ~isnan(GSH_dg_3);
GSH_dg_1=GSH_dg_1(ind_11 & ind01);
GSH_dg_2=GSH_dg_2(ind_11 & ind01);
GSH_dg_3=GSH_dg_3(ind_11 & ind01);

%Calculating Cohen's d from GSH measurements

variance_GSH=((length(GSH_dg_1)-1)*var(GSH_dg_3-GSH_dg_1)+(length(GSH_d_1)-1)*var(GSH_d_3-GSH_d_1))/(length(GSH_d_1)+length(GSH_dg_1)-2);
std_GSH=sqrt(variance_GSH);

GSH_d_ga=GSH_d_3-GSH_d_1;
GSH_dg_ga=GSH_dg_3-GSH_dg_1;
GSH_m1=mean(GSH_d_ga);
GSH_m2=mean(GSH_dg_ga);

std11_D=std(GSH_d_ga);
std12_DG=std(GSH_dg_ga);
d_GSH=(mean(GSH_dg_ga)-mean(GSH_d_ga))/std_GSH;
sigma_GSH=((length(GSH_d_ga)+length(GSH_dg_ga))/(length(GSH_d_ga)*length(GSH_dg_ga))+(d_GSH^2/(2*(length(GSH_d_ga)+length(GSH_dg_ga)))))^0.5;
CI1_GSH=d_GSH-1.96*sigma_GSH;
CI2_GSH=d_GSH+1.96*sigma_GSH;

%%
%Effect size calculation with GSSG measurenents

%GSSG measurements from D group subjects on each visit 

GSSG_d_1=Data_diabetic(:,16);
GSSG_d_2=Data_diabetic(:,17);
GSSG_d_3=Data_diabetic(:,18);

%Exluding NaN entries
ind_d = ~isnan(GSSG_d_3);
GSSG_d_1=GSSG_d_1(ind_d & ind00);
GSSG_d_2=GSSG_d_2(ind_d & ind00);
GSSG_d_3=GSSG_d_3(ind_d & ind00);

%GSSG measurements from DG group subjects on each visit 

GSSG_dg_1=Data_diabetic_with_gl(:,16);
GSSG_dg_2=Data_diabetic_with_gl(:,17);
GSSG_dg_3=Data_diabetic_with_gl(:,18);

%Exluding NaN entries
ind_dg = ~isnan(GSSG_dg_3);
GSSG_dg_1=GSSG_dg_1(ind_dg & ind01);
GSSG_dg_2=GSSG_dg_2(ind_dg & ind01);
GSSG_dg_3=GSSG_dg_3(ind_dg & ind01);

%Calculating Cohen's d from GSSG measurements

variance_GSSG=((length(GSSG_dg_1)-1)*var(GSSG_dg_3-GSSG_dg_1)+(length(GSSG_d_1)-1)*var(GSSG_d_3-GSSG_d_1))/(length(GSSG_d_1)+length(GSSG_dg_1)-2); 
std_GSSG=sqrt(variance_GSSG);

GSSG_d_ga=GSSG_d_3-GSSG_d_1;
GSSG_dg_ga=GSSG_dg_3-GSSG_dg_1;
GSSG_m1=mean(GSSG_d_ga);
GSSG_m2=mean(GSSG_dg_ga);

d_GSSG=(mean(GSSG_dg_ga)-mean(GSSG_d_ga))/std_GSSG;
sigma_GSSG=((length(GSSG_d_ga)+length(GSSG_dg_ga))/(length(GSSG_d_ga)*length(GSSG_dg_ga))+(d_GSSG^2/(2*(length(GSSG_d_ga)+length(GSSG_dg_ga)))))^0.5;

CI1_GSSG=d_GSSG-1.96*sigma_GSSG;
CI2_GSSG=d_GSSG+1.96*sigma_GSSG;
%%

OHdG_d_1=Data_diabetic(:,22);
OHdG_d_2=Data_diabetic(:,23);
OHdG_d_3=Data_diabetic(:,24);

ind10 = ~isnan(OHdG_d_3);
OHdG_d_1=OHdG_d_1(ind10 & ind00);
OHdG_d_2=OHdG_d_2(ind10 & ind00);
OHdG_d_3=OHdG_d_3(ind10 & ind00);

OHdG_dg_1=Data_diabetic_with_gl(:,22);
OHdG_dg_2=Data_diabetic_with_gl(:,23);
OHdG_dg_3=Data_diabetic_with_gl(:,24);

OHdG_dg_1=OHdG_dg_1(ind01);
OHdG_dg_2=OHdG_dg_2(ind01);
OHdG_dg_3=OHdG_dg_3(ind01);

%Calculating Cohen's d from 8-OHdG measurements
variance_OHdG=((length(OHdG_dg_1)-1)*var(OHdG_dg_3-OHdG_dg_1)+(length(OHdG_d_1)-1)*var(OHdG_d_3-OHdG_d_1))/(length(OHdG_d_1)+length(OHdG_dg_1)-2); 
std_OHdG=sqrt(variance_OHdG);

OHdG_d_ga=OHdG_d_3-OHdG_d_1;
OHdG_dg_ga=OHdG_dg_3-OHdG_dg_1;
OHdG_m1=mean(OHdG_d_ga);
OHdG_m2=mean(OHdG_dg_ga);

std13_D=std(OHdG_d_ga);
std14_DG=std(OHdG_dg_ga);
d_OHdG=(mean(OHdG_dg_ga)-mean(OHdG_d_ga))/std_OHdG;
sigma_OHdG=((length(OHdG_d_ga)+length(OHdG_dg_ga))/(length(OHdG_d_ga)*length(OHdG_dg_ga))+(d_OHdG^2/(2*(length(OHdG_d_ga)+length(OHdG_dg_ga)))))^0.5;

CI1_OHdG=d_OHdG-1.96*sigma_OHdG;
CI2_OHdG=d_OHdG+1.96*sigma_OHdG;

%%
% Printing an output table with three columns of variable names, Cohen's d values, and p-values repectively.
Biochemical_variable={'HbA1c';'Fasting Glucose';'Fasting Insulin';'PP Glucose';'PP Insulin';'GSH';'GSSG';'8OHdG'};
Variable=[1 2 3 4 5 6 7 8];
d_all=[d_HbA1c,d_FGlucose,d_FInsulin,d_PPGlucose,d_PPInsulin,d_GSH,d_GSSG,d_OHdG];

sz2=150;
figure1 = figure('WindowState','maximized');
colororder({'k','k'})
yyaxis left
scatter(d_all,Variable,sz2,'filled','k')
hold on
plot([CI1_HbA1c,CI2_HbA1c],[1,1],'-k','LineWidth',3);
plot([CI1_fg,CI2_fg],[2,2],'-k','LineWidth',3);
plot([CI1_fi,CI2_fi],[3,3],'-k','LineWidth',3);
plot([CI1_ppg,CI2_ppg],[4,4],'-k','LineWidth',3);
plot([CI1_ppi,CI2_ppi],[5,5],'-k','LineWidth',3);
plot([CI1_GSH,CI2_GSH],[6,6],'-k','LineWidth',3);
plot([CI1_GSSG,CI2_GSSG],[7,7],'-k','LineWidth',3);
plot([CI1_OHdG,CI2_OHdG],[8,8],'-k','LineWidth',3);
set(gca,'FontSize',18)
xlabel('Effect Size (95% CI)','FontSize',18,'FontWeight','bold')
%xline(0,'--','LineWidth',3)
plot([0 0],[0 10],'--k','LineWidth',2)
plot([-0.5 -0.5],[0 10],'--k','LineWidth',2)
plot([-0.8 -0.8],[0 10],'--k','LineWidth',2)
plot([0.5 0.5],[0 10],'--k','LineWidth',2)
plot([0.8 0.8],[0 10],'--k','LineWidth',2)
xlim([-2 2])
ylim([0 10])
grid on
yticks([1 2 3 4 5 6 7 8])
yticklabels({'HbA1c','Fasting Glucose','Fasting Insulin','PP Glucose','PP Insulin','GSH','GSSG','8-OHdG','100'})

yyaxis right
ylim([0 1])
grid on
yticks([0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8])
yticklabels({'0.017 (-0.39, 0.43)','0.029 (-0.38, 0.44)','-0.083 (-0.049, 0.33)','0.125 (-0.285, 0.54)','-0.012 (-0.42, 0.40)','0.92 (0.49, 1.35)','0.40 (-0.013, 0.82)','-1.22 (-1.66, -0.77)'})

% Create textbox
annotation(figure1,'textbox',...
    [0.734375 0.540666664832677 0.0679687514652809 0.0902777796117669],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',35);

% Create textbox
annotation(figure1,'textbox',...
    [0.351822916666667 0.705730767396779 0.0679687514652809 0.0902777796117669],...
    'String',{'***'},...
    'LineStyle','none',...
    'FontSize',35);



elseif strcmp(inp,'TableS3')
%% Script for calculating the characteristics of each variable in each group, at different visits.

% GSH measurements at the first visit in Control group
GSH_c_1=Data_control(:,19);
% GSH measurements at the second visit in Control group
GSH_c_2=Data_control(:,20);
% GSH measurements at the third visit in Control group
GSH_c_3=Data_control(:,21);

% GSH measurements at the first visit in D group
GSH_d_1=Data_diabetic(:,19);
% GSH measurements at the second visit in D group
GSH_d_2=Data_diabetic(:,20);
% GSH measurements at the third visit in D group
GSH_d_3=Data_diabetic(:,21);

ind_d1 = ~isnan(GSH_d_1);
ind_d2 = ~isnan(GSH_d_2);
ind_d3 = ~isnan(GSH_d_3);

GSH_d_1=GSH_d_1(ind_d1);
GSH_d_2=GSH_d_2(ind_d2);
GSH_d_3=GSH_d_3(ind_d3);

% GSH measurements at the first visit in DG group
GSH_dg_1=Data_diabetic_with_gl(:,19);
% GSH measurements at the second visit in DG group
GSH_dg_2=Data_diabetic_with_gl(:,20);
% GSH measurements at the third visit in DG group
GSH_dg_3=Data_diabetic_with_gl(:,21);

ind_dg1 = ~isnan(GSH_dg_1);
ind_dg2 = ~isnan(GSH_dg_2);
ind_dg3 = ~isnan(GSH_dg_3);

GSH_dg_1=GSH_dg_1(ind_dg1);
GSH_dg_2=GSH_dg_2(ind_dg2);
GSH_dg_3=GSH_dg_3(ind_dg3);

%Calculating confidence intervals for GSH concentration at different visits

SEM11 = std(GSH_d_1)/sqrt(length(GSH_d_1));               % Standard Error
ts11 = tinv([0.025  0.975],length(GSH_d_1)-1);      % T-Score
CI11 = mean(GSH_d_1) + ts11*SEM11;

SEM12 = std(GSH_d_3)/sqrt(length(GSH_d_3));               % Standard Error
ts12 = tinv([0.025  0.975],length(GSH_d_3)-1);      % T-Score
CI12 = mean(GSH_d_3) + ts12*SEM12;

SEM13 = std(GSH_dg_1)/sqrt(length(GSH_dg_1));               % Standard Error
ts13 = tinv([0.025  0.975],length(GSH_dg_1)-1);      % T-Score
CI13 = mean(GSH_dg_1) + ts13*SEM13;

SEM14 = std(GSH_dg_3)/sqrt(length(GSH_dg_3));               % Standard Error
ts14 = tinv([0.025  0.975],length(GSH_dg_3)-1);      % T-Score
CI14 = mean(GSH_dg_3) + ts14*SEM14;

SEM15 = std(GSH_d_2)/sqrt(length(GSH_d_2));               % Standard Error
ts15 = tinv([0.025  0.975],length(GSH_d_2)-1);      % T-Score
CI15 = mean(GSH_d_2) + ts15*SEM15;

SEM16 = std(GSH_dg_2)/sqrt(length(GSH_dg_2));               % Standard Error
ts16 = tinv([0.025  0.975],length(GSH_dg_2)-1);      % T-Score
CI16 = mean(GSH_dg_2) + ts16*SEM16;

SEM17 = std(GSH_c_1)/sqrt(length(GSH_c_1));               % Standard Error
ts17 = tinv([0.025  0.975],length(GSH_c_1)-1);      % T-Score
CI17 = mean(GSH_c_1) + ts17*SEM17;

SEM18 = std(GSH_c_2)/sqrt(length(GSH_c_2));               % Standard Error
ts18 = tinv([0.025  0.975],length(GSH_c_2)-1);      % T-Score
CI18 = mean(GSH_c_2) + ts18*SEM18;

SEM19 = std(GSH_c_3)/sqrt(length(GSH_c_3));               % Standard Error
ts19 = tinv([0.025  0.975],length(GSH_c_3)-1);      % T-Score
CI19 = mean(GSH_c_3) + ts19*SEM19;

 
%HbA1c measurements from control group subjects on each visit
HbA1c_c_1=Data_control(1:end,7);
HbA1c_c_2=Data_control(1:end,8);
HbA1c_c_3=Data_control(1:end,9);


%HbA1c measurements from D group subjects on each visit
HbA1c_d_1=Data_diabetic(1:end,7);
HbA1c_d_2=Data_diabetic(1:end,8);
HbA1c_d_3=Data_diabetic(1:end,9);

%Excluding those D group subjects without third visit HbA1c measurements
ind1 = ~isnan(HbA1c_d_3);
%HbA1c_d_1=HbA1c_d_1(ind1);
%HbA1c_d_2=HbA1c_d_2(ind1);
HbA1c_d_3=HbA1c_d_3(ind1);

%HbA1c measurements from DG group subjects on each visit
HbA1c_dg_1=Data_diabetic_with_gl(1:end,7);
HbA1c_dg_2=Data_diabetic_with_gl(1:end,8);
HbA1c_dg_3=Data_diabetic_with_gl(1:end,9);

%Excluding those DG group subjects without third visit HbA1c measurements
ind2 = ~isnan(HbA1c_dg_2);
HbA1c_dg_2=HbA1c_dg_2(ind2);

%Calculating confidence intervals of HbA1c measurements at different visits

SEM21 = std(HbA1c_d_1)/sqrt(length(HbA1c_d_1));               % Standard Error
ts21 = tinv([0.025  0.975],length(HbA1c_d_1)-1);      % T-Score
CI21 = mean(HbA1c_d_1) + ts21*SEM21;

SEM22 = std(HbA1c_d_3)/sqrt(length(HbA1c_d_3));               % Standard Error
ts22 = tinv([0.025  0.975],length(HbA1c_d_3)-1);      % T-Score
CI22 = mean(HbA1c_d_3) + ts22*SEM22;

SEM23 = std(HbA1c_dg_1)/sqrt(length(HbA1c_dg_1));               % Standard Error
ts23 = tinv([0.025  0.975],length(HbA1c_dg_1)-1);      % T-Score
CI23 = mean(HbA1c_dg_1) + ts23*SEM23;

SEM24 = std(HbA1c_dg_3)/sqrt(length(HbA1c_dg_3));               % Standard Error
ts24 = tinv([0.025  0.975],length(HbA1c_dg_3)-1);      % T-Score
CI24 = mean(HbA1c_dg_3) + ts24*SEM24;

SEM25 = std(HbA1c_d_2)/sqrt(length(HbA1c_d_2));               % Standard Error
ts25 = tinv([0.025  0.975],length(HbA1c_d_2)-1);      % T-Score
CI25 = mean(HbA1c_d_2) + ts25*SEM25;

SEM26 = std(HbA1c_dg_2)/sqrt(length(HbA1c_dg_2));               % Standard Error
ts26 = tinv([0.025  0.975],length(HbA1c_dg_2)-1);      % T-Score
CI26 = mean(HbA1c_dg_2) + ts26*SEM26;

SEM27 = std(HbA1c_c_1)/sqrt(length(HbA1c_c_1));               % Standard Error
ts27 = tinv([0.025  0.975],length(HbA1c_c_1)-1);      % T-Score
CI27 = mean(HbA1c_c_1) + ts27*SEM27;

SEM28 = std(HbA1c_c_2)/sqrt(length(HbA1c_c_2));               % Standard Error
ts28 = tinv([0.025  0.975],length(HbA1c_c_2)-1);      % T-Score
CI28 = mean(HbA1c_c_2) + ts28*SEM28;

SEM29 = std(HbA1c_c_3)/sqrt(length(HbA1c_c_3));               % Standard Error
ts29 = tinv([0.025  0.975],length(HbA1c_c_3)-1);      % T-Score
CI29 = mean(HbA1c_c_3) + ts29*SEM29;


%GSSG measurements from control group subjects on each visit
GSSG_c_1=Data_control(:,16);
GSSG_c_2=Data_control(:,17);
GSSG_c_3=Data_control(:,18);

%GSSG measurements from D group subjects on each visit
GSSG_d_1=Data_diabetic(:,16);
GSSG_d_2=Data_diabetic(:,17);
GSSG_d_3=Data_diabetic(:,18);

%Excluding NaN entres
ind_d1 = ~isnan(GSSG_d_1);
GSSG_d_1=GSSG_d_1(ind_d1);
ind_d2 = ~isnan(GSSG_d_2);
GSSG_d_2=GSSG_d_2(ind_d2);
ind_d3 = ~isnan(GSSG_d_3);
GSSG_d_3=GSSG_d_3(ind_d3);

%GSSG measurements from DG group subjects on each visit

GSSG_dg_1=Data_diabetic_with_gl(:,16);
GSSG_dg_2=Data_diabetic_with_gl(:,17);
GSSG_dg_3=Data_diabetic_with_gl(:,18);


%Excluding NaN entres
ind_dg1 = ~isnan(GSSG_dg_1);
GSSG_dg_1=GSSG_dg_1(ind_dg1);

ind_dg2 = ~isnan(GSSG_dg_2);
GSSG_dg_2=GSSG_dg_2(ind_dg2);

ind_dg3 = ~isnan(GSSG_dg_3);
GSSG_dg_3=GSSG_dg_3(ind_dg3);

%Calculating confidence intervals of GSSG measurements at different visits

SEM31 = std(GSSG_d_1)/sqrt(length(GSSG_d_1));               % Standard Error
ts31 = tinv([0.025  0.975],length(GSSG_d_1)-1);      % T-Score
CI31 = mean(GSSG_d_1) + ts31*SEM31;

SEM32 = std(GSSG_d_3)/sqrt(length(GSSG_d_3));               % Standard Error
ts32 = tinv([0.025  0.975],length(GSSG_d_3)-1);      % T-Score
CI32 = mean(GSSG_d_3) + ts32*SEM32;

SEM33 = std(GSSG_dg_1)/sqrt(length(GSSG_dg_1));               % Standard Error
ts33 = tinv([0.025  0.975],length(GSSG_dg_1)-1);      % T-Score
CI33 = mean(GSSG_dg_1) + ts33*SEM33;

SEM34 = std(GSSG_dg_3)/sqrt(length(GSSG_dg_3));               % Standard Error
ts34 = tinv([0.025  0.975],length(GSSG_dg_3)-1);      % T-Score
CI34 = mean(GSSG_dg_3) + ts34*SEM34;

SEM35 = std(GSSG_d_2)/sqrt(length(GSSG_d_2));               % Standard Error
ts35 = tinv([0.025  0.975],length(GSSG_d_2)-1);      % T-Score
CI35 = mean(GSSG_d_2) + ts35*SEM35;

SEM36 = std(GSSG_dg_2)/sqrt(length(GSSG_dg_2));               % Standard Error
ts36 = tinv([0.025  0.975],length(GSSG_dg_2)-1);      % T-Score
CI36 = mean(GSSG_dg_2) + ts36*SEM36;


SEM37 = std(GSSG_c_1)/sqrt(length(GSSG_c_1));               % Standard Error
ts37 = tinv([0.025  0.975],length(GSSG_c_1)-1);      % T-Score
CI37 = mean(GSSG_c_1) + ts37*SEM37;

SEM38 = std(GSSG_c_2)/sqrt(length(GSSG_c_2));               % Standard Error
ts38 = tinv([0.025  0.975],length(GSSG_c_2)-1);      % T-Score
CI38 = mean(GSSG_c_2) + ts38*SEM38;

SEM39 = std(GSSG_c_3)/sqrt(length(GSSG_c_3));               % Standard Error
ts39 = tinv([0.025  0.975],length(GSSG_c_3)-1);      % T-Score
CI39 = mean(GSSG_c_3) + ts39*SEM39;


%Fasting Glucose measurements from control group subjects on each visit

fg_c_1=Data_control(1:end,1);
fg_c_2=Data_control(1:end,2);
fg_c_3=Data_control(1:end,3);

%Fasting Glucose measurements from D group subjects on each visit
fg_d_1=Data_diabetic(1:end,1);
fg_d_2=Data_diabetic(1:end,2);
fg_d_3=Data_diabetic(1:end,3);


%Excluding NaN entres
ind1=~isnan(fg_d_2);
ind2=~isnan(fg_d_3);
fg_d_2=fg_d_2(ind1);
fg_d_3=fg_d_3(ind2);

%Fasting Glucose measurements from DG group subjects on each visit
fg_dg_1=Data_diabetic_with_gl(1:end,1);
fg_dg_2=Data_diabetic_with_gl(1:end,2);
fg_dg_3=Data_diabetic_with_gl(1:end,3);

%Excluding NaN entres
ind_dg=~isnan(fg_dg_2);
fg_dg_2=fg_dg_2(ind_dg);

%PP Glucose measurements from control group subjects on each visit

ppg_c_1=Data_control(1:end,4);
ppg_c_2=Data_control(1:end,5);
ppg_c_3=Data_control(1:end,6);

%Excluding NaN entres
ind_c=~isnan(ppg_c_2);
ppg_c_2=ppg_c_2(ind_c);

%PP Glucose measurements from D group subjects on each visit
ppg_d_1=Data_diabetic(1:end,4);
ppg_d_2=Data_diabetic(1:end,5);
ppg_d_3=Data_diabetic(1:end,6);

%Excluding NaN entres
ind3 = ~isnan(ppg_d_2);
ind4 = ~isnan(ppg_d_3);
ppg_d_2=ppg_d_2(ind3);
ppg_d_3=ppg_d_3(ind4);

%PP Glucose measurements from DG group subjects on each visit
ppg_dg_1=Data_diabetic_with_gl(1:end,4);
ppg_dg_2=Data_diabetic_with_gl(1:end,5);
ppg_dg_3=Data_diabetic_with_gl(1:end,6);

%Excluding NaN entres
ind5 = ~isnan(ppg_dg_2);
ind6 = ~isnan(ppg_dg_3);
ppg_dg_2=ppg_dg_2(ind5);
ppg_dg_3=ppg_dg_3(ind6);

%Calculating confidence intervals of Fasting Glucose measurements at different visits

SEM41 = std(fg_d_1)/sqrt(length(fg_d_1));               % Standard Error
ts41 = tinv([0.025  0.975],length(fg_d_1)-1);      % T-Score
CI41 = mean(fg_d_1) + ts41*SEM41;

SEM42 = std(fg_d_3)/sqrt(length(fg_d_3));               % Standard Error
ts42 = tinv([0.025  0.975],length(fg_d_3)-1);      % T-Score
CI42 = mean(fg_d_3) + ts42*SEM42;

SEM43 = std(fg_dg_1)/sqrt(length(fg_dg_1));               % Standard Error
ts43 = tinv([0.025  0.975],length(fg_dg_1)-1);      % T-Score
CI43 = mean(fg_dg_1) + ts43*SEM43;

SEM44 = std(fg_dg_3)/sqrt(length(fg_dg_3));               % Standard Error
ts44 = tinv([0.025  0.975],length(fg_dg_3)-1);      % T-Score
CI44 = mean(fg_dg_3) + ts44*SEM44;

SEM45 = std(fg_d_2)/sqrt(length(fg_d_2));               % Standard Error
ts45 = tinv([0.025  0.975],length(fg_d_2)-1);      % T-Score
CI45 = mean(fg_d_2) + ts45*SEM45;

SEM46 = std(fg_dg_2)/sqrt(length(fg_dg_2));               % Standard Error
ts46 = tinv([0.025  0.975],length(fg_dg_2)-1);      % T-Score
CI46 = mean(fg_dg_2) + ts46*SEM46;


SEM47 = std(fg_c_1)/sqrt(length(fg_c_1));               % Standard Error
ts47 = tinv([0.025  0.975],length(fg_c_1)-1);      % T-Score
CI47 = mean(fg_c_1) + ts47*SEM47;

SEM48 = std(fg_c_2)/sqrt(length(fg_c_2));               % Standard Error
ts48 = tinv([0.025  0.975],length(fg_c_2)-1);      % T-Score
CI48 = mean(fg_c_2) + ts48*SEM48;

SEM49 = std(fg_c_3)/sqrt(length(fg_c_3));               % Standard Error
ts49 = tinv([0.025  0.975],length(fg_c_3)-1);      % T-Score
CI49 = mean(fg_c_3) + ts49*SEM49;

%Calculating confidence intervals of PP Glucose measurements at different visits

SEM51 = std(ppg_d_1)/sqrt(length(ppg_d_1));   
ts51 = tinv([0.025  0.975],length(ppg_d_1)-1);      % T-Score
CI51 = mean(ppg_d_1) + ts51*SEM51;

SEM52 = std(ppg_d_3)/sqrt(length(ppg_d_3));               % Standard Error
ts52 = tinv([0.025  0.975],length(ppg_d_3)-1);      % T-Score
CI52 = mean(ppg_d_3) + ts52*SEM52;

SEM53 = std(ppg_dg_1)/sqrt(length(ppg_dg_1));               % Standard Error
ts53 = tinv([0.025  0.975],length(ppg_dg_1)-1);      % T-Score
CI53 = mean(ppg_dg_1) + ts53*SEM53;

SEM54 = std(ppg_dg_3)/sqrt(length(ppg_dg_3));               % Standard Error
ts54 = tinv([0.025  0.975],length(ppg_dg_3)-1);      % T-Score
CI54 = mean(ppg_dg_3) + ts54*SEM54;

SEM55 = std(ppg_d_2)/sqrt(length(ppg_d_2));               % Standard Error
ts55 = tinv([0.025  0.975],length(ppg_d_2)-1);      % T-Score
CI55 = mean(ppg_d_2) + ts55*SEM55;

SEM56 = std(ppg_dg_2)/sqrt(length(ppg_dg_2));               % Standard Error
ts56 = tinv([0.025  0.975],length(ppg_dg_2)-1);      % T-Score
CI56 = mean(ppg_dg_2) + ts56*SEM56;


SEM57 = std(ppg_c_1)/sqrt(length(ppg_c_1));               % Standard Error
ts57 = tinv([0.025  0.975],length(ppg_c_1)-1);      % T-Score
CI57 = mean(ppg_c_1) + ts57*SEM57;

SEM58 = std(ppg_c_2)/sqrt(length(ppg_c_2));               % Standard Error
ts58 = tinv([0.025  0.975],length(ppg_c_2)-1);      % T-Score
CI58 = mean(ppg_c_2) + ts58*SEM58;

SEM59 = std(ppg_c_3)/sqrt(length(ppg_c_3));               % Standard Error
ts59 = tinv([0.025  0.975],length(ppg_c_3)-1);      % T-Score
CI59 = mean(ppg_c_3) + ts59*SEM59;

% 
%Fasting Insulin measurements from control group subjects on each visit
fi_c_1=Data_control(1:end,10);
fi_c_2=Data_control(1:end,11);
fi_c_3=Data_control(1:end,12);

%Fasting Insulin measurements from D group subjects on each visit
fi_d_1=Data_diabetic(1:end,10);
fi_d_2=Data_diabetic(1:end,11);
fi_d_3=Data_diabetic(1:end,12);

%Excluding NaN entres
ind1=~isnan(fi_d_3);
fi_d_3=fi_d_3(ind1);

%Fasting Insulin measurements from DG group subjects on each visit
fi_dg_1=Data_diabetic_with_gl(1:end,10);
fi_dg_2=Data_diabetic_with_gl(1:end,11);
fi_dg_3=Data_diabetic_with_gl(1:end,12);

%Excluding NaN entres
ind_dg2=~isnan(fi_dg_2);
fi_dg_2=fi_dg_2(ind_dg2);

%Calculating confidence intervals of Fasting Insulin measurements at different visits

SEM61 = std(fi_d_1)/sqrt(length(fi_d_1));               % Standard Error
ts61 = tinv([0.025  0.975],length(fi_d_1)-1);      % T-Score
CI61 = mean(fi_d_1) + ts61*SEM61;

SEM62 = std(fi_d_3)/sqrt(length(fi_d_3));               % Standard Error
ts62 = tinv([0.025  0.975],length(fi_d_3)-1);      % T-Score
CI62 = mean(fi_d_3) + ts62*SEM62;

SEM63 = std(fi_dg_1)/sqrt(length(fi_dg_1));               % Standard Error
ts63 = tinv([0.025  0.975],length(fi_dg_1)-1);      % T-Score
CI63 = mean(fi_dg_1) + ts63*SEM63;

SEM64 = std(fi_dg_3)/sqrt(length(fi_dg_3));               % Standard Error
ts64 = tinv([0.025  0.975],length(fi_dg_3)-1);      % T-Score
CI64 = mean(fi_dg_3) + ts64*SEM64;

SEM65 = std(fi_d_2)/sqrt(length(fi_d_2));               % Standard Error
ts65 = tinv([0.025  0.975],length(fi_d_2)-1);      % T-Score
CI65 = mean(fi_d_2) + ts65*SEM65;

SEM66 = std(fi_dg_2)/sqrt(length(fi_dg_2));               % Standard Error
ts66 = tinv([0.025  0.975],length(fi_dg_2)-1);      % T-Score
CI66 = mean(fi_dg_2) + ts66*SEM66;

SEM67 = std(fi_c_1)/sqrt(length(fi_c_1));               % Standard Error
ts67 = tinv([0.025  0.975],length(fi_c_1)-1);      % T-Score
CI67 = mean(fi_c_1) + ts67*SEM67;

SEM68 = std(fi_c_2)/sqrt(length(fi_c_2));               % Standard Error
ts68 = tinv([0.025  0.975],length(fi_c_2)-1);      % T-Score
CI68 = mean(fi_c_2) + ts68*SEM68;

SEM69 = std(fi_c_3)/sqrt(length(fi_c_3));               % Standard Error
ts69 = tinv([0.025  0.975],length(fi_c_3)-1);      % T-Score
CI69 = mean(fi_c_3) + ts69*SEM69;

% PP Insulin measurements from control group subjects on each visit
ppi_c_1=Data_control(1:end,13);
ppi_c_2=Data_control(1:end,14);
ppi_c_3=Data_control(1:end,15);

%Excluding NaN entries
ind_c1=~isnan(ppi_c_1);
ind_c2=~isnan(ppi_c_2);
ppi_c_1=ppi_c_1(ind_c1);
ppi_c_2=ppi_c_2(ind_c2);


% PP Insulin measurements from D group subjects on each visit 
ppi_d_1=Data_diabetic(1:end,13);
ppi_d_2=Data_diabetic(1:end,14);
ppi_d_3=Data_diabetic(1:end,15);
 
%Excluding NaN entries
ind_d= ~isnan(ppi_d_2);
ppi_d_2=ppi_d_2(ind_d);

ind6 = ~isnan(ppi_d_3);
ppi_d_3=ppi_d_3(ind6);

% PP Insulin measurements from DG group subjects on each visit 
ppi_dg_1=Data_diabetic_with_gl(1:end,13);
ppi_dg_2=Data_diabetic_with_gl(1:end,14);
ppi_dg_3=Data_diabetic_with_gl(1:end,15);

%Excluding NaN entries
ind8 = ~isnan(ppi_dg_3);
ppi_dg_3=ppi_dg_3(ind8);

ind_dg1=~isnan(ppi_dg_2);
ppi_dg_2=ppi_dg_2(ind_dg1);

%Calculating confidence intervals of PP Insulin measurements at different visits
SEM71 = std(ppi_d_1)/sqrt(length(ppi_d_1));   
ts71 = tinv([0.025  0.975],length(ppi_d_1)-1);      % T-Score
CI71 = mean(ppi_d_1) + ts71*SEM71;

SEM72 = std(ppi_d_3)/sqrt(length(ppi_d_3));               % Standard Error
ts72 = tinv([0.025  0.975],length(ppi_d_3)-1);      % T-Score
CI72 = mean(ppi_d_3) + ts72*SEM72;

SEM73 = std(ppi_dg_1)/sqrt(length(ppi_dg_1));               % Standard Error
ts73 = tinv([0.025  0.975],length(ppi_dg_1)-1);      % T-Score
CI73 = mean(ppi_dg_1) + ts73*SEM73;

SEM74 = std(ppi_dg_3)/sqrt(length(ppi_dg_3));               % Standard Error
ts74 = tinv([0.025  0.975],length(ppi_dg_3)-1);      % T-Score
CI74 = mean(ppi_dg_3) + ts74*SEM74;

SEM75 = std(ppi_d_2)/sqrt(length(ppi_d_2));               % Standard Error
ts75 = tinv([0.025  0.975],length(ppi_d_2)-1);      % T-Score
CI75 = mean(ppi_d_2) + ts75*SEM75;

SEM76 = std(ppi_dg_2)/sqrt(length(ppi_dg_2));               % Standard Error
ts76 = tinv([0.025  0.975],length(ppi_dg_2)-1);      % T-Score
CI76 = mean(ppi_dg_2) + ts76*SEM76;

SEM77 = std(ppi_c_1)/sqrt(length(ppi_c_1));               % Standard Error
ts77 = tinv([0.025  0.975],length(ppi_c_1)-1);      % T-Score
CI77 = mean(ppi_c_1) + ts77*SEM77;

SEM78 = std(ppi_c_2)/sqrt(length(ppi_c_2));               % Standard Error
ts78 = tinv([0.025  0.975],length(ppi_c_2)-1);      % T-Score
CI78 = mean(ppi_c_2) + ts78*SEM78;

SEM79 = std(ppi_c_3)/sqrt(length(ppi_c_3));               % Standard Error
ts79 = tinv([0.025  0.975],length(ppi_c_3)-1);      % T-Score
CI79 = mean(ppi_c_3) + ts79*SEM79;

%Output table of Control group characterisitcs 

%GSSG baseline concentrations
OHdG_c_1=Data_control(:,22);
OHdG_c_2=Data_control(:,23);
OHdG_c_3=Data_control(:,24);

OHdG_d_1=Data_diabetic(:,22);
OHdG_d_2=Data_diabetic(:,23);
OHdG_d_3=Data_diabetic(:,24);
ind10 = ~isnan(OHdG_d_3);
OHdG_d_3=OHdG_d_3(ind10);


OHdG_dg_1=Data_diabetic_with_gl(:,22);
OHdG_dg_2=Data_diabetic_with_gl(:,23);
OHdG_dg_3=Data_diabetic_with_gl(:,24);


SEM81 = std(OHdG_d_1)/sqrt(length(OHdG_d_1));   
ts81 = tinv([0.025  0.975],length(OHdG_d_1)-1);      % T-Score
CI81 = mean(OHdG_d_1) + ts81*SEM81;

SEM82 = std(OHdG_d_3)/sqrt(length(OHdG_d_3));               % Standard Error
ts82 = tinv([0.025  0.975],length(OHdG_d_3)-1);      % T-Score
CI82 = mean(OHdG_d_3) + ts82*SEM82;

SEM83 = std(OHdG_dg_1)/sqrt(length(OHdG_dg_1));               % Standard Error
ts83 = tinv([0.025  0.975],length(OHdG_dg_1)-1);      % T-Score
CI83 = mean(OHdG_dg_1) + ts83*SEM83;

SEM84 = std(OHdG_dg_3)/sqrt(length(OHdG_dg_3));               % Standard Error
ts84 = tinv([0.025  0.975],length(OHdG_dg_3)-1);      % T-Score
CI84 = mean(OHdG_dg_3) + ts84*SEM84;

SEM85 = std(OHdG_d_2)/sqrt(length(OHdG_d_2));               % Standard Error
ts85 = tinv([0.025  0.975],length(OHdG_d_2)-1);      % T-Score
CI85 = mean(OHdG_d_2) + ts85*SEM85;

SEM86 = std(OHdG_dg_2)/sqrt(length(OHdG_dg_2));               % Standard Error
ts86 = tinv([0.025  0.975],length(OHdG_dg_2)-1);      % T-Score
CI86 = mean(OHdG_dg_2) + ts86*SEM86;

SEM87 = std(OHdG_c_1)/sqrt(length(OHdG_c_1));               % Standard Error
ts87 = tinv([0.025  0.975],length(OHdG_c_1)-1);      % T-Score
CI87 = mean(OHdG_c_1) + ts87*SEM87;

SEM88 = std(OHdG_c_2)/sqrt(length(OHdG_c_2));               % Standard Error
ts88 = tinv([0.025  0.975],length(OHdG_c_2)-1);      % T-Score
CI88 = mean(OHdG_c_2) + ts88*SEM88;

SEM89 = std(OHdG_c_3)/sqrt(length(OHdG_c_3));               % Standard Error
ts89 = tinv([0.025  0.975],length(OHdG_c_3)-1);      % T-Score
CI89 = mean(OHdG_c_3) + ts89*SEM89;



Biochemical_variable={'HbA1c';'Fasting Glucose';'Fasting Insulin';'PP Glucose';'PP Insulin';'GSH';'GSSG';'8OHdG'};

AlphaVisit_Mean=[mean(HbA1c_c_1),mean(fg_c_1),mean(fi_c_1),mean(ppg_c_1),mean(ppi_c_1),mean(GSH_c_1),mean(GSSG_c_1),mean(OHdG_c_1)];
AlphaVisit_95CI_lower=[CI27(1),CI47(1),CI67(1),CI57(1),CI77(1),CI17(1),CI37(1),CI87(1)];
AlphaVisit_95CI_upper=[CI27(2),CI47(2),CI67(2),CI57(2),CI77(2),CI17(2),CI37(2),CI87(2)];

AlphaVisit_Mean=AlphaVisit_Mean';
AlphaVisit_95CI_lower=AlphaVisit_95CI_lower';
AlphaVisit_95CI_upper=AlphaVisit_95CI_upper';

BetaVisit_Mean=[mean(HbA1c_c_2),mean(fg_c_2),mean(fi_c_2),mean(ppg_c_2),mean(ppi_c_2),mean(GSH_c_2),mean(GSSG_c_2),mean(OHdG_c_2)];
BetaVisit_95CI_lower=[CI28(1),CI48(1),CI68(1),CI58(1),CI78(1),CI18(1),CI38(1),CI88(1)];
BetaVisit_95CI_upper=[CI28(2),CI48(2),CI68(2),CI58(2),CI78(2),CI18(2),CI38(2),CI88(2)];

BetaVisit_Mean=BetaVisit_Mean';
BetaVisit_95CI_lower=BetaVisit_95CI_lower';
BetaVisit_95CI_upper=BetaVisit_95CI_upper';

GammaVisit_Mean=[mean(HbA1c_c_3),mean(fg_c_3),mean(fi_c_3),mean(ppg_c_3),mean(ppi_c_3),mean(GSH_c_3),mean(GSSG_c_3),mean(OHdG_c_3)];
GammaVisit_95CI_lower=[CI29(1),CI49(1),CI69(1),CI59(1),CI79(1),CI19(1),CI39(1),CI89(1)];
GammaVisit_95CI_upper=[CI29(2),CI49(2),CI69(2),CI59(2),CI79(2),CI19(2),CI39(2),CI89(2)];

GammaVisit_Mean=GammaVisit_Mean';
GammaVisit_95CI_lower=GammaVisit_95CI_lower';
GammaVisit_95CI_upper=GammaVisit_95CI_upper';

%Output table with Control group characteristics consists of 10 columns of variables, mean, lower limits of 95% CI, upper limits of 95% CI
%of biochemical concentrations at alpha, beta and gamma visits respectively.

Control_group_Characteristics=table(Biochemical_variable,AlphaVisit_Mean,AlphaVisit_95CI_lower,...
AlphaVisit_95CI_upper,BetaVisit_Mean,BetaVisit_95CI_lower,BetaVisit_95CI_upper,GammaVisit_Mean,GammaVisit_95CI_lower,GammaVisit_95CI_upper)

%
%Output table of D group characterisitcs 

AlphaVisit_Mean=[mean(HbA1c_d_1),mean(fg_d_1),mean(fi_d_1),mean(ppg_d_1),mean(ppi_d_1),mean(GSH_d_1),mean(GSSG_d_1),mean(OHdG_d_1)];
AlphaVisit_95CI_lower=[CI21(1),CI41(1),CI61(1),CI51(1),CI71(1),CI11(1),CI31(1),CI81(1)];
AlphaVisit_95CI_upper=[CI21(2),CI41(2),CI61(2),CI51(2),CI71(2),CI11(2),CI31(2),CI81(2)];

AlphaVisit_Mean=AlphaVisit_Mean';
AlphaVisit_95CI_lower=AlphaVisit_95CI_lower';
AlphaVisit_95CI_upper=AlphaVisit_95CI_upper';

BetaVisit_Mean=[mean(HbA1c_d_2),mean(fg_d_2),mean(fi_d_2),mean(ppg_d_2),mean(ppi_d_2),mean(GSH_d_2),mean(GSSG_d_2),mean(OHdG_d_2)];
BetaVisit_95CI_lower=[CI25(1),CI45(1),CI65(1),CI55(1),CI75(1),CI15(1),CI35(1),CI85(1)];
BetaVisit_95CI_upper=[CI25(2),CI45(2),CI65(2),CI55(2),CI75(2),CI15(2),CI35(2),CI85(2)];

BetaVisit_Mean=BetaVisit_Mean';
BetaVisit_95CI_lower=BetaVisit_95CI_lower';
BetaVisit_95CI_upper=BetaVisit_95CI_upper';

GammaVisit_Mean=[mean(HbA1c_d_3),mean(fg_d_3),mean(fi_d_3),mean(ppg_d_3),mean(ppi_d_3),mean(GSH_d_3),mean(GSSG_d_3),mean(OHdG_d_3)];
GammaVisit_95CI_lower=[CI22(1),CI42(1),CI62(1),CI52(1),CI72(1),CI12(1),CI32(1),CI82(1)];
GammaVisit_95CI_upper=[CI22(2),CI42(2),CI62(2),CI52(2),CI72(2),CI12(2),CI32(2),CI82(2)];

GammaVisit_Mean=GammaVisit_Mean';
GammaVisit_95CI_lower=GammaVisit_95CI_lower';
GammaVisit_95CI_upper=GammaVisit_95CI_upper';

%Output table with D group characteristics consists of 10 columns with variable, mean, lower limits of 95% CI,upper limits of 95% CI
%of biochemical concentrations at alpha, beta and gamma visits respectively.

D_group_Characteristics=table(Biochemical_variable,AlphaVisit_Mean,AlphaVisit_95CI_lower,...
AlphaVisit_95CI_upper,BetaVisit_Mean,BetaVisit_95CI_lower,BetaVisit_95CI_upper,GammaVisit_Mean,GammaVisit_95CI_lower,GammaVisit_95CI_upper)

 
%Output table of DG group characterisitcs  

AlphaVisit_Mean=[mean(HbA1c_dg_1),mean(fg_dg_1),mean(fi_dg_1),mean(ppg_dg_1),mean(ppi_dg_1),mean(GSH_dg_1),mean(GSSG_dg_1),mean(OHdG_dg_1)];
AlphaVisit_95CI_lower=[CI23(1),CI43(1),CI63(1),CI53(1),CI73(1),CI13(1),CI33(1),CI83(1)];
AlphaVisit_95CI_upper=[CI23(2),CI43(2),CI63(2),CI53(2),CI73(2),CI13(2),CI33(2),CI83(2)];

AlphaVisit_Mean=AlphaVisit_Mean';
AlphaVisit_95CI_lower=AlphaVisit_95CI_lower';
AlphaVisit_95CI_upper=AlphaVisit_95CI_upper';

BetaVisit_Mean=[mean(HbA1c_dg_2),mean(fg_dg_2),mean(fi_dg_2),mean(ppg_dg_2),mean(ppi_dg_2),mean(GSH_dg_2),mean(GSSG_dg_2),mean(OHdG_dg_2)];
BetaVisit_95CI_lower=[CI26(1),CI46(1),CI66(1),CI56(1),CI76(1),CI16(1),CI36(1),CI86(1)];
BetaVisit_95CI_upper=[CI26(2),CI46(2),CI66(2),CI56(2),CI76(2),CI16(2),CI36(2),CI86(2)];

BetaVisit_Mean=BetaVisit_Mean';
BetaVisit_95CI_lower=BetaVisit_95CI_lower';
BetaVisit_95CI_upper=BetaVisit_95CI_upper';

GammaVisit_Mean=[mean(HbA1c_dg_3),mean(fg_dg_3),mean(fi_dg_3),mean(ppg_dg_3),mean(ppi_dg_3),mean(GSH_dg_3),mean(GSSG_dg_3),mean(OHdG_dg_3)];
GammaVisit_95CI_lower=[CI24(1),CI44(1),CI64(1),CI54(1),CI74(1),CI14(1),CI34(1),CI84(1)];
GammaVisit_95CI_upper=[CI24(2),CI44(2),CI64(2),CI54(2),CI74(2),CI14(2),CI34(2),CI84(2)];

GammaVisit_Mean=GammaVisit_Mean';
GammaVisit_95CI_lower=GammaVisit_95CI_lower';
GammaVisit_95CI_upper=GammaVisit_95CI_upper';

%Output table with DG group characteristics consists of 10 columns with variables, mean, lower limits of 95% CI,upper limits of 95% CI
%of biochemical concentrations at alpha, beta and gamma visits respectively.

DG_group_Characteristics=table(Biochemical_variable,AlphaVisit_Mean,AlphaVisit_95CI_lower,...
AlphaVisit_95CI_upper,BetaVisit_Mean,BetaVisit_95CI_lower,BetaVisit_95CI_upper,GammaVisit_Mean,GammaVisit_95CI_lower,GammaVisit_95CI_upper)

elseif strcmp(inp,'TableS4')
%Variables
Variable={'Age';'BMI';'F Glucose'; 'PP Glucose '; 'HbA1c'; 'F Insulin';'PP Insulin';'GSSG';'GSH';'8OHdG'};
P=[];

%First visit comparisons of biochemical variables between different groups
for i=1:3:22
    var_c_1=Data_control(:,i);
    var_d_1=Data_diabetic(:,i);
    var_dg_1=Data_diabetic_with_gl(:,i);

 %Two sample t-tests between first visit measurements of Control and D group subjects
[h1,p1,ci1,stat1]=ttest2(var_c_1,var_d_1);
%Two sample t-tests between first visit measurements of Control and DG group  subjects
[h2,p2,ci2,stat2]=ttest2(var_c_1,var_dg_1);
%Two sample t-tests between first visit measurements of D and DG group  subjects
[h3,p3,ci3,stat3]=ttest2(var_d_1,var_dg_1);
%p-values
P=[P;p1 p2 p3];
end
    
%BMI of subjects at baseline
bmi_c_1=Data_control(1:end,29);
bmi_d_1=Data_diabetic(1:end,29);
in1=~isnan(bmi_d_1);%excluding NaN entries in BMI
bmi_d_1=bmi_d_1(in1);
bmi_dg_1=Data_diabetic_with_gl(1:end,29);

%Age of subjects at baseline
age_c_1=Data_control(1:end,25);
age_d_1=Data_diabetic(1:end,25);
age_dg_1=Data_diabetic_with_gl(1:end,25);

% Two sample t-tests between age of subjects in different groups
[h01,p01,ci01,stats01]=ttest2(age_c_1,age_d_1);
[h02,p02,ci02,stats02]=ttest2(age_c_1,age_dg_1);
[h03,p03,ci03,stats03]=ttest2(age_d_1,age_dg_1);

%Two sample t-tests between BMI of subjects in different groups
[h11,p11,ci11,stats11]=ttest2(bmi_c_1,bmi_d_1);
[h12,p12,ci12,stats12]=ttest2(bmi_c_1,bmi_dg_1);
[h13,p13,ci13,stats13]=ttest2(bmi_d_1,bmi_dg_1);

pvalue_CvsD=[p01;p11;P(:,1)];
pvalue_CvsDG=[p02;p12;P(:,2)];
pvalue_DvsDG=[p03;p13;P(:,3)];

%Output table of variables, and corresponding p-values of inter-group comparisons between first visits of Control, D, and DG groups
FirstVisitComparisons=table(Variable,pvalue_CvsD,pvalue_CvsDG,pvalue_DvsDG)

end
    
    
    